linux-raspi (6.17.0-1003.3) questing; urgency=medium

  * Miscellaneous Ubuntu changes
    - SAUCE: dtoverlays: Remove fkms overlays
    - [Config] raspi: Set AMD_ISP4=n

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 22 Sep 2025 20:20:06 +0200

linux-raspi (6.17.0-1002.2) questing; urgency=medium

  * questing/linux-raspi: 6.17.0-1002.2 -proposed tracker (LP: #2125325)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.raspi/dkms-versions -- update from kernel-versions
      (main/d2025.09.22)

  * Miscellaneous Ubuntu changes
    - SAUCE: Revert "dts: remove README from Makefile"
    - raspi: Update to upstream raspberrypi rpi-6.17.y (2025-09-22)

  * Miscellaneous upstream changes
    - media: i2c: imx500: input tensor injection
    - dtoverlays: adjust inbound windows for MIP1 on Pi 5 with 32-bit PCIe DMA
    - drm/vc4: hvs: Populate YUV to RGB matrices for GEN_6D

  [ Ubuntu: 6.17.0-5.5 ]

  * questing/linux: 6.17.0-5.5 -proposed tracker (LP: #2125319)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.09.22)
  * [SRU] Failed to create source package: Unmet build dependencies:
    bpftool:native (LP: #2122310)
    - [Packaging] fix build profile spec for bpftool
  * UBUNTU: fan: fail to check kmalloc() return could cause a NULL pointer
    dereference (LP: #2125053)
    - SAUCE: fan: vxlan: check memory allocation for map
  * iproute2 breaking netplan DEP-8 tests in Questing, unexpected "fan-map" in
    JSON output (LP: #2124257)
    - SAUCE: fan: don't enforce a specific enum value for IFLA_VXLAN_FAN_MAP
  * memory leaks when configuring a small rate limit in audit (LP: #2122554)
    - SAUCE: audit: fix skb leak when audit rate limit is exceeded
  * Support AMD Image Signal Processing (ISP) unit V4.0 (LP: #2110092)
    - SAUCE: media: platform: amd: Introduce amd isp4 capture driver
    - SAUCE: media: platform: amd: low level support for isp4 firmware
    - SAUCE: media: platform: amd: Add isp4 fw and hw interface
    - SAUCE: media: platform: amd: isp4 subdev and firmware loading handling
      added
    - SAUCE: media: platform: amd: isp4 video node and buffers handling added
    - SAUCE: media: platform: amd: isp4 debug fs logging and more descriptive
      errors
    - SAUCE: Documentation: add documentation of AMD isp 4 driver
    - [Config] Enable AMD_ISP4
  * 25.10 Snapdragon X Elite: Sync concept kernel changes (LP: #2121477)
    - phy: qcom: qmp-combo: Rename 'mode' to 'phy_mode'
    - phy: qcom: qmp-combo: store DP phy power state
    - phy: qcom: qmp-combo: introduce QMPPHY_MODE
    - phy: qcom: qmp-combo: register a typec mux to change the QMPPHY_MODE
    - arm64: dts: qcom: x1e80100-crd: Add USB multiport fingerprint reader
    - dt-bindings: arm: qcom: Add Dell Latitude 7455
    - dt-bindings: display: panel: samsung,atna40cu11: document ATNA40CU11
    - dt-bindings: display: panel: samsung,atna40ct06: document ATNA40CT06
    - drm/panel-edp: Add BOE NV140WUM-N64
    - arm64: dts: qcom: x1-crd: Enable HBR3 on external DPs
    - SAUCE: drm/dp: drm_edp_backlight_set_level: do not always send 3-byte
      commands
    - SAUCE: drm/edp-panel: Add touchscreen panel used by Lenovo X13s
    - SAUCE: net: qrtr: mhi: synchronize qrtr and mhi preparation
    - SAUCE: arm64: dts: qcom: x1e78100-t14s-oled: add eDP panel
    - SAUCE: wip: arm64: dts: qcom: x1e80100-crd: Add WiFi/BT pwrseq
    - SAUCE: wip: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
    - SAUCE: drm/dp: clamp PWM bit count to advertised MIN and MAX
      capabilities
    - SAUCE: arm64: dts: qcom: x1e80100-pmics: Disable pm8010 by default
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: Add Left/Right
      Speakers and Tweeter
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: enable MICs LDO
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: Mark audio channels
      as left-right swapped
    - SAUCE: arm64: dts: qcom: sc8280xp-lenovo-thinkpad-x13: Set up 4-lane DP
    - SAUCE: dt-bindings: phy: qcom,sc8280xp-qmp-usb43dp-phy: Document default
      phy mode
    - SAUCE: phy: qcom: qmp-combo: get default qmpphy_mode from DT
    - SAUCE: arm64: dts: qcom: x1e78100-lenovo-thinkpad-t14s: add HDMI nodes
    - SAUCE: dt-bindings: phy: qcom,sc8280xp-qmp-usb43dp: Reference usb-
      switch.yaml to allow mode-switch
    - SAUCE: dt-bindings: arm: qcom: Add Asus Zenbook A14 UX3407QA LCD/OLED
      variants
    - SAUCE: arm64: dts: qcom: Rework X1-based Asus Zenbook A14's displays
    - SAUCE: arm64: dts: qcom: x1e80100-asus-zenbook-a14: Enable WiFi,
      Bluetooth
    - SAUCE: arm64: dts: qcom: Add support for Dell Inspiron 7441 / Latitude
      7455
    - SAUCE: firmware: qcom: scm: Allow QSEECOM on Dell Inspiron 7441 /
      Latitude 7455
    - SAUCE: dt-bindings: arm: qcom: Add Acer Swift 14 AI
    - SAUCE: arm64: dts: qcom: x1-acer-swift-14: Add support for Acer Swift 14
    - SAUCE: arm64: dts: qcom: x1e80100: allow mode-switch events to reach the
      QMP Combo PHYs
    - SAUCE: arm64: dts: qcom: x1e80100: move dp0/1/2 data-lanes to SoC dtsi
    - SAUCE: arm64: dts: qcom: x1e80100: Set up 4-lane DP
    - SAUCE: arm64: dts: qcom: x1e80100: move remaining dp0/1/2 data-lanes to
      SoC dtsi
    - Revert "UBUNTU: SAUCE: Change: cracking sound fix"
  * UBSAN: shift-out-of-bounds in drivers/edac/skx_common.c:452:16
    (LP: #2119713)
    - EDAC/i10nm: Skip DIMM enumeration on a disabled memory controller
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs for v6.17-rc6 rebase

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Mon, 22 Sep 2025 15:02:40 +0200

linux-raspi (6.17.0-1001.1) questing; urgency=medium

  * questing/linux-raspi: 6.17.0-1001.1 -proposed tracker (LP: #2122477)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update update.conf
    - [Packaging] update Ubuntu.md
    - [Packaging] debian.raspi/dkms-versions -- update from kernel-versions
      (main/d2025.09.08)
    - [Packaging] update variants

  * Missing overlays/README (LP: #1954757)
    - SAUCE: (no-up) Install overlays/README

  * Raspberry Pi 3B+ doesnt boot from USB on 23.10 Mantic (LP: #2039786)
    - SAUCE: Revert "usb: misc: onboard-hub: add support for Microchip
      USB2514B USB 2.0 hub"

  * IO errors when writing large amounts of data to USB storage in eoan on
    RPI2/3 (armhf kernel) (LP: #1852510)
    - Add dwc_otg driver

  * Miscellaneous Ubuntu changes
    - [Packaging] raspi: Initial import of debian.raspi from plucky:linux-
      raspi (6.14.0-1014.14)
    - [Packaging] raspi: Sync packaging files from debian.master
    - [Packaging] raspi: Initial version of questing:linux-raspi
    - raspi: Update to upstream raspberrypi rpi-6.17.y (2025-09-09)
    - [Config] raspi: Resync raspi configs
    - [Config] raspi: Add notes to overrides
    - [Config] raspi: Switch IMA_DEFAULT_HASH to SHA256
    - [Config] raspi: Don't override IRQSOFF_TRACER
    - [Config] raspi: updateconfigs after import of rpi-6.17.y patchset
    - [Config] raspi: Remove identical configs
    - [Config] raspi: Remove deprecated configs
    - [Config] raspi: Fix up TODO notes
    - [Config] raspi: Add bug to note
    - SAUCE: ARM: dts: overlays: Fix file permissions
    - SAUCE: (no-up) ARM: dts: Disable unsupported Raspberry Pi DTBs
    - SAUCE: drivers/gpio/gpio-pwm: Fix return type of pwm_gpio_set

  * Miscellaneous upstream changes
    - Revert "spi: spidev: Fix CS polarity if GPIO descriptors are used"
    - Revert "ARM: dts: bcm2711: Add BCM2711 xHCI support"
    - Revert "usb: phy: generic: Get the vbus supply"
    - Revert "PCI: Warn if no host bridge NUMA node info"
    - of: overlay: Correct symbol path fixups
    - module: Avoid ABI changes when debug info is disabled
    - raspberrypi-firmware: Update mailbox commands
    - drm/atomic: Don't fixup modes that haven't been reset
    - drm: Check whether the gamma lut has changed before updating
    - drm/dsi: Document the meaning and spec references for MIPI_DSI_MODE_*
    - drm/bridge: tc358762: Ignore EPROBE_DEFER when logging errors
    - drm: Add chroma siting properties
    - drm/atomic-helpers: remove legacy_cursor_update hacks
    - drm/atomic: If margins are updated, update all planes.
    - arm64: setup: Fix build warning
    - BCM2708: Add core Device Tree support
    - overlays: Fix sc16is752-spi1 emulation
    - config: Add default configs
    - clk: clk-bcm2835: Register the clocks early during the boot process
    - clk-bcm2835: Mark used PLLs and dividers CRITICAL
    - clk-bcm2835: Add claim-clocks property
    - clk-bcm2835: Read max core clock from firmware
    - clk-bcm2835: Don't wait for pllh lock
    - clk: bcm2835: Add support for setting leaf clock rates while running.
    - clk: bcm2835: Allow reparenting leaf clocks while they're running.
    - clk-bcm2835: Avoid null pointer exception
    - clk-bcm2835: Disable v3d clock
    - clk-bcm2835: Use PLLD for DSI0 HS clock
    - smsc95xx: Experimental: Enable turbo_mode and packetsize=2560 by default
    - Allow mac address to be set in smsc95xx
    - Protect __release_resource against resources without parents
    - irq-bcm2836: Avoid "Invalid trigger warning"
    - irqchip: bcm2835: Add FIQ support
    - irqchip: irq-bcm2835: Add 2836 FIQ support
    - spi: spidev: Completely disable the spidev warning
    - dmaengine: bcm2835: Load driver early and support legacy API
    - rtc: Add SPI alias for pcf2123 driver
    - watchdog: bcm2835: Support setting reboot partition
    - reboot: Use power off rather than busy spinning when halt is requested
    - bcm2835-rng: Avoid initialising if already enabled
    - Update vfpmodule.c
    - i2c: bcm2835: Add debug support
    - irqchip: irq-bcm2836: Remove regmap and syscon use
    - amba_pl011: Insert mb() for correct FIFO handling
    - amba_pl011: Add cts-event-workaround DT property
    - tty: amba-pl011: Avoid rare write-when-full error
    - Main bcm2708/bcm2709 linux port
    - bcm2708_fb: Add framebuffer driver
    - dmaengine: Add support for BCM2708
    - MMC: added alternative MMC driver
    - mmc: block: Don't do single-sector reads during recovery
    - vc_mem: Add vc_mem driver for querying firmware memory addresses
    - Add SMI driver
    - Add Chris Boot's i2c driver
    - char: Add broadcom char drivers back to build files
    - char: broadcom: Add vcio module
    - drivers: char: add generic gpiomem driver
    - firmware: bcm2835: Support ARCH_BCM270x
    - leds: Add the "input" trigger, for pwr_led
    - Added Device IDs for August DVB-T 205
    - Improve __copy_to_user and __copy_from_user performance
    - mfd: Add Raspberry Pi Sense HAT core driver
    - drivers/mfd: sensehat: Add Raspberry Pi Sense HAT to simple_mfd_i2c
    - Input: sensehat-joystick : Revert to downstream keymap
    - ASoC: Add support for all the downstream rpi sound card drivers
    - rpi_display: add backlight driver and overlay
    - bcm2835-virtgpio: Virtual GPIO driver
    - OF: DT-Overlay configfs interface
    - brcm: adds support for BCM43341 wifi
    - hci_h5: Don't send conf_req when ACTIVE
    - ARM64: Round-Robin dispatch IRQs between CPUs.
    - ARM64: Force hardware emulation of deprecated instructions.
    - AXI performance monitor driver (#2222)
    - ARM: bcm2835: Set Serial number and Revision
    - dwc-otg: FIQ: Fix "bad mode in data abort handler"
    - ARM: Activate FIQs to avoid __irq_startup warnings
    - i2c-gpio: Also set bus numbers from reg property
    - added capture_clear option to pps-gpio via dtoverlay (#2433)
    - hid: Reduce default mouse polling interval to 60Hz
    - firmware/raspberrypi: Notify firmware of a reboot
    - irqchip: irq-bcm2835: Calc. FIQ_START at boot-time
    - cxd2880: CXD2880_SPI_DRV should select DVB_CXD2880 with
      MEDIA_SUBDRV_AUTOSELECT
    - firmware: raspberrypi: Report the fw variant during probe
    - net: lan78xx: Disable TCP Segmentation Offload (TSO)
    - net: lan78xx: Support auto-downshift to 100Mb/s
    - lan78xx: Debounce link events to minimize poll storm
    - Patching lan78xx for SOF_TIMESTAMPING_TX_SOFTWARE support
    - media: adv7180: Default to the first valid input
    - media: adv7180: Add YPrPb support for ADV7282M
    - media: videodev2: Add helper defines for printing FOURCCs
    - dt-bindings: Document BCM283x CSI2/CCP2 receiver
    - staging: mmal-vchiq: Avoid use of bool in structures
    - staging: mmal-vchiq: Add support for event callbacks.
    - staging: vc04_services: Support sending data to MMAL ports
    - media: videobuf2: Allow exporting of a struct dmabuf
    - staging: mmal-vchiq: Fix client_component for 64 bit kernel
    - staging: mmal_vchiq: Add in the Bayer encoding formats
    - staging: mmal-vchiq: Update mmal_parameters.h with recently defined
      params
    - staging: mmal-vchiq: Free the event context for control ports
    - staging: mmal-vchiq: Fix memory leak in error path
    - w1: w1-gpio: Make GPIO an output for strong pullup
    - arm: bcm2835: Fix FIQ early ioremap
    - arm: bcm2835: DMA can only address 1GB
    - hwrng: iproc-rng200: Add BCM2838 support
    - bcmgenet: constrain max DMA burst length
    - bcmgenet: Better coalescing parameter defaults
    - net: genet: enable link energy detect powerdown for external PHYs
    - usb: add plumbing for updating interrupt endpoint interval state
    - xhci: implement xhci_fixup_endpoint for interval adjustments
    - usb: xhci: workaround for bogus SET_DEQ_PENDING endpoint state
    - usb: xhci: drop and add the endpoint context in xhci_fixup_endpoint()
    - ARM: bcm: Backport BCM2711 support from upstream
    - i2c: bcm2835: Set clock-stretch timeout to 35ms
    - drm/v3d: Clock V3D down when not in use.
    - drm/v3d: Suppress all but the first MMU error
    - hid: usb: Add device quirks for Freeway Airmouse T3 and MX3
    - net: bcmgenet: Workaround #2 for Pi4 Ethernet fail
    - arch/arm: Add model string to cpuinfo
    - arch/arm64: Add Revision, Serial, Model to cpuinfo
    - media: i2c: imx477: Support for the Sony IMX477 sensor
    - media: i2c: imx519: Support for the Sony IMX519 sensor
    - drivers: media: imx296: Disable 2x2 binned mode
    - drivers: media: imx296: Updated imx296 driver for external trigger
    - drivers: media: i2c: imx296,imx477: Configure tigger_mode every time
    - media: i2c: imx296: Updated register setting to fix Fast Trigger
    - media: i2c: imx296: Get sensor crop working
    - media: i2c: imx296: Add helper for hblank control
    - media: i2c: imx296: Set a 1 frame gain delay
    - media: i2c: imx296: Add horizontal/vertical flip support
    - media: i2c: imx296: Adjust cropping limits
    - Documentation: devicetree: Add documentation for imx378 sensor
    - v4l2: Add a Greyworld AWB mode.
    - staging: bcm2835-camera: Add greyworld AWB mode
    - media: v4l2: Add Greyworld AWB control name
    - dt-bindings: Add binding for the Infineon IRS1125 sensor
    - media: i2c: Add a driver for the Infineon IRS1125 depth sensor
    - staging: vchiq_arm: Register vcsm-cma as a platform driver
    - staging: vchiq_arm: Register bcm2835-codec as a platform driver
    - net: phy: broadcom: Allow ethernet LED mode to be set via device tree
    - phy: broadcom: split out the BCM54213PE from the BCM54210E IDs
    - phy: broadcom: Add bcm54213pe configuration
    - net: phy: broadcom: optionally enable link-down powersave based on DT
    - net: phy: BCM54210PE does not support PTP
    - staging: vchiq_arm: Set up dma ranges on child devices
    - staging: vchiq_arm: Usa a DMA pool for small bulks
    - staging: vchiq: Load bcm2835_isp driver from vchiq
    - pinctrl: bcm2835: Remove gpiochip on error
    - dt-bindings: pci: Add DT docs for Brcmstb PCIe device
    - bcmgenet: Disable skip_umac_reset by default
    - media: dt-bindings: media: Add binding for the Raspberry PI HEVC decoder
    - spi: Force CS_HIGH if GPIO descriptors are used
    - media: uapi: v4l2-core: Add sensor ancillary data V4L2 foucc type.
    - media: uapi: Add MEDIA_BUS_FMT_SENSOR_DATA media bus format
    - media: uapi: v4l2-core: Add ISP statistics output V4L2 fourcc type
    - media: uapi: v4l-ctrls: Add CID base for the bcm2835-isp driver
    - staging: vc04_services: mmal-vchiq: Update parameters list
    - staging:vc04_services: bcm2835-camera: Request headers with I-frame
    - gpiolib: Don't prevent IRQ usage of output GPIOs
    - brcmfmac: Prefer a ccode from OTP over nvram file
    - media: bcm2835-unicam: Driver for CCP2/CSI2 camera interface
    - media: platform: Move bcm2835-unicam compatible to downstream driver
    - serial: 8250: bcm2835aux - defer if clock is zero
    - leds: Add the actpwr trigger
    - staging/fbtft: Add support for display variants
    - brcmfmac: Increase power saving delay to 2s
    - staging: bcm2835-camera: Replace deprecated V4L2_PIX_FMT_BGR32
    - staging: vc04_services: Add new vc-sm-cma driver
    - staging: vchiq-mmal: Add support for 14bit Bayer
    - staging: mmal-vchiq: Add monochrome image formats
    - staging: mmal-vchiq: Use vc-sm-cma to support zero copy
    - staging: vc04_services: Add a V4L2 M2M codec driver
    - uapi: bcm2835-isp: Add bcm2835-isp uapi header file
    - staging: vc04_services: ISP: Add a more complex ISP processing component
    - gpio: Add gpio-fsm driver
    - watchdog: bcm2835: Ignore params after the partition number
    - firmware: raspberrypi: Add support for tryonce reboot flag
    - Input: edt-ft5x06: Poll the device if no interrupt is configured.
    - dt-bindings: Add compatible for BCM2711 DSI1
    - staging/vc04_services: Add additional unpacked raw formats
    - spi: bcm2835: Workaround/fix for zero-length transfers
    - Assign crypto aliases to different AES implementation modules
    - media: ov5647: Fix return codes from ov5647_write/ov5647_read functions.
    - media: i2c: ov5647: Parse and register properties
    - media: i2c: ov5647: Correct pixel array offset
    - media: i2c: ov5647: Correct minimum VBLANK value
    - media: i2c: ov5647: Fix v4l2-compliance failure subscribing to events
    - media: i2c: ov5647: Sensor should report RAW color space
    - media: i2c: ov5647: Support HFLIP and VFLIP
    - media: i2c: ov5647: Add support for regulator control.
    - media: i2c: ov5647: Use v4l2_async_register_subdev_sensor for lens
      binding
    - media: i2c: ov5647: Add control of V4L2_CID_HBLANK
    - media: i2c: ov5647: Tidy up mode registers to make the order common
    - media: i2c: ov5647: Separate out the common registers.
    - media: i2c: ov5647: Use the same PLL config for full, 1080p, and binned
      modes
    - media: i2c: ov5647: Add V4L2_CID_LINK_FREQUENCY control
    - staging/bcm2835-camera: Add support for DMABUFs
    - staging: fbtft: Add minipitft13 variant
    - staging/bcm2835-camera: Add support for H264 levels 4.1 and 4.2
    - media: i2c: ov7251: Add fwnode properties controls
    - drm/panel/raspberrypi-touchscreen: Use independent I2C actions with
      delay.
    - drm/panel-simple: Add a timing for the Raspberry Pi 7" panel
    - drm/panel: jdi-lt070me05000: Use gpiod_set_value_cansleep
    - Extending ili9881c driver support for nwe080 panel
    - Extending ili9881c driver support for nwe080 panel
    - dt-bindings: ili9881c: add compatible string for new panels
    - drm/panel: Add panel driver for TDO Y17B based panels
    - drm/panel: Add panel driver for Waveshare DSI touchscreens
    - drivers/regulator : Add a regulator to Waveshare DSI-TOUCH series panels
    - dt-bindings: vendor-prefixes: Add Geekworm
    - dt-bindings: display: simple: add Geekworm MZP280 Panel
    - dt-bindings: display: panel-dsi bindings
    - staging/vchiq-mmal: Add buffer flags for interlaced video
    - staging/vchiq-mmal: Add parameters for interlaced video support
    - staging/vchiq-mmal: Add the deinterlace image effects enums
    - Add Raspberry Pi PoE+ HAT support
    - mfd: simple-mfd-i2c: Add configuration for RPi POE HAT
    - pwm: raspberrypi-poe: Add option of being created by MFD or FW
    - staging/mmal-vchiq: Add module parameter to enable logging.
    - staging: mmal-vchiq: Reset buffers_with_vpu on port_enable
    - hwmon: (pwm-fan) Add fan speed register support
    - drivers/gpio: Add a driver that wraps the PWM API as a GPIO controller
    - staging/bcm2835-camera: Add support for H264_MIN_QP, H264_MAX_QP
    - staging/bcm2835-camera: Add support for MPEG_VIDEO_FORCE_KEY_FRAME
    - brcmfmac: Don't promote INFO logging to ERR
    - spi: spidev: Restore loading from Device Tree
    - regulator/rpi-panel-attiny: Don't read the LCD power status
    - rtc: pcf8523: Fix oscillator stop bit handling
    - media: i2c: ov7251: Make the enable GPIO optional.
    - uapi/v4l2-controls: Reset V4L2_CID_USER_BCM2835_ISP_BASE to same as 5.10
    - bindings: Add sck-idle-input to spi-gpio
    - spi: gpio: Add sck-idle-input property
    - media: i2c: ov7251: Reinstate setting ov7251_global_init_setting
    - media/i2c: Add driver for Omnivision OV2311
    - dt-bindings: media: i2c: Add binding for ad5398 VCM
    - media: i2c: Add driver for AD5398 VCM lens driver
    - mm,page_alloc,cma: introduce a customisable threshold for allocating
      pages in cma
    - tpm_tis_spi_main: Force probe routine to run synchronously with driver
      and device registration when IMA is enabled
    - dt-bindings: vendor-prefixes: Add Arducam
    - media: dt-bindings: media: i2c: Add Arducam Pivariety Series CMOS sensor
      binding
    - media: i2c: Add driver of Arducam Pivariety series camera
    - thermal: broadcom: Use dev_err_probe to suppress defer errors
    - hwmon: emc2305: fixups for driver submitted to mailing lists
    - random: do not use jump labels before they are initialized
    - media: dt-bindings: media: i2c: Add Arducam 64MP CMOS sensor binding
    - media: i2c: Add driver of Arducam 64MP camera
    - Add HDMI1 facility to the driver.
    - Populate phy driver block for BCM54213PE
    - media: video-mux: Read CSI2 config from FW, and pass to receiver
    - media: adv7180: Nasty hack to allow input selection.
    - media: i2c: ov7251: Add module param to select ext trig mode
    - net: bcmgenet: Add 'eee' module parameter
    - media: dt-bindings: Add DW9817 to DW9807 binding
    - media: dw9807-vcm: Add support for DW9817 bidirectional VCM driver
    - media: dt-bindings: Add regulator to dw9807-vcm
    - media: dw9807-vcm: Add regulator support to the driver
    - media: dw9807-vcm: Smooth the first user movement of the lens
    - dtbindings: media: i2c: Add IMX708 CMOS sensor binding
    - dt-bindings: media: i2c: Replace IMX708 sensor binding documentation
      file
    - media/i2c: Add a driver for the Sony IMX708 image sensor
    - iio: adc: mcp3422: Add correct compatible strings
    - gpio: pca953x: Add ti,tca9554 compatible string
    - hwmon: (aht10): Add DT compatible string
    - hwmon: (ds1621) Add DT compatible strings
    - rtc: ds3232: Add DT compatible string for ds3234
    - hwmon: (sht3x) Add DT compatible string
    - iio: light: tsl4531: Add DT compatible string
    - hwrng: bcm2835 - sleep more intelligently
    - fbdev: Don't cancel deferred work if pagelist empty
    - serial: 8250: Add NOMSI bug for bcm2835aux
    - Bluetooth: hci_sync: Add fallback-bd-address prop
    - Bluetooth: hci_bcm: Add more invalid BDADDRs
    - pinctrl: bcm2835: Workaround for edge IRQ loss
    - mmc: bcm2835: Use phys addresses for slave DMA config
    - spi: bcm2835: Use phys addresses for slave DMA config
    - pps: Compatibility hack should be X86-specific
    - serial: sc16is7xx: Read modem line state at startup
    - xhci: add quirk for host controllers that don't update endpoint DCS
    - xhci: quirks: add link TRB quirk for VL805
    - usb: xhci: add VLI_SS_BULK_OUT_BUG quirk
    - usb: xhci: add XHCI_VLI_HUB_TT_QUIRK
    - cfg80211: ship debian certificates as hex files
    - drm/ili9486: Resolve clash in spi_device_id names
    - rtc: rv3028: Add backup switchover mode support
    - gpio_brcmstb: Allow to build for ARCH_BCM2835
    - pinctrl: bcm2712 pinctrl/pinconf driver
    - mmc: brcmstb: add support for BCM2712
    - sdhci: Add SD Express hook
    - reset: reset-brcmstb-rescal: Support shared use
    - net: macb: Also set DMA coherent mask
    - usb: dwc3: Set DMA and coherent masks early
    - dt-binding: mfd: Add binding for Raspberry Pi RP1
    - mfd: Add rp1 driver
    - dt-bindings: pinctrl: Add bindings for Raspberry Pi RP1
    - serial: pl011: rp1 uart support
    - mmc: sdhci-of-dwcmshc: define sdio timeout clocks
    - clk: rp1: Add sdio-clk driver
    - i2c: designware: Add SMBUS quick command support
    - dmaengine: dw-axi-dmac: Fixes for RP1
    - spi: dw: Handle combined tx and rx messages
    - pwm: Add support for RP1 PWM
    - drm: Add RP1 DSI driver
    - drm: Add RP1 DPI driver
    - drm: Add RP1 VEC driver
    - nvmem: raspberrypi: Add nvmem driver for accessing OTP data
    - dt-bindings: net: cdns,macb: AXI tuning properties
    - hwmon: Add RP1 ADC and temperature driver
    - mfd: bcm2835-pm: Add support for BCM2712
    - soc: bcm: bcm2835-power: Add support for BCM2712
    - spi: gpio: Fix spi-gpio to correctly implement sck-idle-input
    - spi: spi-gpio: Implement spidelay when requested bit rate <= 1 Mbps
    - dt-bindings: gpu: v3d: Add BCM2712 to compatibility list
    - dmaengine: bcm2835: Add BCM2712 support
    - dmaengine: bcm2835: HACK: Support DMA-Lite channels
    - dmaengine: bcm2835: Rename to_bcm2711_cbaddr to to_40bit_cbaddr
    - drivers: iommu: Add BCM2712 IOMMU
    - irqchip/irq-brcmstb-l2: Add config for 2711 controller
    - rtc: rtc-rpi: Add simple RTC driver for Raspberry Pi
    - dt-bindings: rtc: new binding for Raspberry Pi RTC driver
    - media: i2c: Move Kconfig entry for IMX477 to the camera sensor section
    - media: i2c: ov9282: Read chip ID via 2 reads
    - fbdev: Allow client to request a particular /dev/fbN node
    - drm/fb-helper: Look up preferred fbdev node number from DT
    - drivers: mmc: sdhci: add SPURIOUS_INT_RESP quirk
    - dt-bindings: mmc: sdhci-of-dwcmhsc: Add Raspberry Pi RP1 support
    - Add ability to export gpio used by gpio-poweroff
    - gpio-poweroff: Disable the WARN
    - w1: Disable kernel log spam
    - xhci: Use more event ring segment table entries
    - drivers: thermal: step_wise: add support for hysteresis
    - media/i2c: ov7251: Switch from V4L2_CID_GAIN to V4L2_CID_ANALOGUE_GAIN
    - drm/bridge: display-connector: Select DRM_KMS_HELPER
    - dtc update
    - media: dt-bindings: i2c: Add Rohm BU64754 bindings
    - media: i2c: Add ROHM BU64754 Camera Autofocus Actuator
    - firmware/psci: Pass given partition number through
    - media: i2c: adv7180: Use MEDIA_BUS_FMT_UYVY8_1X16 for CSI2 output
    - media: i2c: adv7180: Add support for V4L2_CID_LINK_FREQ
    - spi: bcm2835: Support spi0-0cs and SPI_NO_CS mode
    - dt-bindings: usb: update dwc3 bindings for parkmode-disable quirks
    - drivers: usb: dwc3: add FS/LS bus instance parkmode disable bit
    - i2c: designware: Use SCL rise and fall times in DT
    - i2c: designware: Support non-standard bus speeds
    - serial: sc16is7xx: Don't spin if no data received
    - arm64/Kconfig: Don't set DMA_BOUNCE_UNALIGNED_KMALLOC
    - Bluetooth: btbcm: Add entry for BCM43439 UART BT
    - i2c: mux: Add support for generic base-nr property
    - non-upstream: support DS1 exit firmware re-download
    - brcmfmac: Fix interoperating DPP and other encryption network access
    - brcmfmac: Fix 802.1x
    - drivers: mmc: add SD support for Command Queueing
    - drivers: mmc: preallocate a block for SD extension register accesses
    - drivers: mmc: trigger activity LED when CQE is active
    - drivers: sdhci-brcmstb: work around mystery CQE CMD_IDLE_TIMER trampling
    - drivers: mmc: cqhci: clear CQHCI_CTL if halt fails
    - drivers: mmc: export SD extension register read/write functions
    - drivers: mmc: be more cautious when manipulating Command Queue enable
    - drivers: mmc: add debugfs entries for SD extension registers
    - drivers: mmc: handle 1024-byte SD General Info lengths
    - mmc: sdhci-brcmstb: add hs400_downgrade callback for bcm2712
    - mmc: sdhci: extend maximum ADMA transfer length to 4MiB
    - drivers: mmc: sdhci-brcmstb: improve bcm2712 card removal handling
    - drivers: mmc: core: handle card-removal when running CQE recovery
    - mmc: restrict posted write counts for SD cards in CQ mode
    - mmc: don't reference requests after finishing them
    - drivers: mmc: disable write-caching on Samsung 2023 model year SD cards
    - mmc: quirks: disable cache on more known-bad Sandisk card date ranges
    - mmc: block: disable CQ on SD cards when doing non-Discard erase
    - mmc: quirks: add MMC_QUIRK_BROKEN_ERASE for Phison/Integral cards
    - i2c: designware: Add support for bus clear feature
    - i2c: designware: Make the SDA hold time half LCNT
    - dw-axi-dmac-platform: Avoid trampling with zero length buffer
    - drm/panel: Add and initialise an orientation field to drm_panel from OF
    - drm/bridge: tc358762: Program the DPI mode into the chip
    - drm/bridge: tc358762: revert move ops to enable
    - pinctrl: bcm2835: Persist outputs by default
    - spi: dw: Handle any number of gpiod CS lines
    - backlight: Add a display name to the core, and a function to set it
    - drm/bridge: panel: Name an associated backlight device
    - drivers: media: pci: Add Hailo accelerator device drivers
    - staging: vc04_services: Add helpers for vchiq driver data
    - media: pisp_be: Re-introduce video node offset
    - spi: dt-bindings: Add RPI RP2040 GPIO Bridge
    - spi: Add a driver for the RPI RP2040 GPIO bridge
    - dmaengine: dw-axi-dmac: Honour snps,block-size
    - brcmfmac: Only match complete feature names
    - brcmfmac: Add "extsae" as an alias for "sae_ext"
    - brcmfmac: support extsae with psk / 1x offloading
    - spi: dw: Save bandwidth with the TMOD_TO feature
    - spi: dw: Save bandwidth with the TMOD_RO feature
    - spi: dw: don't immediately kill DMA transfers if an error occurs
    - drivers: dw-axi-dmac: make more sensible choices about memory accesses
    - DT: bindings: add a dma-maxburst property to snps,designware-i2s
    - spi: dw: Fix non-DMA transmit-only transfers
    - spi: dw: Clamp the minimum clock speed
    - hwmon: (adt7410) Add DT compatible strings
    - gpiolib: Override gpiochip numbers with DT aliases
    - Bluetooth: hci_sync: Fix crash on NULL parent
    - rtc: pcf8523: Fix oscillator stop bit handling reading from Control_1
    - media: dt-bindings: i2c: Add Sony IMX500
    - media: i2c: Add driver for Sony IMX500 sensor
    - lib: earlycpio: export symbol find_cpio_data()
    - NotForUpstream: media: video-mux: Propagate controls to source
    - dma-buf: system_heap: Allow specifying maximum allocation order
    - mm/numa: Allow override of kernel's default NUMA policy
    - numa/emulation: Check emulated zones around the CMA window
    - iommu/dma: Add ability to configure NUMA allocation policy for remapped
      allocations
    - mm/mempolicy: Add MPOL_RANDOM
    - mm/mempolicy: Ignore runtime policy changes when set through cmdline
    - mm/vmscan: Maintain TLB coherency in LRU code
    - mmc: quirks: add more broken Kingston Canvas Go! SD card date ranges
    - dt-bindings: usb: snps,dwc3: add FS/HS periodic NAK polling quirk
    - usb: dwc3: core: add support for setting NAK enhancement bits for FS/HS
    - drivers: usb: xhci: prevent a theoretical race on non-coherent platforms
    - iio: humidity: dht11: Allow non-zero decimals
    - drm: Set non-desktop property to true for writeback and virtual
      connectors
    - drm: Increase plane_mask to 64bit.
    - drm: Add a DRM_MODE_TRANSPOSE option to the DRM rotation property
    - drm: Add a rotation parameter to connectors.
    - dmaengine: dw-axi-dmac: Allow client-chosen width
    - spi: dw: Let the DMAC set the transfer widths
    - serial: pl011: Request a memory width of 1 byte
    - drivers: usb: xhci: set HID bit in streaming endpoint contexts
    - dmaengine: dw-axi-dmac: Only start idle channels
    - mailbox: Add RP1 mailbox support
    - firmware: Add an RP1 firmware interface over mbox
    - misc: Add RP1 PIO driver
    - pwm: Add pwm-pio-rp1 driver
    - misc: Add ws2812-pio-rp1 driver
    - drm/connector: Initialise max_bpc to the minimum value supported
    - drm: vc4: dsi: Handle the different command FIFO widths
    - dt-bindings: net: cdns,macb: Add compatible for Raspberry Pi RP1
    - net: macb: Add support for Raspberry Pi RP1 ethernet controller
    - drm/vc4: hvs: Defer dlist slots deallocation
    - drm/vc4: Add hvs_dlist_allocs debugfs function.
    - drm/vc4: Disable overrun interrupts
    - drm: vc4: Block swiotlb bounce buffers being imported as dmabuf
    - drm/vc4: Add option to call from crtc to encoder on vblank
    - drm: vc4: dsi: Clocks should be running before reset
    - drm: vc4: Reset DSI AFE on disable
    - drm/vc4: Ensure DSI is enabled for FIFO resets
    - drm/vc4: Add vblank callback to DSI0 to reset FIFO
    - drm/vc4: Fixup mode for 7inch panel on DSI0
    - drm/vc4: dsi: Don't reset the host until post_disable
    - drm: vc4: dsi: enable video and then retry failed transfers
    - drm/vc4: Allow setting the TV norm via module parameter
    - drm/vc4: Initialise the tv_mode property default from cmdline_mode.
    - drm/vc4: hdmi: Add a clear_infoframe hook
    - drm/vc4_hdmi: Allow hotplug detect to be forced
    - vc4/hdmi: Ignore hotplug interrupt with force_hotplug
    - drm/vc4: Add a delay after disabling hdmi phy output
    - drm/vc4: Implement vc6_hdmi_phy_disable
    - drm/vc4: Also power down the PLL core when resetting PHY
    - drm/vc4: dpi: Add override for RGB order
    - vc4/drm:plane: Make use of chroma siting parameter
    - drm/vc4: Add support for per plane scaling filter selection
    - drm/vc4: Use the TPZ scaling filter for 1x1 source images
    - drm/vc4: hvs: Defer updating the enable_bg_fill until vblank
    - drm/vc4: Increase number of overlay planes from 16 to 48
    - drm/vc4: Assign 32 overlay planes to writeback only
    - drm/vc4: Do not include writeback conn load in load tracker
    - drm/vc4: Drop panic priority for writeback connector
    - drm/vc4: txp: Add a rotation property to the writeback connector
    - drm/vc4: Remove request for min clocks when hdmi output is disabled
    - drm/vc4: Disable the 2pixel/clock odd timings workaround for interlaced
    - drm/vc4: fkms: Add firmware-kms mode
    - drm/vc4: tests: Switch generation mockup to a switch
    - drm/vc4: tests: Drop drm parameter for vc4_find_crtc_for_encoder
    - drm/vc4: tests: Return the allocated output
    - drm/vc4: tests: Add BCM2712 mock driver
    - drm/vc4: tests: Add tests for BCM2712 PixelValve Muxing
    - drm/vc4: tests: Use custom plane state for mock
    - drm/vc4: tests: Add function to lookup a plane for a CRTC
    - drm/vc4: tests: Add helper to add a new plane to a state
    - drm/vc4: tests: Support a few more plane formats
    - drm/vc4: tests: Introduce a test for LBM buffer size
    - drm/vc4: tests: Update pv muxing tests now DSI1 is more flexible
    - drm/vc4: tests: Fix up vc4_test_lbm_size
    - drm/vc4: backport 27e0a194a256 and b3bf19552ea3
    - drm/vc4: Cache LBM allocations to avoid double-buffering
    - serial: core: Add the Raspberry Pi firmware UART id
    - serial: tty: Add a driver for the RPi firmware UART
    - input: Add support for no irq to ili210x driver
    - cgroup: Add cgroup_enable option
    - drm: bridge: panel: Connector to allow interlaced modes
    - drm: Validate connector rotation has one bit set in the rotation
      property
    - docs: pcm3168a: Add DT bindings to force clock consumer mode
    - media: imx290: Add module parameter to allow selection of HCG mode
    - mmc: sd: filter card CQ support based on an allow-list
    - mmc: set MMC_QUIRK_KNOWN_WORKING_SD_CQ on Raspberry Pi class A2 cards
    - mmc: use downstream DT property to modify CQE and/or SD CQ behaviour
    - media: rp1: Add downstream CFE (Camera Front End) driver
    - mmc: bcm2835: Add downstream overclocking support
    - drivers: media: pisp_be: Add support for YUV422 planar format
    - drivers: media: pisp_be: Remove unused fields in struct pisp_be_config
    - dmaengine: bcm2835: Fix a build warning
    - spi: dw: Wait for idle after TX
    - vc4: Add jack detection to HDMI audio driver
    - drm/vc4: Use phys addresses for slave DMA config
    - dma-direct: take dma-ranges/offsets into account in resource mapping
    - dmaengine: bcm2835: Use dma_map_resource
    - drm/vc4: PV1 can be driven via any HVS channel, so adapt to allow it
    - drm/edid: When reset, assume HDMI displays support RGB444
    - drm/vc4: Correct one logging message that got promoted from dbg to err
    - media: mc: add manual request completion
    - media: vicodec: add support for manual completion
    - media: mc: add debugfs node to keep track of requests
    - docs: uapi: media: Document Raspberry Pi NV12 column format
    - media: ioctl: Add pixel formats NV12MT_COL128 and NV12MT_10_COL128
    - media: dt-bindings: media: Add binding for the Raspberry Pi HEVC decoder
    - media: platform: Add Raspberry Pi HEVC decoder driver
    - media: hevc_dec: Drop the new image formats until we have Mesa 24
    - media: v4l2: Add single planar NV12 column formats
    - drm: vc4: hvs: Fix vc6_hvs_debugfs_dlist state lookup
    - drm/vc4: Add algorithmic handling for SAND
    - drm: vc4: plane: Avoid using pitch in calculating UBM for SAND
    - drm/framebuffer: Pitch checks aren't valid for non-linear modifiers
    - PCI: brcmstb: set BCM7712/2712-specific AXI bridge handling behaviours
    - PCI: brcmstb: Enable CRS software visibility after linkup
    - PCI: brcmstb: add NO_SSC quirk for BCM2712
    - dt-bindings: pci: pcie-brcmstb: add BCM2712-specific properties
    - PCI: brcmstb: add support for BCM2712 priority forwarding
    - dt-bindings: pci: pcie-brcmstb: add optional brcm,tperst-clk-ms property
    - PCI: pcie-brcmstb: optionally extend Tperst_clk time
    - dt-bindings: PCI: brcmstb: add optional property - "brcm,tperst-clk-ms"
    - drm/panel: Add panel driver for Ilitek ILI9806E panel
    - drm/vc4: Correct arithmetic for shifting between columns of SAND images
    - dmaengine: dw-axi-dmac: Improve axi_desc_put
    - dmaengine: dw-axi-dmac: Fix alignment checks
    - PCI: brcmstb: Add link statistics debug features
    - drm/vc4: plane: Correct SAND30 word sizing for cropping on BCM2712
    - drm/vc4: plane: Ensure fetch_count is sufficient for hw in SAND mode
    - PCI: pcie-brcmstb: add more safeguards for clkreq "safe" mode
    - PCI: quirks: work around VL805 firmware ASPM meddling
    - usb: xhci: default to Intel scheme for calculating U1/U2 timeouts
    - media: i2c: imx219: Restore the 1920x1080 to using a 1:1 PAR
    - drm/vc4: plane: Increase UPM allocation size for YUV444
    - drm/vc4: plane: Enable scaler for YUV444 on GEN6
    - drm/vc4: plane: Use nearest neighbour filter with YUV444 workaround
    - hwmon: aht10: Fix AHT20 initialization
    - media: imx335: Rectify name of mode struct
    - media: imx335: Support vertical flip
    - drm/vc4: plane: Fix incorrect handling of GEN_6_D in
      vc4_plane_async_set_fb
    - watchdog: Reduce severity of release without stop
    - media: i2c: imx296: Add OF option for vsync sink for XTRIG
    - drm/v3d: Don't retrieve the clock twice
    - wifi: brcmfmac: Include modinfo for 43456 CLM blob
    - usb: xhci: set Input Slot Context bit in xhci_fixup_endpoint
    - firmware/raspberrypi: raise timeout to 3s
    - gpiolib: Avoid the hotplug performance reduction
    - media/i2c: Add driver for ams Mira220
    - drivers: irq-bcm2836: preserve unrelated bits in LOCAL_GPU_ROUTING
    - drivers: irq-bcm283x: swizzle interrupts on ARMv7 too
    - usb: dwc2: return correct frame counts with high-speed host
    - usb: dwc2: limit "maximum packet size" for split-IN transfers
    - brcmfmac: On RPi, 43430 and 43455 are CYW parts
    - drm/probe-helper: Ensure cmdline mode matches interlace mode
    - clk: clk-gpio: Support acquire/release semantics
    - dt-bindings: clock: Add gpio-gate-clock-releasing
    - drivers: dwc2: don't use shifted frame number internally
    - mfd: rp1: depends on PCI_MSI
    - media: pisp_be: Fix pm_runtime underrun in probe
    - drivers: dwc2: better handle hardware length & alignment issues
    - drm/vc4: tests: Use the correct return type in
      vc4_mock_atomic_add_output()
    - drm/vc4: plane: Add support for P01[026] and Q01[026] formats
    - drm/v3d: Store a pointer to `struct v3d_file_priv` inside each job
    - drm/v3d: Store the active job inside the queue's state
    - drm/v3d: Replace a global spinlock with a per-queue spinlock
    - drm/v3d: Address race-condition between per-fd GPU stats and fd release
    - drivers: meida: pisp_be: Rename format align field
    - drivers: media: pisp_be: Add minimal alinment to the format structure
    - arm64/dma-mapping: Fix arch_sync_dma_for_device to respect dir parameter
    - media: pisp_be: Re-introduce multi-context support
    - configs: Regenerate defconfigs
    - net: lan78xx: Ack pending PHY ints when resetting
    - lan78xx: Enable LEDs and auto-negotiation
    - lan78xx: Read initial EEE status from DT
    - lan78xx: Return tx_lpi_timer even if disabled
    - PCI: pcie-brcmstb: fake MSIx support on internal MSI target
    - power: rpi-poe: FIXUP DRIVER.
    - drm/connector: hdmi: Attempt YUV422 output if RGB isn't supported
    - pinctrl: Reinstate the downstream pinctrl-rp1 driver
    - Fixup downstream pinctrl-rp1 driver
    - dt: Reinstate the upstream rp1-common.dtsi file
    - Restore rp1-nexus.dtsi
    - clk: rp1: Delete upstream version
    - clk: rp1: Add the downstream RP1 clock driver
    - config: Allow MFD_RP1 as well as MISC_RP1
    - configs: Use the downstream RP1 driver
    - misc: rp1-pio: Fix a config_xfer error path
    - dmaengine: dw-axi-dmac: Per-channel burst limits
    - dmaengine: dw-axi-dmac: Add DMA channel selection
    - dts: rp1: Set per-channel DMA burst limit
    - dts: bcm2712-rpi: Give PIO the "heavy" DMA channels
    - misc: rp1-pio: Request a DMA burst size of 8
    - pinctrl: rp1: Allow building as a module
    - defconfigs: Force upstream to use MFD_RP1
    - config: COMMON_CLK_RP1=y in arm64/defconfig
    - configs: Regenerate defconfigs
    - dmaengine: dw-axi-dmac: report per-channel max_burst via device_caps
    - Update tpm-slb9673-overlay.dts
    - Fullscreen Splash Images
    - overlays: Rebuild 5inch display from the 7inch
    - drm: rp1: rp1-vec: Support 60fps in interlaced modes; other tweaks
    - Splash Screen: bug fix
    - configs: Add EROFS_FS_ZIP_ZSTD
    - dt: Add eth_max_speed override for CM4, Pi4, and Pi400
    - dt: Add Add eth_max_speed override for Pi5, Pi500, and CM5.
    - mfd: rp1: Fix device links when modules disabled
    - defconfig: Add CONFIG_ADXL355_I2C to the defconfigs
    - dtoverlays: Add adxl355 to i2c-sensor overlay
    - dtoverlays: Add BMP580 family to i2c-sensor
    - dtoverlays: Switch ssd1306 to use the DRM driver
    - Overlays: Added support for rpi-power HAT
    - fixup! misc: rp1-pio: Request a DMA burst size of 8
    - net: phy: broadcom: Handle irqs on BCM54213PE
    - dts: cm5: Fix Ethernet PHY interrupt pull-up
    - net: phy: broadcom: Preserve LED4 settings
    - net: phy: broadcom: Remove conflicting ECR global interrupt mask in
      config_init

  [ Ubuntu: 6.17.0-4.4 ]

  * questing/linux: 6.17.0-4.4 -proposed tracker (LP: #2122321)
  * [SRU] Do not instantiate SPD5118 sensors on i801 SMBus controllers
    (LP: #2114963)
    - SAUCE: i2c: i801: Do not instantiate spd5118 under SPD Write Disable
  * initramfs-tools: autopkgtest fails on arm64 with Possible missing firmware
    /lib/firmware/apple/dfrmtfw-*.bin for built-in driver apple_z2
    (LP: #2115758)
    - [Config] Set TOUCHSCREEN_APPLE_Z2=m (arm64)
  * Support TDX host in questing (LP: #2121873)
    - SAUCE: x86/kexec: Consolidate relocate_kernel() function parameters
    - SAUCE: x86/sme: Use percpu boolean to control WBINVD during kexec
    - SAUCE: x86/virt/tdx: Mark memory cache state incoherent when making
      SEAMCALL
    - SAUCE: x86/kexec: Disable kexec/kdump on platforms with TDX partial
      write erratum
    - SAUCE: x86/virt/tdx: Remove the !KEXEC_CORE dependency
    - SAUCE: x86/virt/tdx: Update the kexec section in the TDX documentation
    - SAUCE: KVM: TDX: Explicitly do WBINVD when no more TDX SEAMCALLs
    - [Config] enable TDX host support
  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] Enable SYM53C8XX_2 on arm64
  * Miscellaneous Ubuntu changes
    - [Config] Re-enable Rust support, and make sure it doesn't get disabled
      by accident
    - [Config] updateconfigs for v6.17-rc5 rebase

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 10 Sep 2025 13:39:00 +0200

linux-raspi (6.17.0-1000.0) questing; urgency=medium

  * Initial version of questing:linux-raspi

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 09 Sep 2025 15:12:11 +0200

linux-raspi (6.14.0-1014.14) plucky; urgency=medium

  * plucky/linux-raspi: 6.14.0-1014.14 -proposed tracker (LP: #2120114)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian.raspi/dkms-versions -- update from kernel-versions
      (main/2025.08.11)

  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] raspi: keep SYM53C8XX_2 as loadable module not built-in

  * Arducam ov9281 crashes on Raspberry Pi 4/5 (LP: #2116543)
    - dtoverlays: ov9281: Add continuous clock option as an override

  [ Ubuntu: 6.14.0-32.32 ]

  * plucky/linux: 6.14.0-32.32 -proposed tracker (LP: #2121653)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.08.11)
  * Pytorch reports incorrect GPU memory causing "HIP Out of Memory" errors
    (LP: #2120454)
    - drm/amdkfd: add a new flag to manage where VRAM allocations go
    - drm/amdkfd: use GTT for VRAM on APUs only if GTT is larger
  * nvme no longer detected on boot after upgrade to 6.8.0-60 (LP: #2111521)
    - SAUCE: PCI: Disable RRS polling for Intel SSDPE2KX020T8 nvme
  * kernel panic when reloading apparmor 5.0.0 profiles (LP: #2120233)
    - SAUCE: apparmor5.0.0 [59/53]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * [SRU] Add support for ALC1708 codec on TRBL platform (LP: #2116247)
    - ASoC: Intel: soc-acpi-intel-lnl-match: add rt1320_l12_rt714_l0 support
  * [SRU] Add waiting latency for USB port resume (LP: #2115478)
    - usb: hub: fix detection of high tier USB3 devices behind suspended hubs
    - usb: hub: Fix flushing and scheduling of delayed work that tunes runtime
      pm
    - usb: hub: Fix flushing of delayed work used for post resume purposes
  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] Enable SYM53C8XX_2 on arm64
  * Support xe2_hpg (LP: #2116175)
    - drm/xe/xe2_hpg: Add PCI IDs for xe2_hpg
    - drm/xe/xe2_hpg: Define additional Xe2_HPG GMD_ID
    - drm/xe/xe2_hpg: Add set of workarounds
    - drm/xe/xe2hpg: Add Wa_16025250150
  * drm/xe: Lite restore breaks fdinfo drm-cycles-rcs reporting (LP: #2119526)
    - drm/xe: Add WA BB to capture active context utilization
    - drm/xe/lrc: Use a temporary buffer for WA BB
  * No IP Address assigned after hot-plugging Ethernet cable on HP Platform
    (LP: #2115393)
    - Revert "e1000e: change k1 configuration on MTP and later platforms"
  * I/O performance regression on NVMes under same bridge (dual port nvme)
    (LP: #2115738)
    - iommu/vt-d: Optimize iotlb_sync_map for non-caching/non-RWBF modes
    - iommu/vt-d: Split intel_iommu_domain_alloc_paging_flags()
    - iommu/vt-d: Create unique domain ops for each stage
    - iommu/vt-d: Split intel_iommu_enforce_cache_coherency()
    - iommu/vt-d: Split paging_domain_compatible()
    - iommu/vt-d: Make iotlb_sync_map a static property of dmar_domain
  * BPF header file in wrong location (LP: #2118965)
    - [Packaging] Install bpf header to correct location
  * Internal microphone not working on ASUS VivoBook with Realtek ALC256
    (Ubuntu 24.04 + kernel 6.15) (LP: #2112330)
    - ALSA: hda/realtek: Fix built-in mic on ASUS VivoBook X513EA
  * Documentation update for  [Ubuntu25.04] "virsh attach-interface" requires
    a reboot to reflect the attached interfaces on the guest (LP: #2111231)
    - powerpc/pseries/dlpar: Search DRC index from ibm, drc-indexes for IO add
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603)
    - tools/x86/kcpuid: Fix error handling
    - x86/idle: Remove MFENCEs for X86_BUG_CLFLUSH_MONITOR in
      mwait_idle_with_hints() and prefer_mwait_c1_over_halt()
    - crypto: sun8i-ce-hash - fix error handling in sun8i_ce_hash_run()
    - sched: Fix trace_sched_switch(.prev_state)
    - perf/x86/amd/uncore: Remove unused 'struct amd_uncore_ctx::node' member
    - perf/x86/amd/uncore: Prevent UMC counters from saturating
    - gfs2: replace sd_aspace with sd_inode
    - gfs2: gfs2_create_inode error handling fix
    - perf/core: Fix broken throttling when max_samples_per_tick=1
    - crypto: sun8i-ss - do not use sg_dma_len before calling DMA functions
    - powerpc: do not build ppc_save_regs.o always
    - powerpc/crash: Fix non-smp kexec preparation
    - sched/core: Tweak wait_task_inactive() to force dequeue sched_delayed
      tasks
    - x86/microcode/AMD: Do not return error when microcode update is not
      necessary
    - crypto: sun8i-ce - undo runtime PM changes during driver removal
    - x86/cpu: Sanitize CPUID(0x80000000) output
    - x86/insn: Fix opcode map (!REX2) superscript tags
    - brd: fix aligned_sector from brd_do_discard()
    - brd: fix discard end sector
    - kselftest: cpufreq: Get rid of double suspend in rtcwake case
    - crypto: marvell/cesa - Avoid empty transfer descriptor
    - erofs: fix file handle encoding for 64-bit NIDs
    - powerpc/pseries/iommu: Fix kmemleak in TCE table userspace view
    - btrfs: scrub: update device stats when an error is detected
    - btrfs: scrub: fix a wrong error type when metadata bytenr mismatches
    - btrfs: fix invalid data space release when truncating block in NOCOW
      mode
    - rcu/cpu_stall_cputime: fix the hardirq count for x86 architecture
    - crypto: lrw - Only add ecb if it is not already there
    - crypto: xts - Only add ecb if it is not already there
    - crypto: sun8i-ce - move fallback ahash_request to the end of the struct
    - kunit: Fix wrong parameter to kunit_deactivate_static_stub()
    - crypto: api - Redo lookup on EEXIST
    - ACPICA: exserial: don't forget to handle FFixedHW opregions for reading
    - ASoC: tas2764: Enable main IRQs
    - EDAC/{skx_common,i10nm}: Fix the loss of saved RRL for HBM pseudo
      channel 0
    - spi: tegra210-quad: Fix X1_X2_X4 encoding and support x4 transfers
    - spi: tegra210-quad: remove redundant error handling code
    - spi: tegra210-quad: modify chip select (CS) deactivation
    - power: reset: at91-reset: Optimize at91_reset()
    - ASoC: SOF: ipc4-pcm: Adjust pipeline_list->pipelines allocation type
    - ASoC: SOF: amd: add missing acp descriptor field
    - PM: wakeup: Delete space in the end of string shown by
      pm_show_wakelocks()
    - ACPI: resource: fix a typo for MECHREVO in
      irq1_edge_low_force_override[]
    - x86/mtrr: Check if fixed-range MTRRs exist in mtrr_save_fixed_ranges()
    - PM: sleep: Print PM debug messages during hibernation
    - thermal/drivers/mediatek/lvts: Fix debugfs unregister on failure
    - ACPI: OSI: Stop advertising support for "3.0 _SCP Extensions"
    - spi: sh-msiof: Fix maximum DMA transfer size
    - ASoC: apple: mca: Constrain channels according to TDM mask
    - ALSA: core: fix up bus match const issues.
    - drm/vmwgfx: Add seqno waiter for sync_files
    - drm/vmwgfx: Add error path for xa_store in vmw_bo_add_detached_resource
    - drm/vmwgfx: Fix dumb buffer leak
    - drm/xe/d3cold: Set power state to D3Cold during s2idle/s3
    - drm/vc4: tests: Use return instead of assert
    - media: rkvdec: Fix frame size enumeration
    - arm64/fpsimd: Avoid RES0 bits in the SME trap handler
    - arm64/fpsimd: Don't corrupt FPMR when streaming mode changes
    - arm64/fpsimd: Reset FPMR upon exec()
    - arm64/fpsimd: Fix merging of FPSIMD state during signal return
    - drm/panthor: Fix GPU_COHERENCY_ACE[_LITE] definitions
    - drm/panthor: Update panthor_mmu::irq::mask when needed
    - drm/panel: samsung-sofef00: Drop s6e3fc2x01 support
    - drm/bridge: lt9611uxc: Fix an error handling path in lt9611uxc_probe()
    - fs/ntfs3: Add missing direct_IO in ntfs_aops_cmpr
    - kunit/usercopy: Disable u64 test on 32-bit SPARC
    - watchdog: exar: Shorten identity name to fit correctly
    - m68k: mac: Fix macintosh_config for Mac II
    - firmware: psci: Fix refcount leak in psci_dt_init
    - arm64: Support ARM64_VA_BITS=52 when setting ARCH_MMAP_RND_BITS_MAX
    - selftests/seccomp: fix syscall_restart test for arm compat
    - drm/msm/dpu: enable SmartDMA on SM8150
    - drm/msm/dpu: enable SmartDMA on SC8180X
    - drm: rcar-du: Fix memory leak in rcar_du_vsps_init()
    - drm/vkms: Adjust vkms_state->active_planes allocation type
    - drm/tegra: rgb: Fix the unbound reference count
    - firmware: SDEI: Allow sdei initialization without ACPI_APEI_GHES
    - arm64/fpsimd: Do not discard modified SVE state
    - overflow: Fix direct struct member initialization in _DEFINE_FLEX()
    - scsi: qedf: Use designated initializer for struct qed_fcoe_cb_ops
    - selftests/seccomp: fix negative_ENOSYS tracer tests on arm32
    - drm/msm/a6xx: Disable rgb565_predicator on Adreno 7c3
    - drm/mediatek: mtk_drm_drv: Fix kobject put for mtk_mutex device ptr
    - drm/mediatek: Fix kobject put for component sub-drivers
    - drm/mediatek: mtk_drm_drv: Unbind secondary mmsys components on err
    - media: verisilicon: Free post processor buffers on error
    - svcrdma: Reduce the number of rdma_rw contexts per-QP
    - xen/x86: fix initial memory balloon target
    - wifi: ath12k: Fix memory leak during vdev_id mismatch
    - wifi: ath12k: Fix invalid memory access while forming 802.11 header
    - IB/cm: use rwlock for MAD agent lock
    - bpf: Check link_create.flags parameter for multi_kprobe
    - selftests/bpf: Fix bpf_nf selftest failure
    - bpf, sockmap: fix duplicated data transmission
    - wifi: ath12k: fix cleanup path after mhi init
    - wifi: ath12k: Fix WMI tag for EHT rate in peer assoc
    - f2fs: clean up unnecessary indentation
    - f2fs: prevent the current section from being selected as a victim during
      GC
    - page_pool: Move pp_magic check into helper functions
    - page_pool: Track DMA-mapped pages and unmap them when destroying the
      pool
    - net: ncsi: Fix GCPS 64-bit member variables
    - libbpf: Fix buffer overflow in bpf_object__init_prog
    - net/mlx5: Avoid using xso.real_dev unnecessarily
    - xfrm: Use xdo.dev instead of xdo.real_dev
    - wifi: rtw88: sdio: map mgmt frames to queue TX_DESC_QSEL_MGMT
    - wifi: rtw88: sdio: call rtw_sdio_indicate_tx_status unconditionally
    - wifi: rtw88: do not ignore hardware read error during DPK
    - wifi: ath12k: Add MSDU length validation for TKIP MIC error
    - wifi: ath12k: Fix the QoS control field offset to build QoS header
    - RDMA/hns: Include hnae3.h in hns_roce_hw_v2.h
    - scsi: hisi_sas: Call I_T_nexus after soft reset for SATA disk
    - libbpf: Fix event name too long error
    - libbpf: Remove sample_period init in perf_buffer
    - Use thread-safe function pointer in libbpf_print
    - iommu: Protect against overflow in iommu_pgsize()
    - bonding: assign random address if device address is same as bond
    - f2fs: clean up w/ fscrypt_is_bounce_page()
    - f2fs: fix to detect gcing page in f2fs_is_cp_guaranteed()
    - libbpf: Use proper errno value in linker
    - bpf: Allow XDP dev-bound programs to perform XDP_REDIRECT into maps
    - netfilter: bridge: Move specific fragmented packet to slow_path instead
      of dropping it
    - netfilter: nft_quota: match correctly when the quota just depleted
    - bpf: Fix uninitialized values in BPF_{CORE,PROBE}_READ
    - tracing: Move histogram trigger variables from stack to per CPU
      structure
    - clk: qcom: camcc-sm6350: Add *_wait_val values for GDSCs
    - clk: qcom: dispcc-sm6350: Add *_wait_val values for GDSCs
    - clk: qcom: gcc-sm6350: Add *_wait_val values for GDSCs
    - clk: qcom: gpucc-sm6350: Add *_wait_val values for GDSCs
    - bpftool: Fix regression of "bpftool cgroup tree" EINVAL on older kernels
    - wifi: iwlfiwi: mvm: Fix the rate reporting
    - efi/libstub: Describe missing 'out' parameter in efi_load_initrd
    - selftests/bpf: Fix caps for __xlated/jited_unpriv
    - tracing: Rename event_trigger_alloc() to trigger_data_alloc()
    - tracing: Fix error handling in event_trigger_parse()
    - of: unittest: Unlock on error in unittest_data_add()
    - ktls, sockmap: Fix missing uncharge operation
    - libbpf: Use proper errno value in nlattr
    - dt-bindings: soc: fsl,qman-fqd: Fix reserved-memory.yaml reference
    - clk: qcom: gcc-msm8939: Fix mclk0 & mclk1 for 24 MHz
    - s390/bpf: Store backchain even for leaf progs
    - wifi: rtw89: pci: enlarge retry times of RX tag to 1000
    - wifi: rtw89: fix firmware scan delay unit for WiFi 6 chips
    - iommu: remove duplicate selection of DMAR_TABLE
    - wifi: ath12k: fix memory leak in ath12k_service_ready_ext_event
    - hisi_acc_vfio_pci: add eq and aeq interruption restore
    - scsi: ufs: mcq: Delete ufshcd_release_scsi_cmd() in ufshcd_mcq_abort()
    - Bluetooth: ISO: Fix not using SID from adv report
    - wifi: mt76: mt7925: prevent multiple scan commands
    - wifi: mt76: mt7925: refine the sniffer commnad
    - wifi: mt76: mt7925: ensure all MCU commands wait for response
    - wifi: mt76: mt7996: set EHT max ampdu length capability
    - wifi: mt76: mt7996: fix RX buffer size of MCU event
    - bpf: Revert "bpf: remove unnecessary rcu_read_{lock,unlock}() in multi-
      uprobe attach logic"
    - netfilter: xtables: support arpt_mark and ipv6 optstrip for iptables-nft
      only builds
    - netfilter: nf_tables: nft_fib_ipv6: fix VRF ipv4/ipv6 result discrepancy
    - vfio/type1: Fix error unwind in migration dirty bitmap allocation
    - Bluetooth: MGMT: iterate over mesh commands in mgmt_mesh_foreach()
    - netfilter: nf_tables: nft_fib: consistent l3mdev handling
    - netfilter: nft_tunnel: fix geneve_opt dump
    - RISC-V: KVM: lock the correct mp_state during reset
    - vsock/virtio: fix `rx_bytes` accounting for stream sockets
    - net: lan966x: Fix 1-step timestamping over ipv4 or ipv6
    - net: xilinx: axienet: Fix Tx skb circular buffer occupancy check in
      dmaengine xmit
    - net: phy: fix up const issues in to_mdio_device() and to_phy_device()
    - net: lan743x: rename lan743x_reset_phy to lan743x_hw_reset_phy
    - net: lan743x: Fix PHY reset handling during initialization and WOL
    - octeontx2-pf: QOS: Perform cache sync on send queue teardown
    - net: phy: mscc: Stop clearing the the UDPv4 checksum for L2 frames
    - f2fs: use d_inode(dentry) cleanup dentry->d_inode
    - f2fs: fix to correct check conditions in f2fs_cross_rename
    - arm64: dts: qcom: sm8650: setup gpu thermal with higher temperatures
    - arm64: dts: qcom: sm8650: add missing cpu-cfg interconnect path in the
      mdss node
    - arm64: dts: qcom: x1e80100-romulus: Keep L12B and L15B always on
    - arm64: dts: qcom: sdm845-starqltechn: remove wifi
    - arm64: dts: qcom: sdm845-starqltechn: fix usb regulator mistake
    - arm64: dts: qcom: sdm845-starqltechn: refactor node order
    - arm64: dts: qcom: sdm845-starqltechn: remove excess reserved gpios
    - arm64: dts: qcom: sm8350: Reenable crypto & cryptobam
    - arm64: dts: qcom: sm8250: Fix CPU7 opp table
    - arm64: dts: qcom: sc8280xp-x13s: Drop duplicate DMIC supplies
    - arm64: dts: qcom: ipq9574: Fix USB vdd info
    - arm64: dts: rockchip: Move SHMEM memory to reserved memory on rk3588
    - ARM: dts: at91: usb_a9263: fix GPIO for Dataflash chip select
    - ARM: dts: at91: at91sam9263: fix NAND chip selects
    - arm64: dts: mediatek: mt8195: Reparent vdec1/2 and venc1 power domains
    - arm64: dts: qcom: sdm660-xiaomi-lavender: Add missing SD card detect
      GPIO
    - arm64: dts: mt8183: Add port node to mt8183.dtsi
    - arm64: dts: imx8mm-beacon: Fix RTC capacitive load
    - arm64: dts: imx8mn-beacon: Fix RTC capacitive load
    - arm64: dts: imx8mp-beacon: Fix RTC capacitive load
    - arm64: dts: imx8mm-beacon: Set SAI5 MCLK direction to output for HDMI
      audio
    - arm64: dts: imx8mn-beacon: Set SAI5 MCLK direction to output for HDMI
      audio
    - arm64: dts: mediatek: mt6357: Drop regulator-fixed compatibles
    - arm64: dts: mt6359: Add missing 'compatible' property to regulators node
    - arm64: dts: qcom: sdm660-lavender: Add missing USB phy supply
    - arm64: dts: qcom: sda660-ifc6560: Fix dt-validate warning
    - arm64: dts: rockchip: Add vcc-supply to SPI flash on rk3566-rock3c
    - arm64: dts: rockchip: Update eMMC for NanoPi R5 series
    - arm64: tegra: Drop remaining serial clock-names and reset-names
    - arm64: tegra: Add uartd serial alias for Jetson TX1 module
    - arm64: dts: ti: k3-j721e-common-proc-board: Enable OSPI1 on J721E
    - soc: qcom: smp2p: Fix fallback to qcom,ipc parse
    - ocfs2: fix possible memory leak in ocfs2_finish_quota_recovery
    - nilfs2: add pointer check for nilfs_direct_propagate()
    - nilfs2: do not propagate ENOENT error from nilfs_btree_propagate()
    - dt-bindings: vendor-prefixes: Add Liontron name
    - ARM: dts: qcom: apq8064: add missing clocks to the timer node
    - ARM: dts: qcom: apq8064 merge hw splinlock into corresponding syscon
      device
    - ARM: dts: qcom: apq8064: move replicator out of soc node
    - arm64: defconfig: mediatek: enable PHY drivers
    - arm64: dts: rockchip: disable unrouted USB controllers and PHY on RK3399
      Puma with Haikou
    - arm64: dts: qcom: qcm2290: fix (some) of QUP interconnects
    - arm64: dts: renesas: white-hawk-ard-audio: Fix TPU0 groups
    - arm64: dts: mt6359: Rename RTC node to match binding expectations
    - ARM: aspeed: Don't select SRAM
    - soc: aspeed: lpc: Fix impossible judgment condition
    - randstruct: gcc-plugin: Remove bogus void member
    - randstruct: gcc-plugin: Fix attribute addition
    - perf build: Warn when libdebuginfod devel files are not available
    - perf ui browser hists: Set actions->thread before calling
      do_zoom_thread()
    - dm: don't change md if dm_table_set_restrictions() fails
    - dm: free table mempools if not used in __bind
    - x86/irq: Ensure initial PIR loads are performed exactly once
    - perf symbol-minimal: Fix double free in filename__read_build_id
    - dm-flakey: error all IOs when num_features is absent
    - dm-flakey: make corrupting read bios work
    - perf trace: Fix leaks of 'struct thread' in set_filter_loop_pids()
    - perf tests: Fix 'perf report' tests installation
    - perf intel-pt: Fix PEBS-via-PT data_src
    - perf scripts python: exported-sql-viewer.py: Fix pattern matching with
      Python 3
    - remoteproc: qcom_wcnss_iris: Add missing put_device() on error in probe
    - remoteproc: k3-r5: Drop check performed in
      k3_r5_rproc_{mbox_callback/kick}
    - remoteproc: k3-dsp: Drop check performed in
      k3_dsp_rproc_{mbox_callback/kick}
    - rpmsg: qcom_smd: Fix uninitialized return variable in __qcom_smd_send()
    - mfd: exynos-lpass: Fix an error handling path in exynos_lpass_probe()
    - mfd: exynos-lpass: Avoid calling exynos_lpass_disable() twice in
      exynos_lpass_remove()
    - mfd: stmpe-spi: Correct the name used in MODULE_DEVICE_TABLE
    - perf tests switch-tracking: Fix timestamp comparison
    - mailbox: imx: Fix TXDB_V2 sending
    - mailbox: mtk-cmdq: Refine GCE_GCTL_VALUE setting
    - perf symbol: Fix use-after-free in filename__read_build_id
    - perf record: Fix incorrect --user-regs comments
    - perf trace: Always print return value for syscalls returning a pid
    - nfs: clear SB_RDONLY before getting superblock
    - nfs: ignore SB_RDONLY when remounting nfs
    - perf trace: Set errpid to false for rseq and set_robust_list
    - perf callchain: Always populate the addr_location map when adding IP
    - cifs: Fix validation of SMB1 query reparse point response
    - rust: alloc: add missing invariant in Vec::set_len()
    - rtc: sh: assign correct interrupts with DT
    - phy: rockchip: samsung-hdptx: Fix clock ratio setup
    - phy: rockchip: samsung-hdptx: Do no set rk_hdptx_phy->rate in case of
      errors
    - PCI: Print the actual delay time in pci_bridge_wait_for_secondary_bus()
    - PCI: rcar-gen4: set ep BAR4 fixed size
    - PCI: cadence: Fix runtime atomic count underflow
    - PCI: apple: Use gpiod_set_value_cansleep in probe flow
    - PCI/DPC: Initialize aer_err_info before using it
    - PCI/DPC: Log Error Source ID only when valid
    - rtc: loongson: Add missing alarm notifications for ACPI RTC events
    - PCI: endpoint: Retain fixed-size BAR size as well as aligned size
    - thunderbolt: Fix a logic error in wake on connect
    - iio: filter: admv8818: fix band 4, state 15
    - iio: filter: admv8818: fix integer overflow
    - iio: filter: admv8818: fix range calculation
    - iio: filter: admv8818: Support frequencies >= 2^32
    - iio: adc: ad7124: Fix 3dB filter frequency reading
    - MIPS: Loongson64: Add missing '#interrupt-cells' for loongson64c_ls7a
    - coresight: Fixes device's owner field for registered using
      coresight_init_driver()
    - coresight: catu: Introduce refcount and spinlock for enabling/disabling
    - counter: interrupt-cnt: Protect enable/disable OPs with mutex
    - vt: remove VT_RESIZE and VT_RESIZEX from vt_compat_ioctl()
    - mei: vsc: Cast tx_buf to (__be32 *) when passed to cpu_to_be32_array()
    - iio: adc: PAC1934: fix typo in documentation link
    - iio: adc: mcp3911: fix device dependent mappings for conversion result
      registers
    - USB: gadget: udc: fix const issue in gadget_match_driver()
    - USB: typec: fix const issue in typec_match()
    - loop: add file_start_write() and file_end_write()
    - drm/xe: Make xe_gt_freq part of the Documentation
    - Fix sock_exceed_buf_limit not being triggered in
      __sk_mem_raise_allocated
    - net: stmmac: platform: guarantee uniqueness of bus_id
    - gve: Fix RX_BUFFERS_POSTED stat to report per-queue fill_cnt
    - net: tipc: fix refcount warning in tipc_aead_encrypt
    - driver: net: ethernet: mtk_star_emac: fix suspend/resume issue
    - net/mlx4_en: Prevent potential integer overflow calculating Hz
    - net: lan966x: Make sure to insert the vlan tags also in host mode
    - spi: bcm63xx-spi: fix shared reset
    - spi: bcm63xx-hsspi: fix shared reset
    - Bluetooth: L2CAP: Fix not responding with L2CAP_CR_LE_ENCRYPTION
    - ice: create new Tx scheduler nodes for new queues only
    - ice: fix rebuilding the Tx scheduler tree for large queue counts
    - idpf: fix a race in txq wakeup
    - idpf: avoid mailbox timeout delays during reset
    - net: dsa: tag_brcm: legacy: fix pskb_may_pull length
    - drm/i915/guc: Check if expecting reply before decrementing
      outstanding_submission_g2h
    - drm/i915/psr: Fix using wrong mask in REG_FIELD_PREP
    - drm/i915/guc: Handle race condition where wakeref count drops below 0
    - vmxnet3: correctly report gso type for UDP tunnels
    - selftests: net: build net/lib dependency in all target
    - PM: sleep: Fix power.is_suspended cleanup for direct-complete devices
    - nvme: fix command limits status code
    - drm/panel-simple: fix the warnings for the Evervision VGG644804
    - netfilter: nf_nat: also check reverse tuple to obtain clashing entry
    - net: ti: icssg-prueth: Fix swapped TX stats for MII interfaces.
    - net: dsa: b53: do not enable RGMII delay on bcm63xx
    - net: dsa: b53: allow RGMII for bcm63xx RGMII ports
    - net: dsa: b53: do not touch DLL_IQQD on bcm53115
    - wifi: cfg80211/mac80211: correctly parse S1G beacon optional elements
    - net: wwan: mhi_wwan_mbim: use correct mux_id for multiplexing
    - wireguard: device: enable threaded NAPI
    - scsi: ufs: qcom: Prevent calling phy_exit() before phy_init()
    - ASoC: codecs: hda: Fix RPM usage count underflow
    - ASoC: Intel: avs: Fix deadlock when the failing IPC is SET_D0IX
    - ASoC: ti: omap-hdmi: Re-add dai_link->platform to fix card init
    - iov_iter: use iov_offset for length calculation in iov_iter_aligned_bvec
    - path_overmount(): avoid false negatives
    - fix propagation graph breakage by MOVE_MOUNT_SET_GROUP move_mount(2)
    - do_change_type(): refuse to operate on unmounted/not ours mounts
    - tools/power turbostat: Fix AMD package-energy reporting
    - ALSA: hda/realtek: Add support for various HP Laptops using CS35L41 HDA
    - ALSA: hda/realtek - Support mute led function for HP platform
    - ALSA: hda/realtek - Add new HP ZBook laptop with micmute led fixup
    - ALSA: hda/realtek: Add support for HP Agusta using CS35L41 HDA
    - Input: synaptics-rmi - fix crash with unsupported versions of F34
    - pmdomain: core: Introduce dev_pm_genpd_rpm_always_on()
    - mmc: sdhci-of-dwcmshc: add PD workaround on RK3576
    - pinctrl: samsung: refactor drvdata suspend & resume callbacks
    - pinctrl: samsung: add dedicated SoC eint suspend/resume callbacks
    - pinctrl: samsung: add gs101 specific eint suspend/resume callbacks
    - Bluetooth: hci_core: fix list_for_each_entry_rcu usage
    - Bluetooth: btintel_pcie: Fix driver not posting maximum rx buffers
    - Bluetooth: btintel_pcie: Increase the tx and rx descriptor count
    - Bluetooth: btintel_pcie: Reduce driver buffer posting to prevent race
      condition
    - Bluetooth: MGMT: Remove unused mgmt_pending_find_data
    - net: dsa: b53: fix untagged traffic sent via cpu tagged with VID 0
    - ath10k: snoc: fix unbalanced IRQ enable in crash recovery
    - wifi: ath11k: avoid burning CPU in ath11k_debugfs_fw_stats_request()
    - wifi: ath11k: don't use static variables in
      ath11k_debugfs_fw_stats_process()
    - wifi: ath11k: don't wait when there is no vdev started
    - wifi: ath11k: move some firmware stats related functions outside of
      debugfs
    - wifi: ath11k: validate ath11k_crypto_mode on top of
      ath11k_core_qmi_firmware_ready
    - wifi: ath12k: refactor ath12k_hw_regs structure
    - regulator: max20086: Fix refcount leak in max20086_parse_regulators_dt()
    - spi: omap2-mcspi: Disable multi mode when CS should be kept asserted
      after message
    - spi: omap2-mcspi: Disable multi-mode when the previous message kept CS
      asserted
    - pinctrl: qcom: pinctrl-qcm2290: Add missing pins
    - scsi: iscsi: Fix incorrect error path labels for flashnode operations
    - powerpc/vas: Return -EINVAL if the offset is non-zero in mmap()
    - drm/meson: fix debug log statement when setting the HDMI clocks
    - drm/meson: use vclk_freq instead of pixel_freq in debug print
    - drm/meson: fix more rounding issues with 59.94Hz modes
    - i40e: return false from i40e_reset_vf if reset is in progress
    - i40e: retry VFLR handling if there is ongoing VF reset
    - macsec: MACsec SCI assignment for ES = 0
    - Bluetooth: hci_sync: Fix broadcast/PA when using an existing instance
    - Bluetooth: MGMT: Fix sparse errors
    - net/mlx5: Ensure fw pages are always allocated on same NUMA
    - net/mlx5: Fix return value when searching for existing flow group
    - net/mlx5: HWS, fix missing ip_version handling in definer
    - net/mlx5e: Fix leak of Geneve TLV option object
    - net_sched: tbf: fix a race in tbf_change()
    - fs/filesystems: Fix potential unsigned integer underflow in fs_name()
    - gfs2: pass through holder from the VFS for freeze/thaw
    - btrfs: exit after state split error at set_extent_bit()
    - nvmet-fcloop: access fcpreq only when holding reqlock
    - perf: Ensure bpf_perf_link path is properly serialized
    - block: use q->elevator with ->elevator_lock held in elv_iosched_show()
    - io_uring: consistently use rcu semantics with sqpoll thread
    - bio: Fix bio_first_folio() for SPARSEMEM without VMEMMAP
    - block: Fix bvec_set_folio() for very large folios
    - objtool/rust: relax slice condition to cover more `noreturn` Rust
      functions
    - tools/resolve_btfids: Fix build when cross compiling kernel with clang.
    - Revert "wifi: mwifiex: Fix HT40 bandwidth issue."
    - ALSA: usb-audio: Add implicit feedback quirk for RODE AI-1
    - usb: usbtmc: Fix read_stb function and get_stb ioctl
    - tty: serial: 8250_omap: fix TX with DMA for am33xx
    - usb: misc: onboard_usb_dev: Fix usb5744 initialization sequence
    - usb: cdnsp: Fix issue with detecting command completion event
    - usb: cdnsp: Fix issue with detecting USB 3.2 speed
    - usb: Flush altsetting 0 endpoints before reinitializating them after
      reset.
    - usb: typec: tcpm/tcpci_maxim: Fix bounds check in process_rx()
    - 9p: Add a migrate_folio method
    - ring-buffer: Move cpus_read_lock() outside of buffer->mutex
    - xfs: don't assume perags are initialised when trimming AGs
    - xen/arm: call uaccess_ttbr0_enable for dm_op hypercall
    - x86/fred/signal: Prevent immediate repeat of single step trap on return
      from SIGTRAP handler
    - calipso: unlock rcu before returning -EAFNOSUPPORT
    - regulator: dt-bindings: mt6357: Drop fixed compatible requirement
    - usb: misc: onboard_usb_dev: fix build warning for
      CONFIG_USB_ONBOARD_DEV_USB5744=n
    - net: usb: aqc111: debug info before sanitation
    - overflow: Introduce __DEFINE_FLEX for having no initializer
    - gfs2: Don't clear sb->s_fs_info in gfs2_sys_fs_add
    - thermal/drivers/mediatek/lvts: Remove unused lvts_debugfs_exit
    - pidfs: move O_RDWR into pidfs_alloc_file()
    - ACPICA: Introduce ACPI_NONSTRING
    - ACPICA: Apply ACPI_NONSTRING
    - ACPICA: Apply ACPI_NONSTRING in more places
    - bcachefs: Repair code for directory i_size
    - bcachefs: delete dead code from may_delete_deleted_inode()
    - bcachefs: Run may_delete_deleted_inode() checks in bch2_inode_rm()
    - bcachefs: Fix subvol to missing root repair
    - crypto: ecdsa - Fix enc/dec size reported by KEYCTL_PKEY_QUERY
    - crypto: ecdsa - Fix NIST P521 key size reported by KEYCTL_PKEY_QUERY
    - spinlock: extend guard with spinlock_bh variants
    - crypto: zynqmp-sha - Add locking
    - gfs2: Move gfs2_dinode_dealloc
    - gfs2: Move GIF_ALLOC_FAILED check out of gfs2_ea_dealloc
    - selftests: coredump: Properly initialize pointer
    - selftests: coredump: Fix test failure for slow machines
    - selftests: coredump: Raise timeout to 2 minutes
    - sched/fair: Fixup wake_up_sync() vs DELAYED_DEQUEUE
    - gfs2: Move gfs2_trans_add_databufs
    - gfs2: Don't start unnecessary transactions during log flush
    - platform/chrome: cros_ec_typec: Set Pin Assignment E in DP PORT VDO
    - PM: runtime: Add new devm functions
    - spi: atmel-quadspi: Fix unbalanced pm_runtime by using devm_ API
    - EDAC/bluefield: Don't use bluefield_edac_readl() result on error
    - drm: xlnx: zynqmp_dpsub: fix Kconfig dependencies for ASoC
    - drm/vc4: hdmi: Call HDMI hotplug helper on disconnect
    - drm/panthor: Call panthor_gpu_coherency_init() after PM resume()
    - accel/amdxdna: Fix incorrect size of ERT_START_NPU commands
    - drm/panthor: Fix the panthor_gpu_coherency_init() error path
    - drm/amdgpu: Refine Cleaner Shader MEC firmware version for GFX10.1.x
      GPUs
    - drm/v3d: Associate a V3D tech revision to all supported devices
    - drm/v3d: fix client obtained from axi_ids on V3D 4.1
    - drm/v3d: client ranges from axi_ids are different with V3D 7.1
    - drm/msm/dpu: remove DSC feature bit for PINGPONG on MSM8937
    - drm/msm/dpu: remove DSC feature bit for PINGPONG on MSM8917
    - drm/msm/dpu: remove DSC feature bit for PINGPONG on MSM8953
    - drm/amd/display: Don't check for NULL divisor in fixpt code
    - kselftest/arm64: fp-ptrace: Fix expected FPMR value when PSTATE.SM is
      changed
    - drm/i915/dp_mst: Use the correct connector while computing the link BPP
      limit on MST
    - libbpf: Fix implicit memfd_create() for bionic
    - bpf: Check link_create.flags parameter for multi_uprobe
    - net: phy: mediatek: permit to compile test GE SOC PHY driver
    - wifi: ath12k: Resolve multicast packet drop by populating key_cipher in
      ath12k_install_key()
    - wifi: ath12k: fix SLUB BUG - Object already free in ath12k_reg_free()
    - wifi: ath12k: fix ATH12K_FLAG_REGISTERED flag handling
    - net/mlx5: HWS, Fix matcher action template attach
    - xfrm: provide common xdo_dev_offload_ok callback implementation
    - xfrm: Add explicit dev to .xdo_dev_state_{add,delete,free}
    - bonding: Mark active offloaded xfrm_states
    - bonding: Fix multiple long standing offload races
    - wifi: ath12k: Handle error cases during extended skb allocation
    - wifi: ath12k: Refactor the monitor Rx parser handler argument
    - wifi: ath12k: Add extra TLV tag parsing support in monitor Rx path
    - wifi: ath12k: Avoid fetch Error bitmap and decap format from Rx TLV
    - wifi: ath12k: Replace band define G with GHZ where appropriate
    - wifi: ath12k: change the status update in the monitor Rx
    - wifi: ath12k: add rx_info to capture required field from rx descriptor
    - wifi: ath12k: remove redundant declaration of ath12k_dp_rx_h_find_peer()
    - wifi: ath12k: replace the usage of rx desc with rx_info
    - wifi: ath12k: fix wrong handling of CCMP256 and GCMP ciphers
    - wifi: iwlwifi: re-add IWL_AMSDU_8K case
    - iommu: ipmmu-vmsa: avoid Wformat-security warning
    - iommu/io-pgtable-arm: dynamically allocate selftest device struct
    - f2fs: zone: fix to calculate first_zoned_segno correctly
    - selftests/bpf: Fix kmem_cache iterator draining
    - iommu/arm-smmu-v3: Fix incorrect return in arm_smmu_attach_dev
    - clk: test: Forward-declare struct of_phandle_args in kunit/clk.h
    - pinctrl: qcom: correct the ngpios entry for QCS615
    - pinctrl: qcom: correct the ngpios entry for QCS8300
    - wifi: ath12k: Reorder and relocate the release of resources in
      ath12k_core_deinit()
    - hisi_acc_vfio_pci: bugfix cache write-back issue
    - hisi_acc_vfio_pci: bugfix the problem of uninstalling driver
    - wifi: mt76: mt7996: avoid null deref in mt7996_stop_phy()
    - Bluetooth: separate CIS_LINK and BIS_LINK link types
    - wifi: mt76: scan: Fix 'mlink' dereferenced before IS_ERR_OR_NULL check
    - wifi: mt76: mt7996: fix beamformee SS field
    - wifi: mt76: mt7996: fix invalid NSS setting when TX path differs from
      NSS
    - wifi: mt76: fix available_antennas setting
    - octeontx2-af: Send Link events one by one
    - f2fs: fix to skip f2fs_balance_fs() if checkpoint is disabled
    - arm64: dts: qcom: sa8775p: Partially revert "arm64: dts: qcom: sa8775p:
      add QCrypto nodes"
    - arm64: dts: qcom: qcs8300: Partially revert "arm64: dts: qcom: qcs8300:
      add QCrypto nodes"
    - arm64: dts: qcom: sm8550: use ICC tag for all interconnect phandles
    - arm64: dts: qcom: sm8550: add missing cpu-cfg interconnect path in the
      mdss node
    - arm64: dts: qcom: ipq9574: fix the msi interrupt numbers of pcie3
    - arm64: dts: qcom: sm8750: Fix cluster hierarchy for idle states
    - arm64: dts: qcom: sm8750: Correct clocks property for uart14 node
    - arm64: dts: qcom: qcs615: remove disallowed property in spmi bus node
    - arm64: dts: qcom: sm8650: Fix domain-idle-state for CPU2
    - arm64: dts: rockchip: Add missing uart3 interrupt for RK3528
    - arm64: dts: mediatek: mt8188: Fix IOMMU device for rdma0
    - arm64: dts: qcom: x1e001de-devkit: Describe USB retimers resets pin
      configs
    - arm64: dts: qcom: x1e001de-devkit: Fix pin config for USB0 retimer vregs
    - arm64: dts: allwinner: a100: set maximum MMC frequency
    - arm64: dts: renesas: white-hawk-single: Improve Ethernet TSN description
    - arm64: dts: qcom: sm8650: add the missing l2 cache node
    - arm64: dts: rockchip: disable unrouted USB controllers and PHY on RK3399
      Puma
    - dt-bindings: display/msm/dsi-phy: Add header with exposed clock IDs
    - arm64: dts: qcom: msm8998: Use the header with DSI phy clock IDs
    - arm64: dts: qcom: msm8998: Remove mdss_hdmi_phy phandle argument
    - arm64: dts: qcom: qcs615: Fix up UFS clocks
    - ubsan: integer-overflow: depend on BROKEN to keep this out of CI
    - [Config] disable UBSAN_SIGNED_WRAP
    - tools build: Don't set libunwind as available if test-all.c build
      succeeds
    - tools build: Don't show libunwind build status as it is opt-in
    - tools build: Don't show libbfd build status as it is opt-in
    - dm: handle failures in dm_table_set_restrictions
    - HID: intel-thc-hid: intel-quicki2c: pass correct arguments to
      acpi_evaluate_object
    - perf tool_pmu: Fix aggregation on duration_time
    - remoteproc: k3-r5: Refactor sequential core power up/down operations
    - netfs: Fix setting of transferred bytes with short DIO reads
    - netfs: Fix the request's work item to not require a ref
    - netfs: Fix wait/wake to be consistent about the waitqueue used
    - mfd: exynos-lpass: Fix another error handling path in
      exynos_lpass_probe()
    - netfs: Fix undifferentiation of DIO reads from unbuffered reads
    - mailbox: mchp-ipc-sbi: Fix COMPILE_TEST build error
    - perf pmu: Avoid segv for missing name/alias_name in wildcarding
    - s390/uv: Don't return 0 from make_hva_secure() if the operation was not
      successful
    - s390/uv: Always return 0 from s390_wiggle_split_folio() if successful
    - s390/uv: Improve splitting of large folios that cannot be split while
      dirty
    - nfs_localio: use cmpxchg() to install new nfs_file_localio
    - nfs_localio: always hold nfsd net ref with nfsd_file ref
    - nfs_localio: simplify interface to nfsd for getting nfsd_file
    - nfs_localio: duplicate nfs_close_local_fh()
    - nfs_localio: protect race between nfs_uuid_put() and
      nfs_close_local_fh()
    - nfs_localio: change nfsd_file_put_local() to take a pointer to __rcu
      pointer
    - rust: file: mark `LocalFile` as `repr(transparent)`
    - exportfs: require ->fh_to_parent() to encode connectable file handles
    - PCI: pciehp: Ignore Presence Detect Changed caused by DPC
    - PCI: pciehp: Ignore Link Down/Up caused by Secondary Bus Reset
    - PCI: rockchip: Fix order of rockchip_pci_core_rsts
    - PCI: imx6: Save and restore the LUT setting during suspend/resume for
      i.MX95 SoC
    - Revert "phy: qcom-qusb2: add QUSB2 support for IPQ5424"
    - phy: qcom-qusb2: reuse the IPQ6018 settings for IPQ5424
    - soundwire: only compute port params in specific stream states
    - rust: pci: fix docs related to missing Markdown code spans
    - coresight: core: Disable helpers for devices that fail to enable
    - iio: dac: adi-axi-dac: fix bus read
    - coresight: tmc: fix failure to disable/enable ETF after reading
    - coresight: etm4x: Fix timestamp bit field handling
    - coresight/etm4: fix missing disable active config
    - staging: gpib: Fix PCMCIA config identifier
    - staging: gpib: Fix secondary address restriction
    - rust: miscdevice: fix typo in MiscDevice::ioctl documentation
    - drm/bridge: analogix_dp: Remove the unnecessary calls to
      clk_disable_unprepare() during probing
    - drm/bridge: analogix_dp: Remove CONFIG_PM related check in
      analogix_dp_bind()/analogix_dp_unbind()
    - drm/bridge: analogix_dp: Add support to get panel from the DP AUX bus
    - drm/bridge: analogix_dp: Fix clk-disable removal
    - drm/xe: Add missing documentation of rpa_freq
    - md/raid1,raid10: don't handle IO error for REQ_RAHEAD and REQ_NOWAIT
    - net: Fix checksum update for ILA adj-transport
    - bpf: Clarify the meaning of BPF_F_PSEUDO_HDR
    - bpf: Fix L4 csum update on IPv6 in CHECKSUM_COMPLETE
    - iavf: iavf_suspend(): take RTNL before netdev_lock()
    - iavf: centralize watchdog requeueing itself
    - iavf: simplify watchdog_task in terms of adminq task scheduling
    - iavf: extract iavf_watchdog_step() out of iavf_watchdog_task()
    - iavf: sprinkle netdev_assert_locked() annotations
    - drm/amdgpu/gfx10: Refine Cleaner Shader for GFX10.1.10
    - block: flip iter directions in blk_rq_integrity_map_user()
    - nvme: fix implicit bool to flags conversion
    - net: dsa: b53: implement setting ageing time
    - net: dsa: b53: do not configure bcm63xx's IMP port interface
    - netlink: specs: rt-link: add missing byte-order properties
    - net: annotate data-races around cleanup_net_task
    - drm/xe/vsec: fix CONFIG_INTEL_VSEC dependency
    - drm/xe: Rework eviction rejection of bound external bos
    - ALSA: hda: Allow to fetch hlink by ID
    - ASoC: Intel: avs: PCM operations for LNL-based platforms
    - ASoC: Intel: avs: Fix PPLCxFMT calculation
    - ASoC: Intel: avs: Ignore Vendor-space manipulation for ACE
    - ASoC: Intel: avs: Read HW capabilities when possible
    - ASoC: Intel: avs: Relocate DSP status registers
    - ASoC: Intel: avs: Fix paths in MODULE_FIRMWARE hints
    - fs: convert mount flags to enum
    - finish_automount(): don't leak MNT_LOCKED from parent to child
    - clone_private_mnt(): make sure that caller has CAP_SYS_ADMIN in the
      right userns
    - genksyms: Fix enum consts from a reference affecting new values
    - accel/amdxdna: Fix incorrect PSP firmware size
    - drm/vc4: fix infinite EPROBE_DEFER loop
    - iavf: fix reset_task for early reset event
    - ice/ptp: fix crosstimestamp reporting
    - net/mlx5: HWS, make sure the uplink is the last destination
    - btrfs: fix fsync of files with no hard links not persisting deletion
    - io_uring: fix spurious drain flushing
    - smb: client: fix perf regression with deferred closes
    - rust: compile libcore with edition 2024 for 1.87+
    - pidfs: never refuse ppid == 0 in PIDFD_GET_INFO
    - powerpc/kernel: Fix ppc_save_regs inclusion in build
    - mm/filemap: gate dropbehind invalidate on folio !dirty && !writeback
    - mm/filemap: use filemap_end_dropbehind() for read invalidation
    - x86/hyperv: Fix APIC ID and VP index confusion in hv_snp_boot_ap()
    - Upstream stable to v6.12.34, v6.15.1, v6.15.2, v6.15.3
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38105
    - ALSA: usb-audio: Kill timer properly at removal
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38114
    - e1000: Move cancel_work_sync to avoid deadlock
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38116
    - wifi: ath12k: fix uaf in ath12k_core_init()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38306
    - fs/fhandle.c: fix a race in call of has_locked_children()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38272
    - net: dsa: b53: do not enable EEE on bcm63xx
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38311
    - iavf: get rid of the crit lock
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38128
    - Bluetooth: MGMT: reject malformed HCI_CMD_SYNC commands
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38130
    - drm/connector: only call HDMI audio helper plugged cb if non-null
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38132
    - coresight: holding cscfg_csdev_lock while removing cscfg from csdev
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38137
    - PCI/pwrctrl: Cancel outstanding rescan work when unregistering
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38139
    - netfs: Fix oops in write-retry from mis-resetting the subreq iterator
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38140
    - dm: limit swapping tables for devices with zone write plugs
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38279
    - bpf: Do not include stack ptr register in precision backtracking
      bookkeeping
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38314
    - virtio-pci: Fix result size returned for the admin command completion
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38316
    - wifi: mt76: mt7996: avoid NULL pointer dereference in
      mt7996_set_monitor()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38281
    - wifi: mt76: mt7996: Add NULL check in mt7996_thermal_init
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38284
    - wifi: rtw89: pci: configure manual DAC mode via PCI config API only
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38287
    - IB/cm: Drop lockdep assert and WARN when freeing old msg
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38289
    - scsi: lpfc: Avoid potential ndlp use-after-free in dev_loss_tmo_callbk
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38291
    - wifi: ath12k: Prevent sending WMI commands to firmware during firmware
      crash
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38294
    - wifi: ath12k: fix NULL access in assign channel context handler
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38296
    - ACPI: platform_profile: Avoid initializing on non-ACPI platforms
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38100
    - x86/iopl: Cure TIF_IO_BITMAP inconsistencies
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38101
    - ring-buffer: Fix buffer locking in ring_buffer_subbuf_order_set()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38267
    - ring-buffer: Do not trigger WARN_ON() due to a commit_overrun
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38268
    - usb: typec: tcpm: move tcpm_queue_vdm_unlocked to asynchronous work
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38102
    - VMCI: fix race between vmci_host_setup_notify and vmci_ctx_unset_notify
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38301
    - nvmem: zynqmp_nvmem: unbreak driver after cleanup
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38352
    - posix-cpu-timers: fix race between handle_posix_cpu_timers() and
      posix_cpu_timer_del()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38103
    - HID: usbhid: Eliminate recurrent out-of-bounds bug in usbhid_parse()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38302
    - block: don't use submit_bio_noacct_nocheck in blk_zone_wplug_bio_work
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38106
    - io_uring: fix use-after-free of sq->thread in __io_uring_show_fdinfo()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38269
    - btrfs: exit after state insertion failure at btrfs_convert_extent_bit()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38270
    - net: drv: netdevsim: don't napi_complete() from netpoll
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38107
    - net_sched: ets: fix a race in ets_qdisc_change()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38108
    - net_sched: red: fix a race in __red_change()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38109
    - net/mlx5: Fix ECVF vports unload on shutdown flow
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38303
    - Bluetooth: eir: Fix possible crashes on eir_create_adv_data
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38304
    - Bluetooth: Fix NULL pointer deference on eir_get_service_data
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38110
    - net/mdiobus: Fix potential out-of-bounds clause 45 read/write access
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38111
    - net/mdiobus: Fix potential out-of-bounds read/write access
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38112
    - net: Fix TOCTOU issue in sk_is_readable()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38113
    - ACPI: CPPC: Fix NULL pointer dereference when nosmp is used
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38088
    - powerpc/powernv/memtrace: Fix out of bounds issue in memtrace mmap
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38115
    - net_sched: sch_sfq: fix a potential crash on gso_skb handling
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38414
    - wifi: ath12k: fix GCC_GCC_PCIE_HOT_RST definition for WCN7850
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38305
    - ptp: remove ptp->n_vclocks check logic in ptp_vclock_in_use()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38117
    - Bluetooth: MGMT: Protect mgmt_pending list with its own lock
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38118
    - Bluetooth: MGMT: Fix UAF on mgmt_remove_adv_monitor_complete
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38119
    - scsi: core: ufs: Fix a hang in the error handler
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38307
    - ASoC: Intel: avs: Verify content returned by parse_int_array()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38310
    - seg6: Fix validation of nexthop addresses
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38120
    - netfilter: nf_set_pipapo_avx2: fix initial map fill
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38122
    - gve: add missing NULL check for gve_alloc_pending_packet() in TX DQO
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38123
    - net: wwan: t7xx: Fix napi rx poll issue
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38124
    - net: fix udp gso skb_segment after pull from frag_list
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38125
    - net: stmmac: make sure that ptp_rate is not 0 before configuring EST
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38126
    - net: stmmac: make sure that ptp_rate is not 0 before configuring
      timestamping
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38127
    - ice: fix Tx scheduler error handling in XDP callback
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38129
    - page_pool: Fix use-after-free in page_pool_recycle_in_ring
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38131
    - coresight: prevent deactivate active config while enabling the config
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38274
    - fpga: fix potential null pointer deref in fpga_mgr_test_img_load_sgt()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38134
    - usb: acpi: Prevent null pointer dereference in
      usb_acpi_add_usb4_devlink()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38135
    - serial: Fix potential null-ptr-deref in mlb_usio_probe()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38136
    - usb: renesas_usbhs: Reorder clock handling and power management in probe
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38138
    - dmaengine: ti: Add NULL check in udma_probe()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38275
    - phy: qcom-qmp-usb: Fix an NULL vs IS_ERR() bug
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38141
    - dm: fix dm_blk_report_zones
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38142
    - hwmon: (asus-ec-sensors) check sensor index in read_string()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38277
    - mtd: nand: ecc-mxic: Fix use of uninitialized variable ret
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38143
    - backlight: pm8941: Add NULL check in wled_configure()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38312
    - fbdev: core: fbcvt: avoid division by 0 in fb_cvt_hperiod()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38145
    - soc: aspeed: Add NULL check in aspeed_lpc_enable_snoop()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38313
    - bus: fsl-mc: fix double-free on mc_dev
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38415
    - Squashfs: check return result of sb_min_blocksize
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38146
    - net: openvswitch: Fix the dead loop of MPLS parse
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38147
    - calipso: Don't call calipso functions for AF_INET sk.
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38278
    - octeontx2-pf: QOS: Refactor TC_HTB_LEAF_DEL_LAST callback
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38148
    - net: phy: mscc: Fix memory leak when using one step timestamping
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38149
    - net: phy: clear phydev->devlink when the link is deleted
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38280
    - bpf: Avoid __bpf_prog_ret0_warn when jit fails
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38151
    - RDMA/cma: Fix hang when cma_netevent_callback fails to queue_work
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38153
    - net: usb: aqc111: fix error handling of usbnet read calls
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38154
    - bpf, sockmap: Avoid using sk_socket after free when sending
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38315
    - Bluetooth: btintel: Check dsbr size from EFI variable
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38155
    - wifi: mt76: mt7915: Fix null-ptr-deref in mt7915_mmio_wed_init()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38156
    - wifi: mt76: mt7996: Fix null-ptr-deref in mt7996_mmio_wed_init()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38282
    - kernfs: Relax constraint in draining guard
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38157
    - wifi: ath9k_htc: Abort software beacon handling if disabled
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38283
    - hisi_acc_vfio_pci: bugfix live migration function without VF device
      driver
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38158
    - hisi_acc_vfio_pci: fix XQE dma address error
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38159
    - wifi: rtw88: fix the 'para' buffer size to avoid reading out of bounds
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38285
    - bpf: Fix WARN() in get_bpf_raw_tp_regs
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38286
    - pinctrl: at91: Fix possible out-of-boundary access
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38160
    - clk: bcm: rpi: Add NULL check in raspberrypi_clk_register()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38161
    - RDMA/mlx5: Fix error flow upon firmware failure for RQ destruction
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38162
    - netfilter: nft_set_pipapo: prevent overflow in lookup table allocation
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38288
    - scsi: smartpqi: Fix smp_processor_id() call trace for preemptible
      kernels
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38290
    - wifi: ath12k: fix node corruption in ar->arvifs list
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38292
    - wifi: ath12k: fix invalid access to memory
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38163
    - f2fs: fix to do sanity check on sbi->total_valid_block_count
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38317
    - wifi: ath12k: Fix buffer overflow in debugfs
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38164
    - f2fs: zone: fix to avoid inconsistence in between SIT and SSA
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38165
    - bpf, sockmap: Fix panic when calling skb_linearize
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38166
    - bpf: fix ktls panic with sockmap
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38293
    - wifi: ath11k: fix node corruption in ar->arvifs list
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38295
    - perf/amlogic: Replace smp_processor_id() with raw_smp_processor_id() in
      meson_ddr_pmu_create()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38167
    - fs/ntfs3: handle hdr_first_de() return value
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38318
    - perf: arm-ni: Fix missing platform_set_drvdata()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38168
    - perf: arm-ni: Unregister PMUs on probe failure
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38169
    - arm64/fpsimd: Avoid clobbering kernel FPSIMD state with SMSTOP
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38170
    - arm64/fpsimd: Discard stale CPU state when handling SME traps
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38319
    - drm/amd/pp: Fix potential NULL pointer dereference in
      atomctrl_initialize_mc_reg_table
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38297
    - PM: EM: Fix potential division-by-zero error in em_compute_costs()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38298
    - EDAC/skx_common: Fix general protection fault
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38299
    - ASoC: mediatek: mt8195: Set ETDM1/2 IN/OUT to COMP_DUMMY()
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38172
    - erofs: avoid using multiple devices with different type
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38173
    - crypto: marvell/cesa - Handle zero-length skcipher requests
  * Plucky update: upstream stable patchset 2025-08-06 (LP: #2119603) //
    CVE-2025-38300
    - crypto: sun8i-ce-cipher - fix error handling in
      sun8i_ce_cipher_prepare()
  * Plucky update: v6.14.11 upstream stable release (LP: #2119039)
    - tracing: Fix compilation warning on arm32
    - pinctrl: armada-37xx: use correct OUTPUT_VAL register for GPIOs > 31
    - pinctrl: armada-37xx: set GPIO output value before setting direction
    - clk: samsung: correct clock summary for hsi1 block
    - acpi-cpufreq: Fix nominal_freq units to KHz in get_max_boost_ratio()
    - Documentation: ACPI: Use all-string data node references
    - rtc: Make rtc_time64_to_tm() support dates before 1970
    - rtc: Fix offset calculation for .start_secs < 0
    - orangefs: adjust counting code to recover from 665575cf
    - usb: quirks: Add NO_LPM quirk for SanDisk Extreme 55AE
    - usb: storage: Ignore UAS driver for SanDisk 3.2 Gen2 storage device
    - USB: serial: pl2303: add new chip PL2303GC-Q20 and PL2303GT-2AB
    - usb: typec: ucsi: fix Clang -Wsign-conversion warning
    - Bluetooth: hci_qca: move the SoC type check to the right place
    - nvmem: rmem: select CONFIG_CRC32
    - usb: usbtmc: Fix timeout value in get_stb
    - dt-bindings: pwm: adi,axi-pwmgen: Fix clocks
    - dt-bindings: usb: cypress,hx3: Add support for all variants
    - dt-bindings: phy: imx8mq-usb: fix fsl,phy-tx-vboost-level-microvolt
      property
    - Linux 6.14.11
  * Plucky update: v6.14.11 upstream stable release (LP: #2119039) //
    CVE-2025-38174
    - thunderbolt: Do not double dequeue a configuration request
  * Plucky update: v6.14.11 upstream stable release (LP: #2119039) //
    CVE-2025-38175
    - binder: fix yet another UAF in binder_devices
  * Plucky update: v6.14.11 upstream stable release (LP: #2119039) //
    CVE-2025-38176
    - binder: fix use-after-free in binderfs_evict_inode()
  * Plucky update: v6.14.11 upstream stable release (LP: #2119039) //
    CVE-2025-38265
    - serial: jsm: fix NPE during jsm_uart_port_init
  * Plucky update: v6.14.10 upstream stable release (LP: #2119010)
    - can: kvaser_pciefd: Force IRQ edge in case of nested IRQ
    - arm64: dts: socfpga: agilex5: fix gpio0 address
    - arm64: dts: rockchip: fix internal USB hub instability on RK3399 Puma
    - arm64: dts: qcom: ipq9574: Add missing properties for cryptobam
    - arm64: dts: qcom: sa8775p: Add missing properties for cryptobam
    - arm64: dts: qcom: sa8775p: Remove extra entries from the iommus property
    - arm64: dts: qcom: sa8775p: Remove cdsp compute-cb@10
    - arm64: dts: qcom: sm8350: Fix typo in pil_camera_mem node
    - arm64: dts: qcom: sm8450: Add missing properties for cryptobam
    - arm64: dts: qcom: sm8550: Add missing properties for cryptobam
    - arm64: dts: qcom: sm8650: Add missing properties for cryptobam
    - arm64: dts: qcom: x1e001de-devkit: Fix vreg_l2j_1p2 voltage
    - Revert "UBUNTU: SAUCE: arm64: dts: qcom: x1e001de-devkit: mark l12b and
      l15b always-on"
    - arm64: dts: qcom: x1e001de-devkit: mark l12b and l15b always-on
    - arm64: dts: qcom: x1e80100-asus-vivobook-s15: Fix vreg_l2j_1p2 voltage
    - Revert "UBUNTU: SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: mark
      l12b and l15b always-on"
    - arm64: dts: qcom: x1e80100-dell-xps13-9345: mark l12b and l15b always-on
    - Revert "UBUNTU: SAUCE: arm64: dts: qcom: x1e80100-hp-omnibook-x14:
      Enable SMB2360 0 and 1"
    - arm64: dts: qcom: x1e80100-hp-omnibook-x14: Enable SMB2360 0 and 1
    - arm64: dts: qcom: x1e80100-hp-omnibook-x14: Fix vreg_l2j_1p2 voltage
    - Revert "UBUNTU: SAUCE: arm64: dts: qcom: x1e80100-hp-x14: mark l12b and
      l15b always-on"
    - arm64: dts: qcom: x1e80100-hp-x14: mark l12b and l15b always-on
    - arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Fix vreg_l2j_1p2 voltage
    - arm64: dts: qcom: x1e80100-qcp: Fix vreg_l2j_1p2 voltage
    - Revert "UBUNTU: SAUCE: arm64: dts: qcom: x1e80100-qcp: mark l12b and
      l15b always-on"
    - arm64: dts: qcom: x1e80100-qcp: mark l12b and l15b always-on
    - Revert "UBUNTU: SAUCE: arm64: dts: qcom: x1e80100-yoga-slim7x: mark l12b
      and l15b always-on"
    - arm64: dts: qcom: x1e80100-yoga-slim7x: mark l12b and l15b always-on
    - arm64: dts: qcom: x1e80100: Fix PCIe 3rd controller DBI size
    - arm64: dts: ti: k3-am62-main: Set eMMC clock parent to default
    - arm64: dts: ti: k3-am62a-main: Set eMMC clock parent to default
    - arm64: dts: ti: k3-am62p-j722s-common-main: Set eMMC clock parent to
      default
    - arm64: dts: ti: k3-am62x: Remove clock-names property from IMX219
      overlay
    - arm64: dts: ti: k3-am62x: Rename I2C switch to I2C mux in IMX219 overlay
    - arm64: dts: ti: k3-am62x: Rename I2C switch to I2C mux in OV5640 overlay
    - arm64: dts: ti: k3-am65-main: Add missing taps to sdhci0
    - arm64: dts: ti: k3-am68-sk: Fix regulator hierarchy
    - arm64: dts: ti: k3-j721e-sk: Add DT nodes for power regulators
    - arm64: dts: ti: k3-j721e-sk: Remove clock-names property from IMX219
      overlay
    - arm64: dts: ti: k3-j721e-sk: Add requiried voltage supplies for IMX219
    - arm64: dts: ti: k3-j722s-evm: Enable "serdes_wiz0" and "serdes_wiz1"
    - arm64: dts: ti: k3-j722s-main: Disable "serdes_wiz0" and "serdes_wiz1"
    - arm64: dts: ti: k3-j784s4-j742s2-main-common: Fix length of
      serdes_ln_ctrl
    - perf/arm-cmn: Fix REQ2/SNP2 mixup
    - perf/arm-cmn: Initialise cmn->cpu earlier
    - perf/arm-cmn: Add CMN S3 ACPI binding
    - iommu: Handle yet another race around registration
    - coredump: fix error handling for replace_fd()
    - coredump: hand a pidfd to the usermode coredump helper
    - dmaengine: idxd: cdev: Fix uninitialized use of sva in idxd_cdev_open
    - HID: amd_sfh: Avoid clearing reports for SRA sensor
    - HID: quirks: Add ADATA XPG alpha wireless mouse support
    - nfs: don't share pNFS DS connections between net namespaces
    - platform/x86: thinkpad_acpi: Support also NEC Lavie X1475JAS
    - kbuild: Require pahole <v1.28 or >v1.29 with GENDWARFKSYMS on X86
    - SAUCE: Revert "kbuild: Require pahole <v1.28 or >v1.29 with
      GENDWARFKSYMS on X86"
    - um: let 'make clean' properly clean underlying SUBARCH as well
    - nvmet: pci-epf: cleanup nvmet_pci_epf_raise_irq()
    - drm/amd/display: fix link_set_dpms_off multi-display MST corner case
    - nvme: multipath: enable BLK_FEAT_ATOMIC_WRITES for multipathing
    - phy: starfive: jh7110-usb: Fix USB 2.0 host occasional detection failure
    - phy: phy-rockchip-samsung-hdptx: Fix PHY PLL output 50.25MHz error
    - spi: spi-sun4i: fix early activation
    - nvme: all namespaces in a subsystem must adhere to a common atomic write
      size
    - nvme-pci: add NVME_QUIRK_NO_DEEPEST_PS quirk for SOLIDIGM P44 Pro
    - drm/xe/xe2hpg: Add Wa_22021007897
    - drm/xe: Save the gt pointer in lrc and drop the tile
    - char: tpm: tpm-buf: Add sanity check fallback in read helpers
    - NFS: Avoid flushing data while holding directory locks in nfs_rename()
    - platform/x86: fujitsu-laptop: Support Lifebook S2110 hotkeys
    - ALSA: hda/realtek - restore auto-mute mode for Dell Chrome platform
    - platform/x86: thinkpad_acpi: Ignore battery threshold change event
      notification
    - net: ethernet: ti: am65-cpsw: Lower random mac address error print to
      info
    - Linux 6.14.10
  * Plucky update: v6.14.10 upstream stable release (LP: #2119010) //
    CVE-2025-38092
    - ksmbd: use list_first_entry_or_null for opinfo_get_list()
  * Plucky update: v6.14.10 upstream stable release (LP: #2119010) //
    CVE-2025-38091
    - drm/amd/display: check stream id dml21 wrapper to get plane_id
  * Plucky update: v6.14.10 upstream stable release (LP: #2119010) //
    CVE-2025-38082
    - gpio: virtuser: fix potential out-of-bound write
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678)
    - drm/amd/display: Do not enable replay when vtotal update is pending.
    - drm/amd/display: Correct timing_adjust_pending flag setting.
    - drm/amd/display: Defer BW-optimization-blocked DRR adjustments
    - phy: renesas: rcar-gen3-usb2: Move IRQ request in probe
    - phy: renesas: rcar-gen3-usb2: Lock around hardware registers and driver
      data
    - phy: renesas: rcar-gen3-usb2: Assert PLL reset on PHY power off
    - nvmet: pci-epf: Keep completion queues mapped
    - nvmet: pci-epf: clear completion queue IRQ flag on delete
    - cpufreq: Add SM8650 to cpufreq-dt-platdev blocklist
    - nvmem: rockchip-otp: Move read-offset into variant-data
    - nvmem: rockchip-otp: add rk3576 variant data
    - nvmem: core: fix bit offsets of more than one byte
    - nvmem: core: verify cell's raw_len
    - nvmem: core: update raw_len if the bit reading is required
    - nvmem: qfprom: switch to 4-byte aligned reads
    - scsi: ufs: Introduce quirk to extend PA_HIBERN8TIME for UFS devices
    - dma/mapping.c: dev_dbg support for dma_addressing_limited
    - intel_th: avoid using deprecated page->mapping, index fields
    - mei: vsc: Use struct vsc_tp_packet as vsc-tp tx_buf and rx_buf type
    - dma-mapping: avoid potential unused data compilation warning
    - btrfs: tree-checker: adjust error code for header level check
    - cgroup: Fix compilation issue due to cgroup_mutex not being exported
    - vhost_task: fix vhost_task_create() documentation
    - scsi: mpi3mr: Add level check to control event logging
    - dma-mapping: Fix warning reported for missing prototype
    - ima: process_measurement() needlessly takes inode_lock() on MAY_READ
    - fs/buffer: split locking for pagecache lookups
    - fs/buffer: introduce sleeping flavors for pagecache lookups
    - fs/buffer: use sleeping version of __find_get_block()
    - fs/ocfs2: use sleeping version of __find_get_block()
    - fs/jbd2: use sleeping version of __find_get_block()
    - fs/ext4: use sleeping version of sb_find_get_block()
    - drm/amd/display: Enable urgent latency adjustment on DCN35
    - drm/amdgpu: Allow P2P access through XGMI
    - selftests/bpf: Mitigate sockmap_ktls disconnect_after_delete failure
    - block: hoist block size validation code to a separate function
    - io_uring: don't duplicate flushing in io_req_post_cqe
    - bpf: fix possible endless loop in BPF map iteration
    - samples/bpf: Fix compilation failure for samples/bpf on LoongArch Fedora
    - kconfig: merge_config: use an empty file as initfile
    - s390/vfio-ap: Fix no AP queue sharing allowed message written to kernel
      log
    - cifs: Add fallback for SMB2 CREATE without FILE_READ_ATTRIBUTES
    - cifs: Fix querying and creating MF symlinks over SMB1
    - cifs: Fix access_flags_to_smbopen_mode
    - cifs: Fix negotiate retry functionality
    - smb: client: Store original IO parameters and prevent zero IO sizes
    - fuse: Return EPERM rather than ENOSYS from link()
    - exfat: call bh_read in get_block only when necessary
    - io_uring/msg: initialise msg request opcode
    - NFSv4: Check for delegation validity in
      nfs_start_delegation_return_locked()
    - NFS: Don't allow waiting for exiting tasks
    - SUNRPC: Don't allow waiting for exiting tasks
    - arm64: Add support for HIP09 Spectre-BHB mitigation
    - iommufd: Extend IOMMU_GET_HW_INFO to report PASID capability
    - ring-buffer: Use kaslr address instead of text delta
    - tracing: Mark binary printing functions with __printf() attribute
    - ACPI: PNP: Add Intel OC Watchdog IDs to non-PNP device list
    - tpm: Convert warn to dbg in tpm2_start_auth_session()
    - mailbox: pcc: Use acpi_os_ioremap() instead of ioremap()
    - mailbox: use error ret code of of_parse_phandle_with_args()
    - riscv: Allow NOMMU kernels to access all of RAM
    - fbdev: fsl-diu-fb: add missing device_remove_file()
    - fbcon: Use correct erase colour for clearing in fbcon
    - fbdev: core: tileblit: Implement missing margin clearing for tileblit
    - cifs: Set default Netbios RFC1001 server name to hostname in UNC
    - cifs: add validation check for the fields in smb_aces
    - cifs: Fix establishing NetBIOS session for SMB2+ connection
    - cifs: Fix getting DACL-only xattr system.cifs_acl and system.smb3_acl
    - cifs: Check if server supports reparse points before using them
    - NFSv4: Treat ENETUNREACH errors as fatal for state recovery
    - SUNRPC: rpc_clnt_set_transport() must not change the autobind setting
    - SUNRPC: rpcbind should never reset the port to the value '0'
    - ASoC: codecs: wsa884x: Correct VI sense channel mask
    - ASoC: codecs: wsa883x: Correct VI sense channel mask
    - mctp: Fix incorrect tx flow invalidation condition in mctp-i2c
    - net: tn40xx: add pci-id of the aqr105-based Tehuti TN4010 cards
    - net: tn40xx: create swnode for mdio and aqr105 phy and add to mdiobus
    - thermal/drivers/mediatek/lvts: Start sensor interrupts disabled
    - thermal/drivers/qoriq: Power down TMU on system suspend
    - Bluetooth: btmtksdio: Prevent enabling interrupts after IRQ handler
      removal
    - Bluetooth: Disable SCO support if READ_VOICE_SETTING is
      unsupported/broken
    - RISC-V: add vector extension validation checks
    - dql: Fix dql->limit value when reset.
    - lockdep: Fix wait context check on softirq for PREEMPT_RT
    - objtool: Properly disable uaccess validation
    - net/mlx5e: Use right API to free bitmap memory
    - PCI: dwc: ep: Ensure proper iteration over outbound map windows
    - r8169: disable RTL8126 ZRX-DC timeout
    - tools/build: Don't pass test log files to linker
    - PCI: xilinx-cpm: Add cpm_csr register mapping for CPM5_HOST1 variant
    - i2c: qcom-geni: Update i2c frequency table to match hardware guidance
    - pNFS/flexfiles: Report ENETDOWN as a connection error
    - drm/amdgpu/discovery: check ip_discovery fw file available
    - drm/amdgpu: rework how the cleaner shader is emitted v3
    - drm/amdgpu: rework how isolation is enforced v2
    - drm/amdgpu: use GFP_NOWAIT for memory allocations
    - drm/amdkfd: set precise mem ops caps to disabled for gfx 11 and 12
    - PCI: vmd: Disable MSI remapping bypass under Xen
    - xen/pci: Do not register devices with segments >= 0x10000
    - ext4: on a remount, only log the ro or r/w state when it has changed
    - pidfs: improve multi-threaded exec and premature thread-group leader
      exit polling
    - staging: vchiq_arm: Create keep-alive thread during probe
    - mmc: host: Wait for Vdd to settle on card power off
    - drm/amdgpu: Skip pcie_replay_count sysfs creation for VF
    - cgroup/rstat: avoid disabling irqs for O(num_cpu)
    - wifi: mt76: Check link_conf pointer in mt76_connac_mcu_sta_basic_tlv()
    - wifi: mt76: scan: fix setting tx_info fields
    - wifi: mt76: mt7996: implement driver specific get_txpower function
    - wifi: mt76: only mark tx-status-failed frames as ACKed on mt76x0/2
    - wifi: mt76: mt7996: use the correct vif link for scanning/roc
    - wifi: mt76: scan: set vif offchannel link for scanning/roc
    - wifi: mt76: mt7996: fix SER reset trigger on WED reset
    - wifi: mt76: mt7996: revise TXS size
    - wifi: mt76: mt7925: load the appropriate CLC data based on hardware type
    - wifi: mt76: mt7925: Simplify HIF suspend handling to avoid suspend fail
    - wifi: mt76: mt7925: fix fails to enter low power mode in suspend state
    - x86/headers: Replace __ASSEMBLY__ with __ASSEMBLER__ in non-UAPI headers
    - x86/headers: Replace __ASSEMBLY__ with __ASSEMBLER__ in UAPI headers
    - x86/stackprotector/64: Only export __ref_stack_chk_guard on CONFIG_SMP
    - x86/smpboot: Fix INIT delay assignment for extended Intel Families
    - x86/microcode: Update the Intel processor flag scan check
    - x86/amd_node: Add SMN offsets to exclusive region access
    - i2c: qup: Vote for interconnect bandwidth to DRAM
    - i2c: amd-asf: Set cmd variable when encountering an error
    - i2c: pxa: fix call balance of i2c->clk handling routines
    - btrfs: make btrfs_discard_workfn() block_group ref explicit
    - btrfs: avoid linker error in btrfs_find_create_tree_block()
    - btrfs: run btrfs_error_commit_super() early
    - btrfs: fix non-empty delayed iputs list on unmount due to async workers
    - btrfs: get zone unusable bytes while holding lock at
      btrfs_reclaim_bgs_work()
    - btrfs: send: return -ENAMETOOLONG when attempting a path that is too
      long
    - blk-cgroup: improve policy registration error handling
    - drm/amdgpu: release xcp_mgr on exit
    - drm/amd/display: Guard against setting dispclk low for dcn31x
    - drm/amdgpu: don't free conflicting apertures for non-display devices
    - drm/amdgpu: adjust drm_firmware_drivers_only() handling
    - i3c: master: svc: Fix missing STOP for master request
    - s390/tlb: Use mm_has_pgste() instead of mm_alloc_pgste()
    - dlm: make tcp still work in multi-link env
    - loop: move vfs_fsync() out of loop_update_dio()
    - clocksource/drivers/timer-riscv: Stop stimecmp when cpu hotplug
    - um: Store full CSGSFS and SS register from mcontext
    - um: Update min_low_pfn to match changes in uml_reserved
    - net/mlx5: Preserve rate settings when creating a rate node
    - wifi: mwifiex: Fix HT40 bandwidth issue.
    - bnxt_en: Query FW parameters when the CAPS_CHANGE bit is set
    - ixgbe: add support for thermal sensor event reception
    - riscv: Call secondary mmu notifier when flushing the tlb
    - ext4: reorder capability check last
    - hypfs_create_cpu_files(): add missing check for hypfs_mkdir() failure
    - scsi: st: Tighten the page format heuristics with MODE SELECT
    - scsi: st: ERASE does not change tape location
    - vfio/pci: Handle INTx IRQ_NOTCONNECTED
    - bpftool: Using the right format specifiers
    - bpf: Return prog btf_id without capable check
    - PCI: dwc: Use resource start as ioremap() input in
      dw_pcie_pme_turn_off()
    - jbd2: do not try to recover wiped journal
    - tcp: reorganize tcp_in_ack_event() and tcp_count_delivered()
    - rtc: rv3032: fix EERD location
    - thunderbolt: Do not add non-active NVM if NVM upgrade is disabled for
      retimer
    - erofs: initialize decompression early
    - spi: spi-mux: Fix coverity issue, unchecked return value
    - ASoC: pcm6240: Drop bogus code handling IRQ as GPIO
    - ASoC: mediatek: mt6359: Add stub for mt6359_accdet_enable_jack_detect
    - kunit: tool: Fix bug in parsing test plan
    - bpf: Allow pre-ordering for bpf cgroup progs
    - kbuild: fix argument parsing in scripts/config
    - kconfig: do not clear SYMBOL_VALID when reading include/config/auto.conf
    - crypto: octeontx2 - suppress auth failure screaming due to negative
      tests
    - dm: restrict dm device size to 2^63-512 bytes
    - net/smc: use the correct ndev to find pnetid by pnetid table
    - xen: Add support for XenServer 6.1 platform device
    - pinctrl-tegra: Restore SFSEL bit when freeing pins
    - mfd: syscon: Add check for invalid resource size
    - mfd: tps65219: Remove TPS65219_REG_TI_DEV_ID check
    - drm/amdgpu/gfx12: don't read registers in mqd init
    - drm/amdgpu/gfx11: don't read registers in mqd init
    - drm/amdgpu: Update SRIOV video codec caps
    - ASoC: sun4i-codec: support hp-det-gpios property
    - ASoC: sun4i-codec: correct dapm widgets and controls for h616
    - clk: qcom: lpassaudiocc-sc7280: Add support for LPASS resets for QCM6490
    - leds: Kconfig: leds-st1202: Add select for required LEDS_TRIGGER_PATTERN
    - leds: leds-st1202: Initialize hardware before DT node child operations
    - ext4: reject the 'data_err=abort' option in nojournal mode
    - ext4: do not convert the unwritten extents if data writeback fails
    - RDMA/uverbs: Propagate errors from rdma_lookup_get_uobject()
    - posix-timers: Add cond_resched() to posix_timer_add() search loop
    - posix-timers: Ensure that timer initialization is fully visible
    - net: stmmac: dwmac-rk: Validate GRF and peripheral GRF during probe
    - net: hsr: Fix PRP duplicate detection
    - timer_list: Don't use %pK through printk()
    - wifi: rtw89: coex: Fix coexistence report not show as expected
    - wifi: rtw89: set force HE TB mode when connecting to 11ax AP
    - netfilter: conntrack: Bound nf_conntrack sysctl writes
    - PNP: Expand length of fixup id string
    - phy: rockchip: usbdp: Only verify link rates/lanes/voltage when the
      corresponding set flags are set
    - arm64/mm: Check pmd_table() in pmd_trans_huge()
    - arm64/mm: Check PUD_TYPE_TABLE in pud_bad()
    - mmc: dw_mmc: add exynos7870 DW MMC support
    - mmc: sdhci: Disable SD card clock before changing parameters
    - usb: xhci: Don't change the status of stalled TDs on failed Stop EP
    - wifi: iwlwifi: mvm: fix setting the TK when associated
    - hwmon: (dell-smm) Increment the number of fans
    - iommu: Keep dev->iommu state consistent
    - printk: Check CON_SUSPEND when unblanking a console
    - wifi: iwlwifi: don't warn when if there is a FW error
    - wifi: iwlwifi: w/a FW SMPS mode selection
    - wifi: iwlwifi: mark Br device not integrated
    - wifi: iwlwifi: fix the ECKV UEFI variable name
    - wifi: mac80211: don't include MLE in ML reconf per-STA profile
    - wifi: cfg80211: Update the link address when a link is added
    - wifi: mac80211: fix warning on disconnect during failed ML reconf
    - wifi: mac80211_hwsim: Fix MLD address translation
    - wifi: mac80211: fix U-APSD check in ML reconfiguration
    - wifi: cfg80211: allow IR in 20 MHz configurations
    - r8169: increase max jumbo packet size on RTL8125/RTL8126
    - ipv6: save dontfrag in cork
    - drm/amd/display: remove minimum Dispclk and apply oem panel timing.
    - drm/amd/display: calculate the remain segments for all pipes
    - drm/amd/display: not abort link train when bw is low
    - drm/amd/display: Fix incorrect DPCD configs while Replay/PSR switch
    - gfs2: Check for empty queue in run_queue
    - auxdisplay: charlcd: Partially revert "Move hwidth and bwidth to struct
      hd44780_common"
    - ASoC: qcom: sm8250: explicitly set format in sm8250_be_hw_params_fixup()
    - badblocks: Fix a nonsense WARN_ON() which checks whether a u64 variable
      < 0
    - block: acquire q->limits_lock while reading sysfs attributes
    - coresight-etb10: change etb_drvdata spinlock's type to raw_spinlock_t
    - coresight: change coresight_trace_id_map's lock type to raw_spinlock_t
    - iommu/vt-d: Check if SVA is supported when attaching the SVA domain
    - iommu/amd/pgtbl_v2: Improve error handling
    - fs/pipe: Limit the slots in pipe_resize_ring()
    - cpufreq: tegra186: Share policy per cluster
    - watchdog: s3c2410_wdt: Fix PMU register bits for ExynosAutoV920 SoC
    - watchdog: aspeed: Update bootstatus handling
    - misc: pci_endpoint_test: Give disabled BARs a distinct error code
    - selftests: pci_endpoint: Skip disabled BARs
    - crypto: mxs-dcp - Only set OTP_KEY bit for OTP key
    - drm/amdkfd: Set per-process flags only once for gfx9/10/11/12
    - drm/amdkfd: Set per-process flags only once cik/vi
    - drm/amdkfd: clear F8_MODE for gfx950
    - drm/amdgpu: increase RAS bad page threshold
    - drm/amdgpu: Fix missing drain retry fault the last entry
    - arm64: tegra: p2597: Fix gpio for vdd-1v8-dis regulator
    - arm64: tegra: Resize aperture for the IGX PCIe C5 slot
    - powerpc/prom_init: Fixup missing #size-cells on PowerBook6,7
    - ALSA: seq: Improve data consistency at polling
    - tcp: bring back NUMA dispersion in inet_ehash_locks_alloc()
    - rtc: ds1307: stop disabling alarms on probe
    - ieee802154: ca8210: Use proper setters and getters for bitwise types
    - drm/xe: Nuke VM's mapping upon close
    - drm/xe: Retry BO allocation
    - soc: samsung: include linux/array_size.h where needed
    - ARM: tegra: Switch DSI-B clock parent to PLLD on Tegra114
    - media: c8sectpfe: Call of_node_put(i2c_bus) only once in
      c8sectpfe_probe()
    - media: cec: use us_to_ktime() where appropriate
    - usb: xhci: set page size to the xHCI-supported size
    - soc: mediatek: mtk-mutex: Add DPI1 SOF/EOF to MT8188 mutex tables
    - drm/gem: Test for imported GEM buffers with helper
    - net: phylink: use pl->link_interface in phylink_expects_phy()
    - blk-throttle: don't take carryover for prioritized processing of
      metadata
    - remoteproc: qcom_wcnss: Handle platforms with only single power domain
    - drm/xe: Disambiguate GMDID-based IP names
    - drm/amdgpu: Do not program AGP BAR regs under SRIOV in gfxhub_v1_0.c
    - drm/amdgpu: Reinit FW shared flags on VCN v5.0.1
    - drm/amd/display: Ensure DMCUB idle before reset on DCN31/DCN35
    - drm/amd/display: Skip checking FRL_MODE bit for PCON BW determination
    - drm/amd/display: Fix DMUB reset sequence for DCN401
    - drm/amd/display: Fix p-state type when p-state is unsupported
    - drm/amd/display: Request HW cursor on DCN3.2 with SubVP
    - drm/amdgpu: Avoid HDP flush on JPEG v5.0.1
    - drm/amdgpu: Add offset normalization in VCN v5.0.1
    - perf/core: Clean up perf_try_init_event()
    - pinctrl: bcm281xx: Use "unsigned int" instead of bare "unsigned"
    - rcu: Fix get_state_synchronize_rcu_full() GP-start detection
    - drm/msm/dpu: Set possible clones for all encoders
    - net: ethernet: ti: cpsw_new: populate netdev of_node
    - eth: fbnic: Prepend TSENE FW fields with FBNIC_FW
    - net: phy: nxp-c45-tja11xx: add match_phy_device to TJA1103/TJA1104
    - dpll: Add an assertion to check freq_supported_num
    - ublk: enforce ublks_max only for unprivileged devices
    - iommufd: Disallow allocating nested parent domain with fault ID
    - media: imx335: Set vblank immediately
    - net: pktgen: fix mpls maximum labels list parsing
    - perf/core: Fix perf_mmap() failure path
    - perf/hw_breakpoint: Return EOPNOTSUPP for unsupported breakpoint type
    - ALSA: hda/realtek: Enable PC beep passthrough for HP EliteBook 855 G7
    - scsi: logging: Fix scsi_logging_level bounds
    - ipv4: fib: Move fib_valid_key_len() to rtm_to_fib_config().
    - ipv4: fib: Hold rtnl_net_lock() in ip_rt_ioctl().
    - drm/rockchip: vop2: Add uv swap for cluster window
    - block: mark bounce buffering as incompatible with integrity
    - null_blk: generate null_blk configfs features string
    - ublk: complete command synchronously on error
    - media: uvcvideo: Add sanity check to uvc_ioctl_xu_ctrl_map
    - media: uvcvideo: Handle uvc menu translation inside uvc_get_le_value
    - clk: imx8mp: inform CCF of maximum frequency of clocks
    - PM: sleep: Suppress sleeping parent warning in special case
    - x86/bugs: Make spectre user default depend on MITIGATION_SPECTRE_V2
    - hwmon: (acpi_power_meter) Fix the fake power alarm reporting
    - hwmon: (gpio-fan) Add missing mutex locks
    - ARM: at91: pm: fix at91_suspend_finish for ZQ calibration
    - drm/mediatek: mtk_dpi: Add checks for reg_h_fre_con existence
    - fpga: altera-cvp: Increase credit timeout
    - perf: arm_pmuv3: Call kvm_vcpu_pmu_resync_el0() before enabling counters
    - soc: apple: rtkit: Use high prio work queue
    - soc: apple: rtkit: Implement OSLog buffers properly
    - wifi: ath12k: Report proper tx completion status to mac80211
    - PCI: brcmstb: Expand inbound window size up to 64GB
    - PCI: brcmstb: Add a softdep to MIP MSI-X driver
    - drm/xe/vf: Retry sending MMIO request to GUC on timeout error
    - drm/xe/pf: Create a link between PF and VF devices
    - net/mlx5: Avoid report two health errors on same syndrome
    - selftests/net: have `gro.sh -t` return a correct exit code
    - driver core: faux: only create the device if probe() succeeds
    - pinctrl: sophgo: avoid to modify untouched bit when setting cv1800
      pinconf
    - drm/amdkfd: KFD release_work possible circular locking
    - drm/xe: xe_gen_wa_oob: replace program_invocation_short_name
    - leds: pwm-multicolor: Add check for fwnode_property_read_u32
    - accel/amdxdna: Check interrupt register before mailbox_rx_worker exits
    - net: ethernet: mtk_ppe_offload: Allow QinQ, double ETH_P_8021Q only
    - net: xgene-v2: remove incorrect ACPI_PTR annotation
    - wifi: rtw89: Parse channel from IE to correct invalid hardware reports
      during scanning
    - bonding: report duplicate MAC address in all situations
    - tcp: be less liberal in TSEcr received while in SYN_RECV state
    - pinctrl: qcom: msm8917: Add MSM8937 wsa_reset pin
    - wifi: ath12k: Improve BSS discovery with hidden SSID in 6 GHz band
    - soc: ti: k3-socinfo: Do not use syscon helper to build regmap
    - bpf: Search and add kfuncs in struct_ops prologue and epilogue
    - Octeontx2-af: RPM: Register driver with PCI subsys IDs
    - x86/build: Fix broken copy command in genimage.sh when making isoimage
    - drm/amd/display: handle max_downscale_src_width fail check
    - drm/amd/display: fix dcn4x init failed
    - drm/amd/display: fix check for identity ratio
    - drm/amd/display: Fix mismatch type comparison
    - drm/amd/display: Add opp recout adjustment
    - drm/amd/display: Fix mismatch type comparison in custom_float
    - ASoC: mediatek: mt8188: Treat DMIC_GAINx_CUR as non-volatile
    - ASoC: mediatek: mt8188: Add reference for dmic clocks
    - x86/nmi: Add an emergency handler in nmi_desc & use it in
      nmi_shootdown_cpus()
    - vhost-scsi: Return queue full for page alloc failures during copy
    - vdpa/mlx5: Fix mlx5_vdpa_get_config() endianness on big-endian machines
    - cpuidle: menu: Avoid discarding useful information
    - media: adv7180: Disable test-pattern control on adv7180
    - media: tc358746: improve calculation of the D-PHY timing registers
    - net/mlx5e: Add correct match to check IPSec syndromes for switchdev mode
    - scsi: mpi3mr: Update timestamp only for supervisor IOCs
    - loop: check in LO_FLAGS_DIRECT_IO in loop_default_blocksize
    - net: stmmac: Correct usage of maximum queue number macros
    - libbpf: Fix out-of-bound read
    - gpiolib: sanitize the return value of gpio_chip::set_config()
    - scsi: scsi_debug: First fixes for tapes
    - bpf: arm64: Silence "UBSAN: negation-overflow" warning
    - net/mlx5: Change POOL_NEXT_SIZE define value and make it global
    - x86/kaslr: Reduce KASLR entropy on most x86 systems
    - crypto: ahash - Set default reqsize from ahash_alg
    - crypto: skcipher - Zap type in crypto_alloc_sync_skcipher
    - net: ipv6: Init tunnel link-netns before registering dev
    - rtnetlink: Lookup device in target netns when creating link
    - drm/xe/oa: Ensure that polled read returns latest data
    - MIPS: Use arch specific syscall name match function
    - drm/amdgpu: remove all KFD fences from the BO on release
    - x86/mm: Make MMU_GATHER_RCU_TABLE_FREE unconditional
    - x86/locking: Use ALT_OUTPUT_SP() for percpu_{,try_}cmpxchg{64,128}_op()
    - pps: generators: replace copy of pps-gen info struct with const pointer
    - MIPS: pm-cps: Use per-CPU variables as per-CPU, not per-core
    - clocksource: mips-gic-timer: Enable counter when CPUs start
    - PCI: epf-mhi: Update device ID for SA8775P
    - scsi: mpt3sas: Send a diag reset if target reset fails
    - wifi: rtw88: Fix rtw_init_vht_cap() for RTL8814AU
    - wifi: rtw88: Fix rtw_init_ht_cap() for RTL8814AU
    - wifi: rtw88: Fix rtw_desc_to_mcsrate() to handle MCS16-31
    - wifi: rtw88: Fix rtw_mac_power_switch() for RTL8814AU
    - wifi: rtw89: fw: propagate error code from rtw89_h2c_tx()
    - wifi: rtw89: fw: get sb_sel_ver via get_unaligned_le32()
    - wifi: rtw89: fw: add blacklist to avoid obsolete secure firmware
    - wifi: rtw89: 8922a: fix incorrect STA-ID in EHT MU PPDU
    - power: supply: axp20x_battery: Update temp sensor for AXP717 from device
      tree
    - EDAC/ie31200: work around false positive build warning
    - i3c: master: svc: Flush FIFO before sending Dynamic Address
      Assignment(DAA)
    - netdevsim: call napi_schedule from a timer context
    - mfd: axp20x: AXP717: Add AXP717_TS_PIN_CFG to writeable regs
    - eeprom: ee1004: Check chip before probing
    - irqchip/riscv-imsic: Separate next and previous pointers in IMSIC vector
    - drm/xe/client: Skip show_run_ticks if unable to read timestamp
    - drm/amd/pm: Fetch current power limit from PMFW
    - drm/amd/display: Add support for disconnected eDP streams
    - drm/amd/display: Guard against setting dispclk low when active
    - drm/amd/display: Fix BT2020 YCbCr limited/full range input
    - drm/amd/display: Read LTTPR ALPM caps during link cap retrieval
    - Revert "drm/amd/display: Request HW cursor on DCN3.2 with SubVP"
    - drm/amd/display: Don't treat wb connector as physical in
      create_validate_stream_for_sink
    - RDMA/core: Fix best page size finding when it can cross SG entries
    - pmdomain: imx: gpcv2: use proper helper for property detection
    - can: c_can: Use of_property_present() to test existence of DT property
    - bpf: don't do clean_live_states when state->loop_entry->branches > 0
    - eth: mlx4: don't try to complete XDP frames in netpoll
    - PCI: Fix old_size lower bound in calculate_iosize() too
    - ACPI: HED: Always initialize before evged
    - vxlan: Join / leave MC group after remote changes
    - posix-timers: Invoke cond_resched() during exit_itimers()
    - hrtimers: Replace hrtimer_clock_to_base_table with switch-case
    - irqchip/riscv-imsic: Set irq_set_affinity() for IMSIC base
    - media: test-drivers: vivid: don't call schedule in loop
    - bpf: Make every prog keep a copy of ctx_arg_info
    - net/mlx5: Modify LSB bitmask in temperature event to include only the
      first bit
    - net/mlx5: Apply rate-limiting to high temperature warning
    - firmware: arm_ffa: Reject higher major version as incompatible
    - firmware: arm_ffa: Handle the presence of host partition in the
      partition info
    - firmware: xilinx: Dont send linux address to get fpga config get status
    - io_uring: use IO_REQ_LINK_FLAGS more
    - io_uring: sanitise ring params earlier
    - ASoC: ops: Enforce platform maximum on initial value
    - ASoC: tas2764: Add reg defaults for TAS2764_INT_CLK_CFG
    - ASoC: tas2764: Mark SW_RESET as volatile
    - ASoC: tas2764: Power up/down amp on mute ops
    - ASoC: soc-dai: check return value at snd_soc_dai_set_tdm_slot()
    - pinctrl: devicetree: do not goto err when probing hogs in
      pinctrl_dt_to_map
    - smack: recognize ipv4 CIPSO w/o categories
    - drm/xe/pf: Release all VFs configs on device removal
    - smack: Revert "smackfs: Added check catlen"
    - kunit: tool: Use qboot on QEMU x86_64
    - media: i2c: imx219: Correct the minimum vblanking value
    - media: v4l: Memset argument to 0 before calling get_mbus_config pad op
    - media: stm32: csi: use ARRAY_SIZE to search D-PHY table
    - media: stm32: csi: add missing pm_runtime_put on error
    - media: i2c: ov2740: Free control handler on error path
    - bnxt_en: Set NPAR 1.2 support when registering with firmware
    - net/mlx4_core: Avoid impossible mlx4_db_alloc() order value
    - drm/xe: Stop ignoring errors from xe_ttm_stolen_mgr_init()
    - drm/xe: Fix xe_tile_init_noalloc() error propagation
    - clk: qcom: ipq5018: allow it to be bulid on arm32
    - [Config] enable IPQ_GCC_5018 on armhf
    - accel/amdxdna: Refactor hardware context destroy routine
    - clk: qcom: clk-alpha-pll: Do not use random stack value for recalc rate
    - drm/xe/debugfs: fixed the return value of wedged_mode_set
    - drm/xe/debugfs: Add missing xe_pm_runtime_put in wedge_mode_set
    - x86/ibt: Handle FineIBT in handle_cfi_failure()
    - x86/traps: Cleanup and robustify decode_bug()
    - x86/boot: Mark start_secondary() with __noendbr
    - sched: Reduce the default slice to avoid tasks getting an extra tick
    - serial: sh-sci: Update the suspend/resume support
    - pinctrl: renesas: rzg2l: Add suspend/resume support for pull up/down
    - drm/xe/display: Remove hpd cancel work sync from runtime pm path
    - phy: phy-rockchip-samsung-hdptx: Swap the definitions of LCPLL_REF and
      ROPLL_REF
    - phy: core: don't require set_mode() callback for phy_get_mode() to work
    - phy: exynos5-usbdrd: fix EDS distribution tuning (gs101)
    - soundwire: amd: change the soundwire wake enable/disable sequence
    - soundwire: cadence_master: set frame shape and divider based on actual
      clk freq
    - jbd2: Avoid long replay times due to high number or revoke blocks
    - net: stmmac: dwmac-loongson: Set correct {tx,rx}_fifo_size
    - scsi: usb: Rename the RESERVE and RELEASE constants
    - drm/amdgpu/mes11: fix set_hw_resources_1 calculation
    - drm/amdkfd: fix missing L2 cache info in topology
    - drm/amdgpu: Set snoop bit for SDMA for MI series
    - drm/amd/display: pass calculated dram_speed_mts to dml2
    - drm/amd/display: remove TF check for LLS policy
    - drm/amd/display: Don't try AUX transactions on disconnected link
    - drm/amdgpu: reset psp->cmd to NULL after releasing the buffer
    - drm/amd/pm: Skip P2S load for SMU v13.0.12
    - drm/amd/display: Support multiple options during psr entry.
    - Revert "drm/amd/display: Exit idle optimizations before attempt to
      access PHY"
    - drm/amd/display: Fixes for mcache programming in DML21
    - drm/amd/display: Ammend DCPG IP control sequences to align with HW
      guidance
    - drm/amd/display: Account For OTO Prefetch Bandwidth When Calculating
      Urgent Bandwidth
    - drm/amd/display: Update CR AUX RD interval interpretation
    - drm/amd/display: Initial psr_version with correct setting
    - drm/amdgpu/gfx10: Add cleaner shader for GFX10.1.10
    - drm/amdgpu: Skip err_count sysfs creation on VF unsupported RAS blocks
    - amdgpu/soc15: enable asic reset for dGPU in case of suspend abort
    - drm/amd/display: Reverse the visual confirm recouts
    - drm/amd/display: Use Nominal vBlank If Provided Instead Of Capping It
    - drm/amd/display: Populate register address for dentist for dcn401
    - drm/amdgpu: Use active umc info from discovery
    - drm/amdgpu: enlarge the VBIOS binary size limit
    - drm/amdkfd: Have kfd driver use same PASID values from graphic driver
    - drm/amd/display/dm: drop hw_support check in amdgpu_dm_i2c_xfer()
    - scsi: target: spc: Fix loop traversal in spc_rsoc_get_descr()
    - net/mlx5: XDP, Enable TX side XDP multi-buffer support
    - net/mlx5: Extend Ethtool loopback selftest to support non-linear SKB
    - net/mlx5e: set the tx_queue_len for pfifo_fast
    - net/mlx5e: reduce rep rxq depth to 256 for ECPF
    - net/mlx5e: reduce the max log mpwrq sz for ECPF and reps
    - drm/v3d: Add clock handling
    - xfrm: prevent high SEQ input in non-ESN mode
    - iio: adc: ad7606: protect register access
    - wifi: ath12k: Enable MLO setup ready and teardown commands for single
      split-phy device
    - wifi: ath12k: use arvif instead of link_conf in ath12k_mac_set_key()
    - wifi: ath12k: fix the ampdu id fetch in the HAL_RX_MPDU_START TLV
    - wifi: ath12k: Update the peer id in PPDU end user stats TLV
    - mptcp: pm: userspace: flags: clearer msg if no remote addr
    - wifi: iwlwifi: use correct IMR dump variable
    - wifi: iwlwifi: don't warn during reprobe
    - wifi: mac80211: always send max agg subframe num in strict mode
    - wifi: mac80211: don't unconditionally call drv_mgd_complete_tx()
    - wifi: mac80211: remove misplaced drv_mgd_complete_tx() call
    - wifi: mac80211: set ieee80211_prep_tx_info::link_id upon Auth Rx
    - wifi: mac80211: add HT and VHT basic set verification
    - wifi: mac80211: Drop cooked monitor support
    - net: fec: Refactor MAC reset to function
    - powerpc/pseries/iommu: memory notifier incorrectly adds TCEs for pmemory
    - powerpc/pseries/iommu: create DDW for devices with DMA mask less than
      64-bits
    - arch/powerpc/perf: Check the instruction type before creating sample
      with perf_mem_data_src
    - ip: fib_rules: Fetch net from fib_rule in fib[46]_rule_configure().
    - r8152: add vendor/device ID pair for Dell Alienware AW1022z
    - iio: adc: ad7944: don't use storagebits for sizing
    - igc: Avoid unnecessary link down event in XDP_SETUP_PROG process
    - pstore: Change kmsg_bytes storage size to u32
    - leds: trigger: netdev: Configure LED blink interval for HW offload
    - ext4: don't write back data before punch hole in nojournal mode
    - ext4: remove writable userspace mappings before truncating page cache
    - wifi: rtw88: Fix rtw_update_sta_info() for RTL8814AU
    - wifi: rtw88: Extend rtw_fw_send_ra_info() for RTL8814AU
    - wifi: rtw88: Fix download_firmware_validate() for RTL8814AU
    - wifi: rtw88: Fix __rtw_download_firmware() for RTL8814AU
    - wifi: rtw89: coex: Assign value over than 0 to avoid firmware timer hang
    - wifi: rtw89: fw: validate multi-firmware header before getting its size
    - wifi: rtw89: fw: validate multi-firmware header before accessing
    - wifi: rtw89: call power_on ahead before selecting firmware
    - iio: dac: ad3552r-hs: use instruction mode for configuration
    - iio: dac: adi-axi-dac: add bus mode setup
    - clk: qcom: camcc-sm8250: Use clk_rcg2_shared_ops for some RCGs
    - netdevsim: allow normal queue reset while down
    - net: page_pool: avoid false positive warning if NAPI was never added
    - tools/power turbostat: Clustered Uncore MHz counters should honor
      show/hide options
    - hwmon: (xgene-hwmon) use appropriate type for the latency value
    - drm/xe: Fix PVC RPe and RPa information
    - f2fs: introduce f2fs_base_attr for global sysfs entries
    - media: qcom: camss: csid: Only add TPG v4l2 ctrl if TPG hardware is
      available
    - media: qcom: camss: Add default case in vfe_src_pad_code
    - drm/rockchip: vop2: Improve display modes handling on RK3588 HDMI0
    - eth: fbnic: set IFF_UNICAST_FLT to avoid enabling promiscuous mode when
      adding unicast addrs
    - tools: ynl-gen: don't output external constants
    - ipv4: ip_gre: Fix set but not used warning in ipgre_err() if IPv4-only
    - r8169: don't scan PHY addresses > 0
    - net: flush_backlog() small changes
    - bridge: mdb: Allow replace of a host-joined group
    - ice: init flow director before RDMA
    - ice: treat dyn_allowed only as suggestion
    - rcu: handle quiescent states for PREEMPT_RCU=n, PREEMPT_COUNT=y
    - rcu: handle unstable rdp in rcu_read_unlock_strict()
    - rcu: fix header guard for rcu_all_qs()
    - perf: Avoid the read if the count is already updated
    - ice: count combined queues using Rx/Tx count
    - drm/xe/relay: Don't use GFP_KERNEL for new transactions
    - net/mana: fix warning in the writer of client oob
    - scsi: lpfc: Handle duplicate D_IDs in ndlp search-by D_ID routine
    - scsi: lpfc: Ignore ndlp rport mismatch in dev_loss_tmo callbk
    - scsi: lpfc: Free phba irq in lpfc_sli4_enable_msi() when
      pci_irq_vector() fails
    - scsi: lpfc: Reduce log message generation during ELS ring clean up
    - scsi: st: Restore some drive settings after reset
    - wifi: ath12k: Avoid napi_sync() before napi_enable()
    - HID: usbkbd: Fix the bit shift number for LED_KANA
    - arm64: zynqmp: add clock-output-names property in clock nodes
    - ASoC: codecs: pcm3168a: Allow for 24-bit in provider mode
    - ASoC: rt722-sdca: Add some missing readable registers
    - irqchip/riscv-aplic: Add support for hart indexes
    - dm vdo indexer: prevent unterminated string warning
    - dm vdo: use a short static string for thread name prefix
    - drm/ast: Find VBIOS mode from regular display size
    - bpf: Use kallsyms to find the function name of a struct_ops's stub
      function
    - bpftool: Fix readlink usage in get_fd_type
    - firmware: arm_scmi: Relax duplicate name constraint across protocol ids
    - perf/amd/ibs: Fix perf_ibs_op.cnt_mask for CurCnt
    - perf/amd/ibs: Fix ->config to sample period calculation for OP PMU
    - clk: renesas: rzg2l-cpg: Refactor Runtime PM clock validation
    - wifi: rtl8xxxu: retry firmware download on error
    - wifi: rtw88: Don't use static local variable in
      rtw8822b_set_tx_power_index_by_rate
    - wifi: rtw89: add wiphy_lock() to work that isn't held wiphy_lock() yet
    - spi: zynqmp-gqspi: Always acknowledge interrupts
    - regulator: ad5398: Add device tree support
    - wifi: ath12k: fix ath12k_hal_tx_cmd_ext_desc_setup() info1 override
    - accel/qaic: Mask out SR-IOV PCI resources
    - drm/xe/pf: Reset GuC VF config when unprovisioning critical resource
    - wifi: ath9k: return by of_get_mac_address
    - wifi: ath12k: Fetch regdb.bin file from board-2.bin
    - drm/xe/pf: Move VFs reprovisioning to worker
    - wifi: ath12k: Fix end offset bit definition in monitor ring descriptor
    - wifi: ath12k: report station mode receive rate for IEEE 802.11be
    - wifi: ath12k: report station mode transmit rate
    - drm: bridge: adv7511: fill stream capabilities
    - drm/nouveau: fix the broken marco GSP_MSG_MAX_SIZE
    - wifi: ath11k: Use dma_alloc_noncoherent for rx_tid buffer allocation
    - drm/ast: Hide Gens 1 to 3 TX detection in branch
    - drm/xe: Move suballocator init to after display init
    - drm/xe: Do not attempt to bootstrap VF in execlists mode
    - wifi: rtw89: coex: Separated Wi-Fi connecting event from Wi-Fi scan
      event
    - wifi: rtw89: coex: Add protect to avoid A2DP lag while Wi-Fi connecting
    - drm/xe/sa: Always call drm_suballoc_manager_fini()
    - drm/xe: Always setup GT MMIO adjustment data
    - drm/xe/guc: Drop error messages about missing GuC logs
    - drm/atomic: clarify the rules around drm_atomic_state->allow_modeset
    - drm/buddy: fix issue that force_merge cannot free all roots
    - drm/xe: Add locks in gtidle code
    - drm/panel-edp: Add Starry 116KHD024006
    - drm: Add valid clones check
    - i3c: master: svc: Fix implicit fallthrough in svc_i3c_master_ibi_work()
    - ASoC: sma1307: Fix error handling in sma1307_setting_loaded()
    - pinctrl: tegra: Fix off by one in tegra_pinctrl_get_group()
    - watchdog: aspeed: fix 64-bit division
    - drm/amdkfd: Correct F8_MODE for gfx950
    - drm/gem: Internally test import_attach for imported objects
    - virtgpu: don't reset on shutdown
    - x86/mm/init: Handle the special case of device private pages in
      add_pages(), to not increase max_pfn and trigger
      dma_addressing_limited() bounce buffers
    - bpf: abort verification if env->cur_state->loop_entry != NULL
    - ipv6: remove leftover ip6 cookie initializer
    - serial: sh-sci: Save and restore more registers
    - drm/amd/display: Exit idle optimizations before accessing PHY
    - drm/amdkfd: Fix error handling for missing PASID in
      'kfd_process_device_init_vm'
    - drm/amdkfd: Fix pasid value leak
    - wifi: mac80211: Add counter for all monitor interfaces
    - HID: Kconfig: Add LEDS_CLASS_MULTICOLOR dependency to HID_LOGITECH
    - net-sysfs: restore behavior for not running devices
    - ASoC: imx-card: Adjust over allocation of memory in imx_card_parse_of()
    - book3s64/radix: Fix compile errors when
      CONFIG_ARCH_WANT_OPTIMIZE_DAX_VMEMMAP=n
    - pinctrl: meson: define the pull up/down resistor value as 60 kOhm
    - smb: server: smb2pdu: check return value of xa_store()
    - platform/x86/intel: hid: Add Pantherlake support
    - platform/x86: asus-wmi: Disable OOBE state after resume from hibernation
    - platform/x86: ideapad-laptop: add support for some new buttons
    - ASoC: cs42l43: Disable headphone clamps during type detection
    - ASoC: Intel: bytcr_rt5640: Add DMI quirk for Acer Aspire SW3-013
    - ALSA: hda/realtek: Add quirk for HP Spectre x360 15-df1xxx
    - drm/ttm: fix the warning for hit_low and evict_low
    - nvme-pci: add quirks for device 126f:1001
    - nvme-pci: add quirks for WDC Blue SN550 15b7:5009
    - ALSA: usb-audio: Fix duplicated name in MIDI substream names
    - io_uring/fdinfo: annotate racy sq/cq head/tail reads
    - cifs: Fix and improve cifs_query_path_info() and cifs_query_file_info()
    - cifs: Fix changing times and read-only attr over SMB1
      smb_set_file_info() function
    - ASoC: intel/sdw_utils: Add volume limit to cs42l43 speakers
    - ASoC: intel/sdw_utils: Add volume limit to cs35l56 speakers
    - iio: accel: fxls8962af: Fix wakeup source leaks on device unbind
    - iio: adc: qcom-spmi-iadc: Fix wakeup source leaks on device unbind
    - iio: imu: st_lsm6dsx: Fix wakeup source leaks on device unbind
    - btrfs: compression: adjust cb->compressed_folios allocation type
    - btrfs: handle empty eb->folios in num_extent_folios()
    - tools: ynl-gen: validate 0 len strings from kernel
    - block: only update request sector if needed
    - wifi: iwlwifi: add support for Killer on MTL
    - xenbus: Allow PVH dom0 a non-local xenstore
    - drm/amd/display: Call FP Protect Before Mode Programming/Mode Support
    - soundwire: bus: Fix race on the creation of the IRQ domain
    - espintcp: remove encap socket caching to avoid reference leak
    - xfrm: Fix UDP GRO handling for some corner cases
    - dmaengine: idxd: Fix allowing write() from different address spaces
    - x86/sev: Fix operator precedence in GHCB_MSR_VMPL_REQ_LEVEL macro
    - kernel/fork: only call untrack_pfn_clear() on VMAs duplicated for fork()
    - remoteproc: qcom_wcnss: Fix on platforms without fallback regulators
    - clk: sunxi-ng: d1: Add missing divider for MMC mod clocks
    - xfrm: Sanitize marks before insert
    - dmaengine: idxd: Fix ->poll() return value
    - dmaengine: fsl-edma: Fix return code for unhandled interrupts
    - irqchip/riscv-imsic: Start local sync timer on correct CPU
    - Bluetooth: L2CAP: Fix not checking l2cap_chan security level
    - Bluetooth: btusb: use skb_pull to avoid unsafe access in QCA dump
      handling
    - bridge: netfilter: Fix forwarding of fragmented packets
    - ice: fix vf->num_mac count with port representors
    - ice: Fix LACP bonds without SRIOV environment
    - loop: don't require ->write_iter for writable files in loop_configure
    - pinctrl: qcom: switch to devm_register_sys_off_handler()
    - net: dwmac-sun8i: Use parsed internal PHY address instead of 1
    - net: lan743x: Restore SGMII CTRL register on resume
    - xsk: Bring back busy polling support in XDP_COPY
    - io_uring: fix overflow resched cqe reordering
    - idpf: fix idpf_vport_splitq_napi_poll()
    - octeontx2-pf: use xdp_return_frame() to free xdp buffers
    - octeontx2-pf: Add AF_XDP non-zero copy support
    - octeontx2-pf: AF_XDP zero copy receive support
    - octeontx2-pf: Avoid adding dcbnl_ops for LBK and SDP vf
    - octeontx2-af: Set LMT_ENA bit for APR table entries
    - octeontx2-af: Fix APR entry mapping based on APR_LMT_CFG
    - clk: s2mps11: initialise clk_hw_onecell_data::num before accessing
      ::hws[] in probe()
    - can: slcan: allow reception of short error messages
    - ASoC: SOF: ipc4-control: Use SOF_CTRL_CMD_BINARY as numid for bytes_ext
    - ASoC: SOF: Intel: hda-bus: Use PIO mode on ACE2+ platforms
    - ASoc: SOF: topology: connect DAI to a single DAI link
    - ASoC: SOF: ipc4-pcm: Delay reporting is only supported for playback
      direction
    - ALSA: hda/realtek: Add quirk for Lenovo Yoga Pro 7 14ASP10
    - llc: fix data loss when reading from a socket in llc_ui_recvmsg()
    - can: kvaser_pciefd: Continue parsing DMA buf after dropped RX
    - can: kvaser_pciefd: Fix echo_skb race
    - io_uring/net: only retry recv bundle for a full transfer
    - net: dsa: microchip: linearize skb for tail-tagging switches
    - vmxnet3: update MTU after device quiesce
    - mmc: sdhci_am654: Add SDHCI_QUIRK2_SUPPRESS_V1P8_ENA quirk to am62
      compatible
    - pmdomain: renesas: rcar: Remove obsolete nullify checks
    - pmdomain: core: Fix error checking in genpd_dev_pm_attach_by_id()
    - thermal: intel: x86_pkg_temp_thermal: Fix bogus trip temperature
    - drm/edid: fixed the bug that hdr metadata was not reset
    - arm64: dts: marvell: uDPU: define pinctrl state for alarm LEDs
    - smb: client: Reset all search buffer pointers when releasing buffer
    - Input: xpad - add more controllers
    - highmem: add folio_test_partial_kmap()
    - memcg: always call cond_resched() after fn()
    - mm/page_alloc.c: avoid infinite retries caused by cpuset race
    - module: release codetag section when module load fails
    - taskstats: fix struct taskstats breaks backward compatibility since
      version 15
    - mm: mmap: map MAP_STACK to VM_NOHUGEPAGE only if THP is enabled
    - mm: fix VM_UFFD_MINOR == VM_SHADOW_STACK on USERFAULTFD=y && ARM64_GCS=y
    - mm: vmalloc: actually use the in-place vrealloc region
    - mm: vmalloc: only zero-init on vrealloc shrink
    - octeontx2: hide unused label
    - wifi: mac80211: restore monitor for outgoing frames
    - nilfs2: fix deadlock warnings caused by lock dependency in init_nilfs()
    - Bluetooth: btmtksdio: Check function enabled before doing close
    - Bluetooth: btmtksdio: Do close if SDIO card removed without close
    - Revert "arm64: dts: allwinner: h6: Use RSB for AXP805 PMIC connection"
    - ksmbd: fix stream write failure
    - platform/x86: think-lmi: Fix attribute name usage for non-compliant
      items
    - spi: use container_of_cont() for to_spi_device()
    - spi: spi-fsl-dspi: restrict register range for regmap access
    - spi: spi-fsl-dspi: Halt the module after a new message transfer
    - spi: spi-fsl-dspi: Reset SR flags before sending a new message
    - drm/xe: Use xe_mmio_read32() to read mtcfg register
    - err.h: move IOMEM_ERR_PTR() to err.h
    - drm/i915/dp: Fix determining SST/MST mode during MTP TU state
      computation
    - drm/amdgpu/vcn4.0.5: split code along instances
    - gcc-15: make 'unterminated string initialization' just a warning
    - gcc-15: disable '-Wunterminated-string-initialization' entirely for now
    - Fix mis-uses of 'cc-option' for warning disablement
    - kbuild: Properly disable -Wunterminated-string-initialization for clang
    - Linux 6.14.9
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38050
    - mm/hugetlb: fix kernel NULL pointer dereference when replacing free
      hugetlb folios
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38029
    - kasan: avoid sleepable page allocation from atomic context
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38076
    - alloc_tag: allocate percpu counters for module tags dynamically
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) // Unable to
    put display on standby after resuming from hibernate (LP: #2121449)
    - Revert "drm/amd: Keep display off while going into S4"
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38051
    - smb: client: Fix use-after-free in cifs_fill_dirent
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38077
    - platform/x86: dell-wmi-sysman: Avoid buffer overflow in
      current_password_store()
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38078
    - ALSA: pcm: Fix race of buffer access at PCM OSS layer
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38003
    - can: bcm: add missing rcu read protection for procfs content
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38004
    - can: bcm: add locking for bcm_op runtime updates
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38031
    - padata: do not leak refcount in reorder_work
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38079
    - crypto: algif_hash - fix double free in hash_accept
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38052
    - net/tipc: fix slab-use-after-free Read in tipc_aead_encrypt_done
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38053
    - idpf: fix null-ptr-deref in idpf_features_check
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38032
    - mr: consolidate the ipmr_can_free_table() checks.
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38054
    - ptp: ocp: Limit signal/freq counts in summary output functions
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38055
    - perf/x86/intel: Fix segfault with PEBS-via-PT with sample_freq
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38057
    - espintcp: fix skb leaks
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38058
    - __legitimize_mnt(): check for MNT_SYNC_UMOUNT should be under mount_lock
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38033
    - x86/Kconfig: make CFI_AUTO_DEFAULT depend on !RUST or Rust >= 1.88
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38059
    - btrfs: avoid NULL pointer dereference if no valid csum tree
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38034
    - btrfs: correct the order of prelim_ref arguments in btrfs__prelim_ref
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38035
    - nvmet-tcp: don't restore null sk_state_change
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38036
    - drm/xe/vf: Perform early GT MMIO initialization to read GMDID
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38037
    - vxlan: Annotate FDB data races
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38038
    - cpufreq: amd-pstate: Remove unnecessary driver_lock in set_boost
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38039
    - net/mlx5e: Avoid WARN_ON when configuring MQPRIO with HTB offload
      enabled
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38080
    - drm/amd/display: Increase block_sequence array size
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38060
    - bpf: copy_verifier_state() should copy 'loop_entry' field
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38040
    - serial: mctrl_gpio: split disable_ms into sync and no_sync APIs
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38061
    - net: pktgen: fix access outside of user given buffer in
      pktgen_thread_write()
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38062
    - genirq/msi: Store the IOMMU IOVA directly in msi_desc instead of
      iommu_cookie
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38041
    - clk: sunxi-ng: h616: Reparent GPU clock during frequency changes
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38063
    - dm: fix unconditional IO throttle caused by REQ_PREFLUSH
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38064
    - virtio: break and reset virtio devices on device_shutdown()
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38042
    - dmaengine: ti: k3-udma-glue: Drop skip_fdq argument from
      k3_udma_glue_reset_rx_chn
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38043
    - firmware: arm_ffa: Set dma_mask for ffa devices
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38044
    - media: cx231xx: set device_caps for 417
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38065
    - orangefs: Do not truncate file size
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38066
    - dm cache: prevent BUG_ON by blocking retries on failed device resumes
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38067
    - rseq: Fix segfault on registration when rseq_cs is non-zero
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38068
    - crypto: lzo - Fix compression buffer overrun
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38069
    - PCI: endpoint: pci-epf-test: Fix double free that causes kernel to oops
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38045
    - wifi: iwlwifi: fix debug actions order
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38070
    - ASoC: sma1307: Add NULL check in sma1307_setting_loaded()
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38071
    - x86/mm: Check return value from memblock_phys_alloc_range()
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38072
    - libnvdimm/labels: Fix divide error in nd_label_data_init()
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38081
    - spi-rockchip: Fix register out of bounds access
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38047
    - x86/fred: Fix system hang during S4 resume with FRED enabled
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38073
    - block: fix race between set_blocksize and read paths
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38074
    - vhost-scsi: protect vq->log_used with vq->mutex
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38048
    - virtio_ring: Fix data race by tagging event_triggered as racy for KCSAN
  * Plucky update: v6.14.9 upstream stable release (LP: #2115678) //
    CVE-2025-38075
    - scsi: target: iscsi: Fix timeout on deleted connection
  * CVE-2025-38350
    - net/sched: Always pass notifications when child class becomes empty

 -- Manuel Diewald <manuel.diewald@canonical.com>  Tue, 02 Sep 2025 16:05:28 +0200

linux-raspi (6.14.0-1012.12) plucky; urgency=medium

  * plucky/linux-raspi: 6.14.0-1012.12 -proposed tracker (LP: #2117637)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.raspi/dkms-versions -- update from kernel-versions
      (main/2025.07.14)

  [ Ubuntu: 6.14.0-28.28 ]

  * plucky/linux: 6.14.0-28.28 -proposed tracker (LP: #2117649)
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.07.14)
  * Dell AIO backlight is not working, dell_uart_backlight module is missing
    (LP: #2083800)
    - [Config] enable CONFIG_DELL_UART_BACKLIGHT
  * integrated I219-LM network adapter appears to be running too fast, causing
    synchronization issues when using the I219-LM PTP feature (LP: #2116072)
    - e1000e: set fixed clock frequency indication for Nahum 11 and Nahum 13
  * Audio broken on ThinkPad X13s (LP: #2115898)
    - SAUCE: Revert "UBUNTU: SAUCE: Change: cracking sound fix"
  * Ubuntu 24.04+ arm64: screen resolution fixed to 1024x768 with last kernel
    update (LP: #2115068)
    - [Config] Replace FB_HYPERV with DRM_HYPERV
  * [SRU][HPE 24.04] Patch Request for HPE iLO7 VGA device for Gen12 Servers
    (LP: #2114516)
    - drm/mgag200: Added support for the new device G200eH5
  * A process exiting with an open /dev/snapshot fd causes a NULL pointer
    dereference caught by ubuntu_stress_smoke_test:sut-scan (LP: #2113990)
    - libfs: export find_next_child()
    - efivarfs: support freeze/thaw
  * [SRU] Add support for new hotkey of F9 on Thinkpad X9 (LP: #2115022)
    - platform/x86: thinkpad-acpi: Add support for new hotkey for camera
      shutter switch
  * [SRU] Fix GT0: Engine reset when suspend on Intel LNL (LP: #2114697)
    - drm/xe/sched: stop re-submitting signalled jobs
  * CVE-2025-38056
    - devres: Introduce devm_kmemdup_array()
    - ASoC: SOF: Intel: hda: Fix UAF when reloading module
  * Handle IOMMU IVRS entries with mismatched UID on AMD Strix or newer
    platforms (LP: #2115174)
    - iommu/amd: Allow matching ACPI HID devices without matching UIDs
  * [UBUNTU 22.04] kernel: Fix z17 elf platform recognition (LP: #2114450)
    - s390: Add z17 elf platform
  * [UBUNTU 24.04] Kernel: Add CPUMF extended counter set for z17
    (LP: #2114258)
    - s390/cpumf: Update CPU Measurement facility extended counter set support
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266)
    - arm64: dts: rockchip: Assign RT5616 MCLK rate on rk3588-friendlyelec-
      cm3588
    - fs/xattr.c: fix simple_xattr_list to always include security.* xattrs
    - drivers/platform/x86/amd: pmf: Check for invalid sideloaded Smart PC
      Policies
    - drivers/platform/x86/amd: pmf: Check for invalid Smart PC Policies
    - x86/amd_node, platform/x86/amd/hsmp: Have HSMP use SMN through AMD_NODE
    - platform/x86/amd/hsmp: Make amd_hsmp and hsmp_acpi as mutually exclusive
      drivers
    - arm64: dts: rockchip: fix Sige5 RTC interrupt pin
    - riscv: dts: sophgo: fix DMA data-width configuration for CV18xx
    - binfmt_elf: Move brk for static PIE even if ASLR disabled
    - platform/x86/amd/pmc: Declare quirk_spurious_8042 for MECHREVO Wujie
      14XA (GX4HRXL)
    - platform/x86: asus-wmi: Fix wlan_ctrl_by_user detection
    - arm64: dts: imx8mp-var-som: Fix LDO5 shutdown causing SD card timeout
    - cgroup/cpuset: Extend kthread_is_per_cpu() check to all
      PF_NO_SETAFFINITY tasks
    - tracing: fprobe: Fix RCU warning message in list traversal
    - tracing: probes: Fix a possible race in trace_probe_log APIs
    - tpm: tis: Double the timeout B to 4s
    - iio: adc: ad7606: move the software mode configuration
    - iio: adc: ad7606: move software functions into common file
    - HID: thrustmaster: fix memory leak in thrustmaster_interrupts()
    - spi: loopback-test: Do not split 1024-byte hexdumps
    - Bluetooth: MGMT: Fix MGMT_OP_ADD_DEVICE invalid device flags
    - drm/meson: Use 1000ULL when operating with mode->clock
    - tools/net/ynl: ethtool: fix crash when Hardware Clock info is missing
    - tests/ncdevmem: Fix double-free of queue array
    - net: mctp: Ensure keys maintain only one ref to corresponding dev
    - ALSA: seq: Fix delivery of UMP events to group ports
    - ALSA: ump: Fix a typo of snd_ump_stream_msg_device_info
    - net: cadence: macb: Fix a possible deadlock in macb_halt_tx.
    - net: dsa: sja1105: discard incoming frames in BR_STATE_LISTENING
    - nvme-pci: make nvme_pci_npages_prp() __always_inline
    - nvme-pci: acquire cq_poll_lock in nvme_poll_irqdisable
    - ALSA: sh: SND_AICA should depend on SH_DMA_API
    - net: dsa: b53: prevent standalone from trying to forward to other ports
    - vsock/test: Fix occasional failure in SIOCOUTQ tests
    - qlcnic: fix memory leak in qlcnic_sriov_channel_cfg_cmd()
    - octeontx2-pf: Fix ethtool support for SDP representors
    - drm/xe: Save CTX_TIMESTAMP mmio value instead of LRC value
    - netlink: specs: tc: fix a couple of attribute names
    - netlink: specs: tc: all actions are indexed arrays
    - octeontx2-pf: macsec: Fix incorrect max transmit size in TX secy
    - net: ethernet: mtk_eth_soc: fix typo for declaration MT7988 ESW
      capability
    - octeontx2-af: Fix CGX Receive counters
    - octeontx2-pf: Do not reallocate all ntuple filters
    - tsnep: fix timestamping with a stacked DSA driver
    - ublk: fix dead loop when canceling io command
    - NFSv4/pnfs: Reset the layout state after a layoutreturn
    - dmaengine: Revert "dmaengine: dmatest: Fix dmatest waiting less when
      interrupted"
    - Revert "kbuild, rust: use -fremap-path-prefix to make paths relative"
    - udf: Make sure i_lenExtents is uptodate on inode eviction
    - HID: amd_sfh: Fix SRA sensor when it's the only sensor
    - LoongArch: Prevent cond_resched() occurring within kernel-fpu
    - LoongArch: Move __arch_cpu_idle() to .cpuidle.text section
    - LoongArch: Save and restore CSR.CNTC for hibernation
    - LoongArch: Fix MAX_REG_OFFSET calculation
    - LoongArch: uprobes: Remove user_{en,dis}able_single_step()
    - LoongArch: uprobes: Remove redundant code about resume_era
    - btrfs: fix discard worker infinite loop after disabling discard
    - btrfs: fix folio leak in submit_one_async_extent()
    - btrfs: add back warning for mount option commit values exceeding 300
    - Revert "drm/amd/display: Hardware cursor changes color when switched to
      software cursor"
    - drm/tiny: panel-mipi-dbi: Use drm_client_setup_with_fourcc()
    - drm/amdgpu: fix incorrect MALL size for GFX1151
    - drm/amd/display: Correct the reply value when AUX write incomplete
    - drm/amd/display: Avoid flooding unnecessary info messages
    - MAINTAINERS: Update Alexey Makhalov's email address
    - gpio: pca953x: fix IRQ storm on system wake up
    - ACPI: PPTT: Fix processor subtable walk
    - ALSA: es1968: Add error handling for snd_pcm_hw_constraint_pow2()
    - ALSA: usb-audio: Add sample rate quirk for Audioengine D1
    - ALSA: usb-audio: Add sample rate quirk for Microdia JP001 USB Camera
    - dma-buf: insert memory barrier before updating num_fences
    - arm64: dts: amlogic: dreambox: fix missing clkc_audio node
    - arm64: dts: rockchip: Allow Turing RK1 cooling fan to spin down
    - arm64: dts: rockchip: Remove overdrive-mode OPPs from RK3588J SoC dtsi
    - hv_netvsc: Use vmbus_sendpacket_mpb_desc() to send VMBus messages
    - hv_netvsc: Preserve contiguous PFN grouping in the page buffer array
    - hv_netvsc: Remove rmsg_pgcnt
    - Drivers: hv: Allow vmbus_sendpacket_mpb_desc() to create multiple ranges
    - Drivers: hv: vmbus: Remove vmbus_sendpacket_pagebuffer()
    - kbuild: Disable -Wdefault-const-init-unsafe
    - i2c: designware: Fix an error handling path in i2c_dw_pci_probe()
    - ftrace: Fix preemption accounting for stacktrace trigger command
    - ftrace: Fix preemption accounting for stacktrace filter command
    - x86/sev: Do not touch VMSA pages during SNP guest memory kdump
    - x86/sev: Make sure pages are not skipped during kdump
    - tracing: samples: Initialize trace_array_printk() with the correct
      function
    - phy: Fix error handling in tegra_xusb_port_init
    - net: dsa: microchip: let phylink manage PHY EEE configuration on KSZ
      switches
    - net: phy: micrel: remove KSZ9477 EEE quirks now handled by phylink
    - phy: renesas: rcar-gen3-usb2: Fix role detection on unbind/bind
    - phy: renesas: rcar-gen3-usb2: Set timing registers only once
    - scsi: sd_zbc: block: Respect bio vector limits for REPORT ZONES buffer
    - smb: client: fix memory leak during error handling for POSIX mkdir
    - spi: tegra114: Use value to check for invalid delays
    - tpm: Mask TPM RC in tpm2_start_auth_session()
    - wifi: mt76: mt7925: fix missing hdr_trans_tlv command for broadcast wtbl
    - ring-buffer: Fix persistent buffer when commit page is the reader page
    - net: qede: Initialize qede_ll_ops with designated initializer
    - io_uring/memmap: don't use page_address() on a highmem page
    - io_uring/uring_cmd: fix hybrid polling initialization issue
    - mm: hugetlb: fix incorrect fallback for subpool
    - mm: userfaultfd: correct dirty flags set for both present and swap pte
    - dmaengine: ti: k3-udma: Use cap_mask directly from dma_device structure
      instead of a local copy
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_wqs
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_engines
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_groups
    - dmaengine: idxd: Add missing cleanup for early error out in
      idxd_setup_internals
    - dmaengine: idxd: Add missing cleanups in cleanup internals
    - dmaengine: idxd: Add missing idxd cleanup to fix memory leak in remove
      call
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_pci_probe
    - accel/ivpu: Use workqueue for IRQ handling
    - accel/ivpu: Dump only first MMU fault from single context
    - accel/ivpu: Move parts of MMU event IRQ handling to thread handler
    - accel/ivpu: Fix missing MMU events from reserved SSID
    - accel/ivpu: Fix missing MMU events if file_priv is unbound
    - accel/ivpu: Flush pending jobs of device's workqueues
    - drm/xe/gsc: do not flush the GSC worker from the reset path
    - perf tools: Fix build error for LoongArch
    - phy: tegra: xusb: remove a stray unlock
    - Linux 6.14.8
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38008
    - mm/page_alloc: fix race condition in unaccepted memory handling
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38014
    - dmaengine: idxd: Refactor remove call with idxd_cleanup() helper
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38015
    - dmaengine: idxd: fix memory leak in error handling path of idxd_alloc
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38005
    - dmaengine: ti: k3-udma: Add missing locking
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38009
    - wifi: mt76: disable napi on driver removal
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38010
    - phy: tegra: xusb: Use a bitmask for UTMI pad power state tracking
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38011
    - drm/amdgpu: csa unmap use uninterruptible lock
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38016
    - HID: bpf: abort dispatch if device destroyed
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38012
    - sched_ext: bpf_iter_scx_dsq_new() should always initialize iterator
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38018
    - net/tls: fix kernel panic when alloc_page failed
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38019
    - mlxsw: spectrum_router: Fix use-after-free when deleting GRE net devices
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38013
    - wifi: mac80211: Set n_channels after allocating struct
      cfg80211_scan_request
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38002
    - io_uring/fdinfo: grab ctx->uring_lock around io_uring_show_fdinfo()
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38027
    - regulator: max20086: fix invalid memory access
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38020
    - net/mlx5e: Disable MACsec offload for uplink representor profile
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38021
    - drm/amd/display: Fix null check of pipe_ctx->plane_state for
      update_dchubp_dpp
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38006
    - net: mctp: Don't access ifa_index when missing
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-37992
    - net_sched: Flush gso_skb list too during ->change()
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38022
    - RDMA/core: Fix "KASAN: slab-use-after-free Read in ib_register_device"
      problem
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38028
    - NFS/localio: Fix a race in nfs_local_open_fh()
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38023
    - nfs: handle failure of nfs_get_lock_context in unlock path
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38007
    - HID: uclogic: Add NULL check in uclogic_input_configured()
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38024
    - RDMA/rxe: Fix slab-use-after-free Read in rxe_queue_cleanup bug
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38025
    - iio: adc: ad7606: check for NULL before calling sw_mode_config()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252)
    - dm: add missing unlock on in dm_keyslot_evict()
    - Revert "btrfs: canonicalize the device path before adding it"
    - arm64: dts: imx8mm-verdin: Link reg_usdhc2_vqmmc to usdhc2
    - firmware: arm_scmi: Fix timeout checks on polling path
    - can: mcan: m_can_class_unregister(): fix order of unregistration calls
    - vfio/pci: Align huge faults to order
    - can: mcp251xfd: mcp251xfd_remove(): fix order of unregistration calls
    - can: rockchip_canfd: rkcanfd_remove(): fix order of unregistration calls
    - s390/entry: Fix last breaking event handling in case of stack corruption
    - SAUCE: Revert "sch_htb: make htb_deactivate() idempotent"
    - sch_htb: make htb_deactivate() idempotent
    - virtio-net: don't re-enable refill work too early when NAPI is disabled
    - gre: Fix again IPv6 link-local address generation.
    - net: ethernet: mtk_eth_soc: reset all TX queues on DMA free
    - net: ethernet: mtk_eth_soc: do not reset PSE when setting FE
    - can: mcp251xfd: fix TDC setting for low data bit rates
    - can: gw: fix RCU/BH usage in cgw_create_job()
    - wifi: mac80211: fix the type of status_code for negotiated TID to Link
      Mapping
    - ice: use DSN instead of PCI BDF for ice_adapter index
    - erofs: ensure the extra temporary copy is valid for shortened bvecs
    - net: dsa: b53: allow leaky reserved multicast
    - net: dsa: b53: keep CPU port always tagged again
    - net: dsa: b53: fix clearing PVID of a port
    - net: dsa: b53: fix flushing old pvid VLAN on pvid change
    - net: dsa: b53: fix VLAN ID for untagged vlan on bridge leave
    - net: dsa: b53: always rejoin default untagged VLAN on bridge leave
    - net: dsa: b53: do not allow to configure VLAN 0
    - net: dsa: b53: do not program vlans when vlan filtering is off
    - net: dsa: b53: fix toggling vlan_filtering
    - net: dsa: b53: fix learning on VLAN unaware bridges
    - net: dsa: b53: do not set learning and unicast/multicast on up
    - fbnic: Fix initialization of mailbox descriptor rings
    - fbnic: Gate AXI read/write enabling on FW mailbox
    - fbnic: Actually flush_tx instead of stalling out
    - fbnic: Cleanup handling of completions
    - fbnic: Improve responsiveness of fbnic_mbx_poll_tx_ready
    - fbnic: Pull fbnic_fw_xmit_cap_msg use out of interrupt context
    - fbnic: Do not allow mailbox to toggle to ready outside
      fbnic_mbx_poll_tx_ready
    - net: export a helper for adding up queue stats
    - virtio-net: fix total qstat values
    - Input: cyttsp5 - ensure minimum reset pulse width
    - Input: cyttsp5 - fix power control issue on wakeup
    - Input: xpad - fix Share button on Xbox One controllers
    - Input: xpad - add support for 8BitDo Ultimate 2 Wireless Controller
    - Input: xpad - fix two controller table values
    - Input: synaptics - enable InterTouch on Dynabook Portege X30-D
    - Input: synaptics - enable InterTouch on Dynabook Portege X30L-G
    - Input: synaptics - enable InterTouch on Dell Precision M3800
    - Input: synaptics - enable SMBus for HP Elitebook 850 G1
    - Input: synaptics - enable InterTouch on TUXEDO InfinityBook Pro 14 v5
    - rust: clean Rust 1.88.0's `unnecessary_transmutes` lint
    - objtool/rust: add one more `noreturn` Rust function for Rust 1.87.0
    - rust: clean Rust 1.88.0's warning about `clippy::disallowed_macros`
      configuration
    - uio_hv_generic: Fix sysfs creation path for ring buffer
    - staging: iio: adc: ad7816: Correct conditional logic for store mode
    - staging: axis-fifo: Remove hardware resets for user errors
    - staging: axis-fifo: Correct handling of tx_fifo_depth for size
      validation
    - mm: fix folio_pte_batch() on XEN PV
    - mm: vmalloc: support more granular vrealloc() sizing
    - mm/userfaultfd: fix uninitialized output field for -EAGAIN race
    - selftests/mm: compaction_test: support platform with huge mount of
      memory
    - selftests/mm: fix a build failure on powerpc
    - selftests/mm: fix build break when compiling pkey_util.c
    - KVM: x86/mmu: Prevent installing hugepages when mem attributes are
      changing
    - drm/amd/display: Shift DMUB AUX reply command if necessary
    - io_uring: ensure deferred completions are flushed for multishot
    - iio: adc: ad7768-1: Fix insufficient alignment of timestamp.
    - iio: adc: ad7266: Fix potential timestamp alignment issue.
    - iio: adc: ad7606: fix serial register access
    - iio: adc: rockchip: Fix clock initialization sequence
    - iio: adis16201: Correct inclinometer channel resolution
    - iio: chemical: sps30: use aligned_s64 for timestamp
    - iio: chemical: pms7003: use aligned_s64 for timestamp
    - iio: hid-sensor-prox: Restore lost scale assignments
    - iio: hid-sensor-prox: support multi-channel SCALE calculation
    - iio: hid-sensor-prox: Fix incorrect OFFSET calculation
    - iio: imu: inv_mpu6050: align buffer for timestamp
    - iio: pressure: mprls0025pa: use aligned_s64 for timestamp
    - Revert "drm/amd: Stop evicting resources on APUs in suspend"
    - drm/xe: Add page queue multiplier
    - drm/amdgpu: fix pm notifier handling
    - drm/amdgpu/vcn: using separate VCN1_AON_SOC offset
    - drm/amd/display: Fix the checking condition in dmub aux handling
    - drm/amd/display: Remove incorrect checking in dmub aux handler
    - drm/amd/display: Fix wrong handling for AUX_DEFER case
    - drm/amd/display: Copy AUX read reply data whenever length > 0
    - xhci: dbc: Avoid event polling busyloop if pending rx transfers are
      inactive.
    - usb: uhci-platform: Make the clock really optional
    - xen: swiotlb: Use swiotlb bouncing if kmalloc allocation demands it
    - accel/ivpu: Increase state dump msg timeout
    - arm64: cpufeature: Move arm64_use_ng_mappings to the .data section to
      prevent wrong idmap generation
    - clocksource/i8253: Use raw_spinlock_irqsave() in
      clockevent_i8253_disable()
    - x86/microcode: Consolidate the loader enablement checking
    - ocfs2: fix the issue with discontiguous allocation in the global_bitmap
    - ocfs2: switch osb->disable_recovery to enum
    - ocfs2: implement handshaking with ocfs2 recovery thread
    - ocfs2: stop quota recovery before disabling quotas
    - usb: dwc3: gadget: Make gadget_wakeup asynchronous
    - usb: cdnsp: Fix issue with resuming from L1
    - usb: cdnsp: fix L1 resume issue for RTL_REVISION_NEW_LPM version
    - usb: gadget: f_ecm: Add get_status callback
    - usb: gadget: tegra-xudc: ACK ST_RC after clearing CTRL_RUN
    - usb: gadget: Use get_status callback to set remote wakeup capability
    - usb: host: tegra: Prevent host controller crash when OTG port is used
    - usb: misc: onboard_usb_dev: fix support for Cypress HX3 hubs
    - usb: typec: tcpm: delay SNK_TRY_WAIT_DEBOUNCE to SRC_TRYWAIT transition
    - USB: usbtmc: use interruptible sleep in usbtmc_read
    - usb: usbtmc: Fix erroneous get_stb ioctl error returns
    - usb: usbtmc: Fix erroneous wait_srq ioctl return
    - usb: usbtmc: Fix erroneous generic_read ioctl return
    - iio: imu: bmi270: fix initial sampling frequency configuration
    - iio: accel: adxl367: fix setting odr for activity time update
    - iio: temp: maxim-thermocouple: Fix potential lack of DMA safe buffer.
    - iio: accel: adxl355: Make timestamp 64-bit aligned using aligned_s64
    - iio: adc: dln2: Use aligned_s64 for timestamp
    - timekeeping: Prevent coarse clocks going backwards
    - accel/ivpu: Separate DB ID and CMDQ ID allocations from CMDQ allocation
    - accel/ivpu: Correct mutex unlock order in job submission
    - MIPS: Fix MAX_REG_OFFSET
    - riscv: misaligned: Add handling for ZCB instructions
    - loop: factor out a loop_assign_backing_file helper
    - loop: Add sanity check for read/write_iter
    - drm/panel: simple: Update timings for AUO G101EVN010
    - nvme: unblock ctrl state transition for firmware update
    - riscv: misaligned: factorize trap handling
    - riscv: misaligned: enable IRQs while handling misaligned accesses
    - riscv: Disallow PR_GET_TAGGED_ADDR_CTRL without Supm
    - drm/xe/tests/mocs: Hold XE_FORCEWAKE_ALL for LNCF regs
    - drm/xe: Release force wake first then runtime power
    - io_uring/sqpoll: Increase task_work submission batch size
    - do_umount(): add missing barrier before refcount checks in sync case
    - rust: allow Rust 1.87.0's `clippy::ptr_eq` lint
    - rust: clean Rust 1.88.0's `clippy::uninlined_format_args` lint
    - io_uring: always arm linked timeouts prior to issue
    - Bluetooth: btmtk: Remove the resetting step before downloading the fw
    - mm: page_alloc: don't steal single pages from biggest buddy
    - mm: page_alloc: speed up fallbacks in rmqueue_bulk()
    - arm64: insn: Add support for encoding DSB
    - arm64: proton-pack: Expose whether the platform is mitigated by firmware
    - arm64: proton-pack: Expose whether the branchy loop k value
    - arm64: proton-pack: Add new CPUs 'k' values for branch mitigation
    - x86/bpf: Call branch history clearing sequence on exit
    - x86/bpf: Add IBHF call at end of classic BPF
    - x86/bhi: Do not set BHI_DIS_S in 32-bit mode
    - Documentation: x86/bugs/its: Add ITS documentation
    - x86/its: Enumerate Indirect Target Selection (ITS) bug
    - x86/its: Add support for ITS-safe indirect thunk
    - x86/its: Add support for ITS-safe return thunk
    - x86/its: Enable Indirect Target Selection mitigation
    - [Config] enable MITIGATION_ITS
    - x86/its: Add "vmexit" option to skip mitigation on some CPUs
    - x86/its: Add support for RSB stuffing mitigation
    - x86/its: Align RETs in BHB clear sequence to avoid thunking
    - x86/ibt: Keep IBT disabled during alternative patching
    - x86/its: Use dynamic thunks for indirect branches
    - selftest/x86/bugs: Add selftests for ITS
    - x86/its: Fix build errors when CONFIG_MODULES=n
    - x86/its: FineIBT-paranoid vs ITS
    - Linux 6.14.7
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37963
    - arm64: bpf: Only mitigate cBPF programs loaded by unprivileged users
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37948
    - arm64: bpf: Add BHB mitigation to the epilogue for cBPF programs
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37994
    - usb: typec: ucsi: displayport: Fix NULL pointer access
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37967
    - usb: typec: ucsi: displayport: Fix deadlock
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37950
    - ocfs2: fix panic in failed foilio allocation
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37995
    - module: ensure that kobject_put() is safe for module type kobjects
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37960
    - memblock: Accept allocated memory before use in memblock_double_array()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37996
    - KVM: arm64: Fix uninitialized memcache pointer in user_mem_abort()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37949
    - xenbus: Use kref to track req lifetime
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37954
    - smb: client: Avoid race in open_cached_dir with lease breaks
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37965
    - drm/amd/display: Fix invalid context error in dml helper
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37951
    - drm/v3d: Add job to pending list if the reset was skipped
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37968
    - iio: light: opt3001: fix deadlock due to concurrent flag access
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37969
    - iio: imu: st_lsm6dsx: fix possible lockup in st_lsm6dsx_read_tagged_fifo
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37970
    - iio: imu: st_lsm6dsx: fix possible lockup in st_lsm6dsx_read_fifo
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37966
    - riscv: Fix kernel crash due to PR_SET_TAGGED_ADDR_CTRL
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37957
    - KVM: SVM: Forcibly leave SMM mode on SHUTDOWN interception
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37958
    - mm/huge_memory: fix dereferencing invalid pmd migration entry
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37964
    - x86/mm: Eliminate window where TLB flushes may be inadvertently skipped
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37971
    - staging: bcm2835-camera: Initialise dev in v4l2_dev
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37972
    - Input: mtk-pmic-keys - fix possible null pointer dereference
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37959
    - bpf: Scrub packet on bpf_redirect_peer
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37961
    - ipvs: fix uninit-value for saddr in do_output_route4
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37993
    - can: m_can: m_can_class_allocate_dev(): initialize spin lock on device
      probe
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37955
    - virtio-net: free xsk_buffs on error in virtnet_xsk_pool_enable()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37962
    - ksmbd: fix memory leak in parse_lease_state()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37998
    - openvswitch: Fix unsafe attribute parsing in output_userspace()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37952
    - ksmbd: Fix UAF in __close_file_table_ids
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37947
    - ksmbd: prevent out-of-bounds stream writes by validating *pos
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37956
    - ksmbd: prevent rename with empty string
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37973
    - wifi: cfg80211: fix out-of-bounds access during multi-link element
      defragmentation
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37999
    - fs/erofs/fileio: call erofs_onlinefolio_split() after bio_add_folio()
  * Creating a VXLAN interface with a Fan mapping causes a NULL pointer
    dereference caught by ubuntu_fan_smoke_test:sut-scan (LP: #2113992)
    - SAUCE: fan: vxlan: parse fan-map from IFLA_VXLAN_FAN_MAP attribute ID
  * [Regression Updates] "PCI: Explicitly put devices into D0 when
    initializing" breaks pci-pass-through in QEMU/KVM (LP: #2117494)
    - PCI/PM: Set up runtime PM even for devices without PCI PM
  * [UBUNTU 25.04] lszcrypt output shows no cards because ap module has to be
    loaded manually (LP: #2116061)
    - [Config] s390: Build ap driver into the kernel
  * CVE-2025-38083
    - net_sched: prio: fix a race in prio_tune()

 -- Manuel Diewald <manuel.diewald@canonical.com>  Fri, 25 Jul 2025 09:45:16 +0200

linux-raspi (6.14.0-1011.11) plucky; urgency=medium

  * plucky/linux-raspi: 6.14.0-1011.11 -proposed tracker (LP: #2116592)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.raspi/dkms-versions -- update from kernel-versions
      (main/2025.07.14)

  [ Ubuntu: 6.14.0-26.26 ]

  * plucky/linux: 6.14.0-26.26 -proposed tracker (LP: #2116604)
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.07.14)
  * Dell AIO backlight is not working, dell_uart_backlight module is missing
    (LP: #2083800)
    - [Config] enable CONFIG_DELL_UART_BACKLIGHT
  * integrated I219-LM network adapter appears to be running too fast, causing
    synchronization issues when using the I219-LM PTP feature (LP: #2116072)
    - e1000e: set fixed clock frequency indication for Nahum 11 and Nahum 13
  * Audio broken on ThinkPad X13s (LP: #2115898)
    - SAUCE: Revert "UBUNTU: SAUCE: Change: cracking sound fix"
  * Ubuntu 24.04+ arm64: screen resolution fixed to 1024x768 with last kernel
    update (LP: #2115068)
    - [Config] Replace FB_HYPERV with DRM_HYPERV
  * [SRU][HPE 24.04] Patch Request for HPE iLO7 VGA device for Gen12 Servers
    (LP: #2114516)
    - drm/mgag200: Added support for the new device G200eH5
  * A process exiting with an open /dev/snapshot fd causes a NULL pointer
    dereference caught by ubuntu_stress_smoke_test:sut-scan (LP: #2113990)
    - libfs: export find_next_child()
    - efivarfs: support freeze/thaw
  * [SRU] Add support for new hotkey of F9 on Thinkpad X9 (LP: #2115022)
    - platform/x86: thinkpad-acpi: Add support for new hotkey for camera
      shutter switch
  * [SRU] Fix GT0: Engine reset when suspend on Intel LNL (LP: #2114697)
    - drm/xe/sched: stop re-submitting signalled jobs
  * CVE-2025-38056
    - devres: Introduce devm_kmemdup_array()
    - ASoC: SOF: Intel: hda: Fix UAF when reloading module
  * Handle IOMMU IVRS entries with mismatched UID on AMD Strix or newer
    platforms (LP: #2115174)
    - iommu/amd: Allow matching ACPI HID devices without matching UIDs
  * [UBUNTU 22.04] kernel: Fix z17 elf platform recognition (LP: #2114450)
    - s390: Add z17 elf platform
  * [UBUNTU 24.04] Kernel: Add CPUMF extended counter set for z17
    (LP: #2114258)
    - s390/cpumf: Update CPU Measurement facility extended counter set support
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266)
    - arm64: dts: rockchip: Assign RT5616 MCLK rate on rk3588-friendlyelec-
      cm3588
    - fs/xattr.c: fix simple_xattr_list to always include security.* xattrs
    - drivers/platform/x86/amd: pmf: Check for invalid sideloaded Smart PC
      Policies
    - drivers/platform/x86/amd: pmf: Check for invalid Smart PC Policies
    - x86/amd_node, platform/x86/amd/hsmp: Have HSMP use SMN through AMD_NODE
    - platform/x86/amd/hsmp: Make amd_hsmp and hsmp_acpi as mutually exclusive
      drivers
    - arm64: dts: rockchip: fix Sige5 RTC interrupt pin
    - riscv: dts: sophgo: fix DMA data-width configuration for CV18xx
    - binfmt_elf: Move brk for static PIE even if ASLR disabled
    - platform/x86/amd/pmc: Declare quirk_spurious_8042 for MECHREVO Wujie
      14XA (GX4HRXL)
    - platform/x86: asus-wmi: Fix wlan_ctrl_by_user detection
    - arm64: dts: imx8mp-var-som: Fix LDO5 shutdown causing SD card timeout
    - cgroup/cpuset: Extend kthread_is_per_cpu() check to all
      PF_NO_SETAFFINITY tasks
    - tracing: fprobe: Fix RCU warning message in list traversal
    - tracing: probes: Fix a possible race in trace_probe_log APIs
    - tpm: tis: Double the timeout B to 4s
    - iio: adc: ad7606: move the software mode configuration
    - iio: adc: ad7606: move software functions into common file
    - HID: thrustmaster: fix memory leak in thrustmaster_interrupts()
    - spi: loopback-test: Do not split 1024-byte hexdumps
    - Bluetooth: MGMT: Fix MGMT_OP_ADD_DEVICE invalid device flags
    - drm/meson: Use 1000ULL when operating with mode->clock
    - tools/net/ynl: ethtool: fix crash when Hardware Clock info is missing
    - tests/ncdevmem: Fix double-free of queue array
    - net: mctp: Ensure keys maintain only one ref to corresponding dev
    - ALSA: seq: Fix delivery of UMP events to group ports
    - ALSA: ump: Fix a typo of snd_ump_stream_msg_device_info
    - net: cadence: macb: Fix a possible deadlock in macb_halt_tx.
    - net: dsa: sja1105: discard incoming frames in BR_STATE_LISTENING
    - nvme-pci: make nvme_pci_npages_prp() __always_inline
    - nvme-pci: acquire cq_poll_lock in nvme_poll_irqdisable
    - ALSA: sh: SND_AICA should depend on SH_DMA_API
    - net: dsa: b53: prevent standalone from trying to forward to other ports
    - vsock/test: Fix occasional failure in SIOCOUTQ tests
    - qlcnic: fix memory leak in qlcnic_sriov_channel_cfg_cmd()
    - octeontx2-pf: Fix ethtool support for SDP representors
    - drm/xe: Save CTX_TIMESTAMP mmio value instead of LRC value
    - netlink: specs: tc: fix a couple of attribute names
    - netlink: specs: tc: all actions are indexed arrays
    - octeontx2-pf: macsec: Fix incorrect max transmit size in TX secy
    - net: ethernet: mtk_eth_soc: fix typo for declaration MT7988 ESW
      capability
    - octeontx2-af: Fix CGX Receive counters
    - octeontx2-pf: Do not reallocate all ntuple filters
    - tsnep: fix timestamping with a stacked DSA driver
    - ublk: fix dead loop when canceling io command
    - NFSv4/pnfs: Reset the layout state after a layoutreturn
    - dmaengine: Revert "dmaengine: dmatest: Fix dmatest waiting less when
      interrupted"
    - Revert "kbuild, rust: use -fremap-path-prefix to make paths relative"
    - udf: Make sure i_lenExtents is uptodate on inode eviction
    - HID: amd_sfh: Fix SRA sensor when it's the only sensor
    - LoongArch: Prevent cond_resched() occurring within kernel-fpu
    - LoongArch: Move __arch_cpu_idle() to .cpuidle.text section
    - LoongArch: Save and restore CSR.CNTC for hibernation
    - LoongArch: Fix MAX_REG_OFFSET calculation
    - LoongArch: uprobes: Remove user_{en,dis}able_single_step()
    - LoongArch: uprobes: Remove redundant code about resume_era
    - btrfs: fix discard worker infinite loop after disabling discard
    - btrfs: fix folio leak in submit_one_async_extent()
    - btrfs: add back warning for mount option commit values exceeding 300
    - Revert "drm/amd/display: Hardware cursor changes color when switched to
      software cursor"
    - drm/tiny: panel-mipi-dbi: Use drm_client_setup_with_fourcc()
    - drm/amdgpu: fix incorrect MALL size for GFX1151
    - drm/amd/display: Correct the reply value when AUX write incomplete
    - drm/amd/display: Avoid flooding unnecessary info messages
    - MAINTAINERS: Update Alexey Makhalov's email address
    - gpio: pca953x: fix IRQ storm on system wake up
    - ACPI: PPTT: Fix processor subtable walk
    - ALSA: es1968: Add error handling for snd_pcm_hw_constraint_pow2()
    - ALSA: usb-audio: Add sample rate quirk for Audioengine D1
    - ALSA: usb-audio: Add sample rate quirk for Microdia JP001 USB Camera
    - dma-buf: insert memory barrier before updating num_fences
    - arm64: dts: amlogic: dreambox: fix missing clkc_audio node
    - arm64: dts: rockchip: Allow Turing RK1 cooling fan to spin down
    - arm64: dts: rockchip: Remove overdrive-mode OPPs from RK3588J SoC dtsi
    - hv_netvsc: Use vmbus_sendpacket_mpb_desc() to send VMBus messages
    - hv_netvsc: Preserve contiguous PFN grouping in the page buffer array
    - hv_netvsc: Remove rmsg_pgcnt
    - Drivers: hv: Allow vmbus_sendpacket_mpb_desc() to create multiple ranges
    - Drivers: hv: vmbus: Remove vmbus_sendpacket_pagebuffer()
    - kbuild: Disable -Wdefault-const-init-unsafe
    - i2c: designware: Fix an error handling path in i2c_dw_pci_probe()
    - ftrace: Fix preemption accounting for stacktrace trigger command
    - ftrace: Fix preemption accounting for stacktrace filter command
    - x86/sev: Do not touch VMSA pages during SNP guest memory kdump
    - x86/sev: Make sure pages are not skipped during kdump
    - tracing: samples: Initialize trace_array_printk() with the correct
      function
    - phy: Fix error handling in tegra_xusb_port_init
    - net: dsa: microchip: let phylink manage PHY EEE configuration on KSZ
      switches
    - net: phy: micrel: remove KSZ9477 EEE quirks now handled by phylink
    - phy: renesas: rcar-gen3-usb2: Fix role detection on unbind/bind
    - phy: renesas: rcar-gen3-usb2: Set timing registers only once
    - scsi: sd_zbc: block: Respect bio vector limits for REPORT ZONES buffer
    - smb: client: fix memory leak during error handling for POSIX mkdir
    - spi: tegra114: Use value to check for invalid delays
    - tpm: Mask TPM RC in tpm2_start_auth_session()
    - wifi: mt76: mt7925: fix missing hdr_trans_tlv command for broadcast wtbl
    - ring-buffer: Fix persistent buffer when commit page is the reader page
    - net: qede: Initialize qede_ll_ops with designated initializer
    - io_uring/memmap: don't use page_address() on a highmem page
    - io_uring/uring_cmd: fix hybrid polling initialization issue
    - mm: hugetlb: fix incorrect fallback for subpool
    - mm: userfaultfd: correct dirty flags set for both present and swap pte
    - dmaengine: ti: k3-udma: Use cap_mask directly from dma_device structure
      instead of a local copy
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_wqs
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_engines
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_groups
    - dmaengine: idxd: Add missing cleanup for early error out in
      idxd_setup_internals
    - dmaengine: idxd: Add missing cleanups in cleanup internals
    - dmaengine: idxd: Add missing idxd cleanup to fix memory leak in remove
      call
    - dmaengine: idxd: fix memory leak in error handling path of
      idxd_pci_probe
    - accel/ivpu: Use workqueue for IRQ handling
    - accel/ivpu: Dump only first MMU fault from single context
    - accel/ivpu: Move parts of MMU event IRQ handling to thread handler
    - accel/ivpu: Fix missing MMU events from reserved SSID
    - accel/ivpu: Fix missing MMU events if file_priv is unbound
    - accel/ivpu: Flush pending jobs of device's workqueues
    - drm/xe/gsc: do not flush the GSC worker from the reset path
    - perf tools: Fix build error for LoongArch
    - phy: tegra: xusb: remove a stray unlock
    - Linux 6.14.8
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38008
    - mm/page_alloc: fix race condition in unaccepted memory handling
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38014
    - dmaengine: idxd: Refactor remove call with idxd_cleanup() helper
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38015
    - dmaengine: idxd: fix memory leak in error handling path of idxd_alloc
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38005
    - dmaengine: ti: k3-udma: Add missing locking
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38009
    - wifi: mt76: disable napi on driver removal
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38010
    - phy: tegra: xusb: Use a bitmask for UTMI pad power state tracking
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38011
    - drm/amdgpu: csa unmap use uninterruptible lock
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38016
    - HID: bpf: abort dispatch if device destroyed
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38012
    - sched_ext: bpf_iter_scx_dsq_new() should always initialize iterator
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38018
    - net/tls: fix kernel panic when alloc_page failed
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38019
    - mlxsw: spectrum_router: Fix use-after-free when deleting GRE net devices
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38013
    - wifi: mac80211: Set n_channels after allocating struct
      cfg80211_scan_request
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38002
    - io_uring/fdinfo: grab ctx->uring_lock around io_uring_show_fdinfo()
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38027
    - regulator: max20086: fix invalid memory access
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38020
    - net/mlx5e: Disable MACsec offload for uplink representor profile
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38021
    - drm/amd/display: Fix null check of pipe_ctx->plane_state for
      update_dchubp_dpp
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38006
    - net: mctp: Don't access ifa_index when missing
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-37992
    - net_sched: Flush gso_skb list too during ->change()
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38022
    - RDMA/core: Fix "KASAN: slab-use-after-free Read in ib_register_device"
      problem
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38028
    - NFS/localio: Fix a race in nfs_local_open_fh()
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38023
    - nfs: handle failure of nfs_get_lock_context in unlock path
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38007
    - HID: uclogic: Add NULL check in uclogic_input_configured()
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38024
    - RDMA/rxe: Fix slab-use-after-free Read in rxe_queue_cleanup bug
  * Plucky update: v6.14.8 upstream stable release (LP: #2115266) //
    CVE-2025-38025
    - iio: adc: ad7606: check for NULL before calling sw_mode_config()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252)
    - dm: add missing unlock on in dm_keyslot_evict()
    - Revert "btrfs: canonicalize the device path before adding it"
    - arm64: dts: imx8mm-verdin: Link reg_usdhc2_vqmmc to usdhc2
    - firmware: arm_scmi: Fix timeout checks on polling path
    - can: mcan: m_can_class_unregister(): fix order of unregistration calls
    - vfio/pci: Align huge faults to order
    - can: mcp251xfd: mcp251xfd_remove(): fix order of unregistration calls
    - can: rockchip_canfd: rkcanfd_remove(): fix order of unregistration calls
    - s390/entry: Fix last breaking event handling in case of stack corruption
    - SAUCE: Revert "sch_htb: make htb_deactivate() idempotent"
    - sch_htb: make htb_deactivate() idempotent
    - virtio-net: don't re-enable refill work too early when NAPI is disabled
    - gre: Fix again IPv6 link-local address generation.
    - net: ethernet: mtk_eth_soc: reset all TX queues on DMA free
    - net: ethernet: mtk_eth_soc: do not reset PSE when setting FE
    - can: mcp251xfd: fix TDC setting for low data bit rates
    - can: gw: fix RCU/BH usage in cgw_create_job()
    - wifi: mac80211: fix the type of status_code for negotiated TID to Link
      Mapping
    - ice: use DSN instead of PCI BDF for ice_adapter index
    - erofs: ensure the extra temporary copy is valid for shortened bvecs
    - net: dsa: b53: allow leaky reserved multicast
    - net: dsa: b53: keep CPU port always tagged again
    - net: dsa: b53: fix clearing PVID of a port
    - net: dsa: b53: fix flushing old pvid VLAN on pvid change
    - net: dsa: b53: fix VLAN ID for untagged vlan on bridge leave
    - net: dsa: b53: always rejoin default untagged VLAN on bridge leave
    - net: dsa: b53: do not allow to configure VLAN 0
    - net: dsa: b53: do not program vlans when vlan filtering is off
    - net: dsa: b53: fix toggling vlan_filtering
    - net: dsa: b53: fix learning on VLAN unaware bridges
    - net: dsa: b53: do not set learning and unicast/multicast on up
    - fbnic: Fix initialization of mailbox descriptor rings
    - fbnic: Gate AXI read/write enabling on FW mailbox
    - fbnic: Actually flush_tx instead of stalling out
    - fbnic: Cleanup handling of completions
    - fbnic: Improve responsiveness of fbnic_mbx_poll_tx_ready
    - fbnic: Pull fbnic_fw_xmit_cap_msg use out of interrupt context
    - fbnic: Do not allow mailbox to toggle to ready outside
      fbnic_mbx_poll_tx_ready
    - net: export a helper for adding up queue stats
    - virtio-net: fix total qstat values
    - Input: cyttsp5 - ensure minimum reset pulse width
    - Input: cyttsp5 - fix power control issue on wakeup
    - Input: xpad - fix Share button on Xbox One controllers
    - Input: xpad - add support for 8BitDo Ultimate 2 Wireless Controller
    - Input: xpad - fix two controller table values
    - Input: synaptics - enable InterTouch on Dynabook Portege X30-D
    - Input: synaptics - enable InterTouch on Dynabook Portege X30L-G
    - Input: synaptics - enable InterTouch on Dell Precision M3800
    - Input: synaptics - enable SMBus for HP Elitebook 850 G1
    - Input: synaptics - enable InterTouch on TUXEDO InfinityBook Pro 14 v5
    - rust: clean Rust 1.88.0's `unnecessary_transmutes` lint
    - objtool/rust: add one more `noreturn` Rust function for Rust 1.87.0
    - rust: clean Rust 1.88.0's warning about `clippy::disallowed_macros`
      configuration
    - uio_hv_generic: Fix sysfs creation path for ring buffer
    - staging: iio: adc: ad7816: Correct conditional logic for store mode
    - staging: axis-fifo: Remove hardware resets for user errors
    - staging: axis-fifo: Correct handling of tx_fifo_depth for size
      validation
    - mm: fix folio_pte_batch() on XEN PV
    - mm: vmalloc: support more granular vrealloc() sizing
    - mm/userfaultfd: fix uninitialized output field for -EAGAIN race
    - selftests/mm: compaction_test: support platform with huge mount of
      memory
    - selftests/mm: fix a build failure on powerpc
    - selftests/mm: fix build break when compiling pkey_util.c
    - KVM: x86/mmu: Prevent installing hugepages when mem attributes are
      changing
    - drm/amd/display: Shift DMUB AUX reply command if necessary
    - io_uring: ensure deferred completions are flushed for multishot
    - iio: adc: ad7768-1: Fix insufficient alignment of timestamp.
    - iio: adc: ad7266: Fix potential timestamp alignment issue.
    - iio: adc: ad7606: fix serial register access
    - iio: adc: rockchip: Fix clock initialization sequence
    - iio: adis16201: Correct inclinometer channel resolution
    - iio: chemical: sps30: use aligned_s64 for timestamp
    - iio: chemical: pms7003: use aligned_s64 for timestamp
    - iio: hid-sensor-prox: Restore lost scale assignments
    - iio: hid-sensor-prox: support multi-channel SCALE calculation
    - iio: hid-sensor-prox: Fix incorrect OFFSET calculation
    - iio: imu: inv_mpu6050: align buffer for timestamp
    - iio: pressure: mprls0025pa: use aligned_s64 for timestamp
    - Revert "drm/amd: Stop evicting resources on APUs in suspend"
    - drm/xe: Add page queue multiplier
    - drm/amdgpu: fix pm notifier handling
    - drm/amdgpu/vcn: using separate VCN1_AON_SOC offset
    - drm/amd/display: Fix the checking condition in dmub aux handling
    - drm/amd/display: Remove incorrect checking in dmub aux handler
    - drm/amd/display: Fix wrong handling for AUX_DEFER case
    - drm/amd/display: Copy AUX read reply data whenever length > 0
    - xhci: dbc: Avoid event polling busyloop if pending rx transfers are
      inactive.
    - usb: uhci-platform: Make the clock really optional
    - xen: swiotlb: Use swiotlb bouncing if kmalloc allocation demands it
    - accel/ivpu: Increase state dump msg timeout
    - arm64: cpufeature: Move arm64_use_ng_mappings to the .data section to
      prevent wrong idmap generation
    - clocksource/i8253: Use raw_spinlock_irqsave() in
      clockevent_i8253_disable()
    - x86/microcode: Consolidate the loader enablement checking
    - ocfs2: fix the issue with discontiguous allocation in the global_bitmap
    - ocfs2: switch osb->disable_recovery to enum
    - ocfs2: implement handshaking with ocfs2 recovery thread
    - ocfs2: stop quota recovery before disabling quotas
    - usb: dwc3: gadget: Make gadget_wakeup asynchronous
    - usb: cdnsp: Fix issue with resuming from L1
    - usb: cdnsp: fix L1 resume issue for RTL_REVISION_NEW_LPM version
    - usb: gadget: f_ecm: Add get_status callback
    - usb: gadget: tegra-xudc: ACK ST_RC after clearing CTRL_RUN
    - usb: gadget: Use get_status callback to set remote wakeup capability
    - usb: host: tegra: Prevent host controller crash when OTG port is used
    - usb: misc: onboard_usb_dev: fix support for Cypress HX3 hubs
    - usb: typec: tcpm: delay SNK_TRY_WAIT_DEBOUNCE to SRC_TRYWAIT transition
    - USB: usbtmc: use interruptible sleep in usbtmc_read
    - usb: usbtmc: Fix erroneous get_stb ioctl error returns
    - usb: usbtmc: Fix erroneous wait_srq ioctl return
    - usb: usbtmc: Fix erroneous generic_read ioctl return
    - iio: imu: bmi270: fix initial sampling frequency configuration
    - iio: accel: adxl367: fix setting odr for activity time update
    - iio: temp: maxim-thermocouple: Fix potential lack of DMA safe buffer.
    - iio: accel: adxl355: Make timestamp 64-bit aligned using aligned_s64
    - iio: adc: dln2: Use aligned_s64 for timestamp
    - timekeeping: Prevent coarse clocks going backwards
    - accel/ivpu: Separate DB ID and CMDQ ID allocations from CMDQ allocation
    - accel/ivpu: Correct mutex unlock order in job submission
    - MIPS: Fix MAX_REG_OFFSET
    - riscv: misaligned: Add handling for ZCB instructions
    - loop: factor out a loop_assign_backing_file helper
    - loop: Add sanity check for read/write_iter
    - drm/panel: simple: Update timings for AUO G101EVN010
    - nvme: unblock ctrl state transition for firmware update
    - riscv: misaligned: factorize trap handling
    - riscv: misaligned: enable IRQs while handling misaligned accesses
    - riscv: Disallow PR_GET_TAGGED_ADDR_CTRL without Supm
    - drm/xe/tests/mocs: Hold XE_FORCEWAKE_ALL for LNCF regs
    - drm/xe: Release force wake first then runtime power
    - io_uring/sqpoll: Increase task_work submission batch size
    - do_umount(): add missing barrier before refcount checks in sync case
    - rust: allow Rust 1.87.0's `clippy::ptr_eq` lint
    - rust: clean Rust 1.88.0's `clippy::uninlined_format_args` lint
    - io_uring: always arm linked timeouts prior to issue
    - Bluetooth: btmtk: Remove the resetting step before downloading the fw
    - mm: page_alloc: don't steal single pages from biggest buddy
    - mm: page_alloc: speed up fallbacks in rmqueue_bulk()
    - arm64: insn: Add support for encoding DSB
    - arm64: proton-pack: Expose whether the platform is mitigated by firmware
    - arm64: proton-pack: Expose whether the branchy loop k value
    - arm64: proton-pack: Add new CPUs 'k' values for branch mitigation
    - x86/bpf: Call branch history clearing sequence on exit
    - x86/bpf: Add IBHF call at end of classic BPF
    - x86/bhi: Do not set BHI_DIS_S in 32-bit mode
    - Documentation: x86/bugs/its: Add ITS documentation
    - x86/its: Enumerate Indirect Target Selection (ITS) bug
    - x86/its: Add support for ITS-safe indirect thunk
    - x86/its: Add support for ITS-safe return thunk
    - x86/its: Enable Indirect Target Selection mitigation
    - [Config] enable MITIGATION_ITS
    - x86/its: Add "vmexit" option to skip mitigation on some CPUs
    - x86/its: Add support for RSB stuffing mitigation
    - x86/its: Align RETs in BHB clear sequence to avoid thunking
    - x86/ibt: Keep IBT disabled during alternative patching
    - x86/its: Use dynamic thunks for indirect branches
    - selftest/x86/bugs: Add selftests for ITS
    - x86/its: Fix build errors when CONFIG_MODULES=n
    - x86/its: FineIBT-paranoid vs ITS
    - Linux 6.14.7
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37963
    - arm64: bpf: Only mitigate cBPF programs loaded by unprivileged users
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37948
    - arm64: bpf: Add BHB mitigation to the epilogue for cBPF programs
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37994
    - usb: typec: ucsi: displayport: Fix NULL pointer access
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37967
    - usb: typec: ucsi: displayport: Fix deadlock
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37950
    - ocfs2: fix panic in failed foilio allocation
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37995
    - module: ensure that kobject_put() is safe for module type kobjects
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37960
    - memblock: Accept allocated memory before use in memblock_double_array()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37996
    - KVM: arm64: Fix uninitialized memcache pointer in user_mem_abort()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37949
    - xenbus: Use kref to track req lifetime
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37954
    - smb: client: Avoid race in open_cached_dir with lease breaks
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37965
    - drm/amd/display: Fix invalid context error in dml helper
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37951
    - drm/v3d: Add job to pending list if the reset was skipped
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37968
    - iio: light: opt3001: fix deadlock due to concurrent flag access
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37969
    - iio: imu: st_lsm6dsx: fix possible lockup in st_lsm6dsx_read_tagged_fifo
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37970
    - iio: imu: st_lsm6dsx: fix possible lockup in st_lsm6dsx_read_fifo
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37966
    - riscv: Fix kernel crash due to PR_SET_TAGGED_ADDR_CTRL
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37957
    - KVM: SVM: Forcibly leave SMM mode on SHUTDOWN interception
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37958
    - mm/huge_memory: fix dereferencing invalid pmd migration entry
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37964
    - x86/mm: Eliminate window where TLB flushes may be inadvertently skipped
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37971
    - staging: bcm2835-camera: Initialise dev in v4l2_dev
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37972
    - Input: mtk-pmic-keys - fix possible null pointer dereference
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37959
    - bpf: Scrub packet on bpf_redirect_peer
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37961
    - ipvs: fix uninit-value for saddr in do_output_route4
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37993
    - can: m_can: m_can_class_allocate_dev(): initialize spin lock on device
      probe
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37955
    - virtio-net: free xsk_buffs on error in virtnet_xsk_pool_enable()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37962
    - ksmbd: fix memory leak in parse_lease_state()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37998
    - openvswitch: Fix unsafe attribute parsing in output_userspace()
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37952
    - ksmbd: Fix UAF in __close_file_table_ids
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37947
    - ksmbd: prevent out-of-bounds stream writes by validating *pos
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37956
    - ksmbd: prevent rename with empty string
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37973
    - wifi: cfg80211: fix out-of-bounds access during multi-link element
      defragmentation
  * Plucky update: v6.14.7 upstream stable release (LP: #2115252) //
    CVE-2025-37999
    - fs/erofs/fileio: call erofs_onlinefolio_split() after bio_add_folio()
  * Creating a VXLAN interface with a Fan mapping causes a NULL pointer
    dereference caught by ubuntu_fan_smoke_test:sut-scan (LP: #2113992)
    - ﻿UBUNTU: SAUCE: fan: vxlan: parse fan-map from IFLA_VXLAN_FAN_MAP
      attribute ID
  * [UBUNTU 25.04] lszcrypt output shows no cards because ap module has to be
    loaded manually (LP: #2116061)
    - [Config] s390: Build ap driver into the kernel
  * CVE-2025-38083
    - net_sched: prio: fix a race in prio_tune()

 -- Manuel Diewald <manuel.diewald@canonical.com>  Thu, 17 Jul 2025 10:59:11 +0200

linux-raspi (6.14.0-1010.10) plucky; urgency=medium

  * plucky/linux-raspi: 6.14.0-1010.10 -proposed tracker (LP: #2116350)

  [ Ubuntu: 6.14.0-25.25 ]

  * plucky/linux: 6.14.0-25.25 -proposed tracker (LP: #2116362)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/s2025.06.16)
  * [UBUNTU 25.04] lszcrypt output shows no cards because ap module has to be
    loaded manually (LP: #2116061)
    - [Config] s390: Build ap driver into the kernel
  * CVE-2025-38083
    - net_sched: prio: fix a race in prio_tune()

 -- Manuel Diewald <manuel.diewald@canonical.com>  Tue, 15 Jul 2025 18:36:43 +0200

linux-raspi (6.14.0-1009.9) plucky; urgency=medium

  * plucky/linux-raspi: 6.14.0-1009.9 -proposed tracker (LP: #2114489)

  [ Ubuntu: 6.14.0-24.24 ]

  * plucky/linux: 6.14.0-24.24 -proposed tracker (LP: #2114501)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] update annotations scripts
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.06.16)
  * Apple spi keyboard/trackpad not working 25.04 (LP: #2107976)
    - iommu/vt-d: Restore context entry setup order for aliased devices
  * Unexpected system reboot at loading GUI session on some AMD platforms
    (LP: #2112462)
    - drm/amdgpu/hdp4: use memcfg register to post the write for HDP flush
    - drm/amdgpu/hdp5: use memcfg register to post the write for HDP flush
    - drm/amdgpu/hdp5.2: use memcfg register to post the write for HDP flush
    - drm/amdgpu/hdp6: use memcfg register to post the write for HDP flush
    - drm/amdgpu/hdp7: use memcfg register to post the write for HDP flush
  * Fix ARL-U/H suspend issues (LP: #2112469)
    - platform/x86/intel/pmc: Remove duplicate enum
    - platform/x86:intel/pmc: Make tgl_core_generic_init() static
    - platform/x86:intel/pmc: Create generic_core_init() for all platforms
    - platform/x86/intel/pmc: Remove simple init functions
    - platform/x86/intel/pmc: Add Arrow Lake U/H support to intel_pmc_core
      driver
    - platform/x86/intel/pmc: Fix Arrow Lake U/H NPU PCI ID
  * [UBUNTU 24.04] s390/pci: Fix immediate re-add of PCI function after remove
    (LP: #2114174)
    - s390/pci: Remove redundant bus removal and disable from
      zpci_release_device()
    - s390/pci: Prevent self deletion in disable_slot()
    - s390/pci: Allow re-add of a reserved but not yet removed device
    - s390/pci: Serialize device addition and removal
  * [UBUNTU 24.04] s390/pci: Fix immediate re-add of PCI function after remove
    (LP: #2114174) // CVE-2025-37946
    - s390/pci: Fix duplicate pci_dev_put() in disable_slot() when PF has
      child VFs
  * [UBUNTU 24.04] s390/pci: Fix immediate re-add of PCI function after remove
    (LP: #2114174) // CVE-2025-37974
    - s390/pci: Fix missing check for zpci_create_device() error return
  * HW accelerated video playback causes VCN timeout on VCN 4.0.5 (AMD Strix)
    (LP: #2112582)
    - drm/amdgpu: read back register after written for VCN v4.0.5
  * kvmppc_set_passthru_irq_hv: Could not assign IRQ map traces are seen when
    pci device is attached to kvm guest when "xive=off" is set (LP: #2109951)
    - KVM: PPC: Book3S HV: Fix IRQ map warnings with XICS on pSeries KVM Guest
  * System will restart while resuming with SATA HDD or nvme installed with
    password set (LP: #2110090)
    - PCI: Explicitly put devices into D0 when initializing
  * VM boots slowly with large-BAR GPU Passthrough (Root Cause Fix SRU)
    (LP: #2111861)
    - mm: Provide address mask in struct follow_pfnmap_args
    - vfio/type1: Convert all vaddr_get_pfns() callers to use vfio_batch
    - vfio/type1: Catch zero from pin_user_pages_remote()
    - vfio/type1: Use vfio_batch for vaddr_get_pfns()
    - vfio/type1: Use consistent types for page counts
    - vfio/type1: Use mapping page mask for pfnmaps
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881)
    - Revert "rndis_host: Flag RNDIS modems as WWAN devices"
    - ALSA: hda/realtek - Add more HP laptops which need mute led fixup
    - ALSA: usb-audio: Add retry on -EPROTO from usb_set_interface()
    - ALSA: usb-audio: Add second USB ID for Jabra Evolve 65 headset
    - ASoC: renesas: rz-ssi: Use NOIRQ_SYSTEM_SLEEP_PM_OPS()
    - btrfs: fix COW handling in run_delalloc_nocow()
    - cpufreq: intel_pstate: Unchecked MSR aceess in legacy mode
    - drm/fdinfo: Protect against driver unbind
    - EDAC/altera: Test the correct error reg offset
    - EDAC/altera: Set DDR and SDMMC interrupt mask before registration
    - i2c: imx-lpi2c: Fix clock count when probe defers
    - pinctrl: airoha: fix wrong PHY LED mapping and PHY2 LED defines
    - perf/x86/intel: Only check the group flag for X86 leader
    - amd-xgbe: Fix to ensure dependent features are toggled with RX checksum
      offload
    - mm/memblock: pass size instead of end to memblock_set_node()
    - mm/memblock: repeat setting reserved region nid if array is doubled
    - mmc: renesas_sdhi: Fix error handling in renesas_sdhi_probe
    - spi: tegra114: Don't fail set_cs_timing when delays are zero
    - tracing: Do not take trace_event_sem in print_event_fields()
    - x86/boot/sev: Support memory acceptance in the EFI stub under SVSM
    - dm-integrity: fix a warning on invalid table line
    - dm: always update the array size in realloc_argv on success
    - drm/amdgpu: Fix offset for HDP remap in nbio v7.11
    - drm: Select DRM_KMS_HELPER from DRM_DEBUG_DP_MST_TOPOLOGY_REFS
    - iommu/arm-smmu-v3: Fix iommu_device_probe bug due to duplicated stream
      ids
    - iommu/arm-smmu-v3: Fix pgsize_bit for sva domains
    - iommu/vt-d: Apply quirk_iommu_igfx for 8086:0044 (QM57/QS57)
    - platform/x86/amd: pmc: Require at least 2.5 seconds between HW sleep
      cycles
    - platform/x86/intel-uncore-freq: Fix missing uncore sysfs during CPU
      hotplug
    - smb: client: fix zero length for mkdir POSIX create context
    - cpufreq: Avoid using inconsistent policy->min and policy->max
    - cpufreq: Fix setting policy limits when frequency tables are used
    - bcachefs: Remove incorrect __counted_by annotation
    - drm/amd/display: Default IPS to RCG_IN_ACTIVE_IPS2_IN_OFF
    - ASoC: soc-core: Stop using of_property_read_bool() for non-boolean
      properties
    - ASoC: cs-amp-lib-test: Don't select SND_SOC_CS_AMP_LIB
    - firmware: cs_dsp: tests: Depend on FW_CS_DSP rather then enabling it
    - ASoC: soc-pcm: Fix hw_params() and DAPM widget sequence
    - Revert "UBUNTU: SAUCE: powerpc64/ftrace: fix module loading without
      patchable function entries"
    - pinctrl: imx: Return NULL if no group is matched and found
    - powerpc/boot: Check for ld-option support
    - ASoC: Intel: sof_sdw: Add NULL check in asoc_sdw_rt_dmic_rtd_init()
    - iommu/arm-smmu-v3: Add missing S2FWB feature detection
    - ALSA: hda/realtek - Enable speaker for HP platform
    - drm/i915/pxp: fix undefined reference to
      `intel_pxp_gsccs_is_ready_for_sessions'
    - wifi: iwlwifi: back off on continuous errors
    - wifi: iwlwifi: don't warn if the NIC is gone in resume
    - wifi: iwlwifi: fix the check for the SCRATCH register upon resume
    - powerpc/boot: Fix dash warning
    - xsk: Fix offset calculation in unaligned mode
    - net/mlx5e: Use custom tunnel header for vxlan gbp
    - net/mlx5: E-Switch, Initialize MAC Address for Default GID
    - net/mlx5e: TC, Continue the attr process even if encap entry is invalid
    - net/mlx5e: Fix lock order in mlx5e_tx_reporter_ptpsq_unhealthy_recover
    - net/mlx5: E-switch, Fix error handling for enabling roce
    - accel/ivpu: Correct DCT interrupt handling
    - cpufreq: Introduce policy->boost_supported flag
    - cpufreq: acpi: Set policy->boost_supported
    - cpufreq: ACPI: Re-sync CPU boost state on system resume
    - Bluetooth: hci_conn: Fix not setting conn_timeout for Broadcast Receiver
    - Bluetooth: hci_conn: Fix not setting timeout for BIG Create Sync
    - Bluetooth: btintel_pcie: Avoid redundant buffer allocation
    - Bluetooth: btintel_pcie: Add additional to checks to clear TX/RX paths
    - Bluetooth: L2CAP: copy RX timestamp to new fragments
    - net: mscc: ocelot: delete PVID VLAN when readding it as non-PVID
    - octeon_ep_vf: Resolve netdevice usage count issue
    - bnxt_en: improve TX timestamping FIFO configuration
    - rtase: Modify the condition used to detect overflow in
      rtase_calc_time_mitigation
    - net: ethernet: mtk-star-emac: rearm interrupts in rx_poll only when
      advised
    - net: ethernet: mtk_eth_soc: sync mtk_clks_source_name array
    - pds_core: make pdsc_auxbus_dev_del() void
    - pds_core: specify auxiliary_device to be created
    - ice: Don't check device type when checking GNSS presence
    - ice: Remove unnecessary ice_is_e8xx() functions
    - ice: fix Get Tx Topology AQ command error on E830
    - idpf: fix offloads support for encapsulated packets
    - scsi: ufs: core: Remove redundant query_complete trace
    - drm/xe/guc: Fix capture of steering registers
    - pinctrl: qcom: Fix PINGROUP definition for sm8750
    - nvme-pci: fix queue unquiesce check on slot_reset
    - drm/tests: shmem: Fix memleak
    - drm/mipi-dbi: Fix blanking for non-16 bit formats
    - net: dlink: Correct endianness handling of led_mode
    - net: mdio: mux-meson-gxl: set reversed bit when using internal phy
    - idpf: fix potential memory leak on kcalloc() failure
    - idpf: protect shutdown from reset
    - igc: fix lock order in igc_ptp_reset
    - net: dsa: felix: fix broken taprio gate states after clock jump
    - net: ipv6: fix UDPv6 GSO segmentation with NAT
    - ALSA: hda/realtek: Fix built-mic regression on other ASUS models
    - bnxt_en: Fix ethtool selftest output in one of the failure cases
    - bnxt_en: Add missing skb_mark_for_recycle() in bnxt_rx_vlan()
    - bnxt_en: call pci_alloc_irq_vectors() after bnxt_reserve_rings()
    - bnxt_en: Fix coredump logic to free allocated buffer
    - bnxt_en: Fix ethtool -d byte order for 32-bit values
    - nvme-tcp: fix premature queue removal and I/O failover
    - nvme-tcp: select CONFIG_TLS from CONFIG_NVME_TCP_TLS
    - nvmet-tcp: select CONFIG_TLS from CONFIG_NVME_TARGET_TCP_TLS
    - ASoC: stm32: sai: skip useless iterations on kernel rate loop
    - ASoC: stm32: sai: add a check on minimal kernel frequency
    - bnxt_en: fix module unload sequence
    - net: fec: ERR007885 Workaround for conventional TX
    - net: hns3: store rx VLAN tag offload state for VF
    - net: hns3: fix an interrupt residual problem
    - net: hns3: fixed debugfs tm_qset size
    - net: hns3: defer calling ptp_clock_register()
    - net: vertexcom: mse102x: Fix possible stuck of SPI interrupt
    - net: vertexcom: mse102x: Fix LEN_MASK
    - net: vertexcom: mse102x: Add range check for CMD_RTS
    - net: vertexcom: mse102x: Fix RX error handling
    - accel/ivpu: Abort all jobs after command queue unregister
    - accel/ivpu: Add handling of VPU_JSM_STATUS_MVNCI_CONTEXT_VIOLATION_HW
    - drm/xe: Invalidate L3 read-only cachelines for geometry streams too
    - platform/x86: alienware-wmi-wmax: Add support for Alienware m15 R7
    - ublk: add helper of ublk_need_map_io()
    - ublk: properly serialize all FETCH_REQs
    - ublk: move device reset into ublk_ch_release()
    - ublk: improve detection and handling of ublk server exit
    - ublk: remove __ublk_quiesce_dev()
    - ublk: simplify aborting ublk request
    - firmware: arm_ffa: Skip Rx buffer ownership release if not acquired
    - arm64: dts: imx95: Correct the range of PCIe app-reg region
    - ARM: dts: opos6ul: add ksz8081 phy properties
    - arm64: dts: st: Adjust interrupt-controller for stm32mp25 SoCs
    - arm64: dts: st: Use 128kB size for aliased GIC400 register access on
      stm32mp25 SoCs
    - block: introduce zone capacity helper
    - btrfs: zoned: skip reporting zone for new block group
    - kernel: param: rename locate_module_kobject
    - kernel: globalize lookup_or_create_module_kobject()
    - drivers: base: handle module_kobject creation
    - btrfs: expose per-inode stable writes flag
    - btrfs: pass struct btrfs_inode to btrfs_read_locked_inode()
    - btrfs: pass struct btrfs_inode to btrfs_iget_locked()
    - drm/amd/display: Add scoped mutexes for amdgpu_dm_dhcp
    - bcachefs: Change btree_insert_node() assertion to error
    - dm: fix copying after src array boundaries
    - Linux 6.14.6
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37903
    - drm/amd/display: Fix slab-use-after-free in hdcp
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37904
    - btrfs: fix the inode leak in btrfs_iget()
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37905
    - firmware: arm_scmi: Balance device refcount when destroying devices
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37906
    - ublk: fix race between io_uring_cmd_complete_in_task and ublk_cancel_cmd
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37907
    - accel/ivpu: Fix locking order in ivpu_job_submit
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37908
    - mm, slab: clean up slab->obj_exts always
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37933
    - octeon_ep: Fix host hang issue during device reboot
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37909
    - net: lan743x: Fix memleak issue when GSO enabled
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37910
    - ptp: ocp: Fix NULL dereference in Adva board SMA sysfs operations
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37894
    - net: use sock_gen_put() when sk_state is TCP_TIME_WAIT
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37934
    - ASoC: simple-card-utils: Fix pointer check in
      graph_util_parse_link_direction
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37911
    - bnxt_en: Fix out-of-bound memcpy() during ethtool -w
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37895
    - bnxt_en: Fix error handling path in bnxt_init_chip()
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37935
    - net: ethernet: mtk_eth_soc: fix SER panic with 4GB+ RAM
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37891
    - ALSA: ump: Fix buffer overflow at UMP SysEx message conversion
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37912
    - ice: Check VF VSI Pointer Value in ice_vc_add_fdir_fltr()
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37913
    - net_sched: qfq: Fix double list add in class with netem as child qdisc
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37914
    - net_sched: ets: Fix double list add in class with netem as child qdisc
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37915
    - net_sched: drr: Fix double list add in class with netem as child qdisc
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37916
    - pds_core: remove write-after-free of client_id
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37917
    - net: ethernet: mtk-star-emac: fix spinlock recursion issues on rx/tx
      poll
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37918
    - Bluetooth: btusb: avoid NULL pointer dereference in skb_dequeue()
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37919
    - ASoC: amd: acp: Fix NULL pointer deref in acp_i2s_set_tdm_slot
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37896
    - spi: spi-mem: Add fix to avoid divide error
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37920
    - xsk: Fix race condition in AF_XDP generic RX path
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37921
    - vxlan: vnifilter: Fix unlocked deletion of default FDB entry
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37897
    - wifi: plfxlc: Remove erroneous assert in plfxlc_mac_release
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37898
    - powerpc64/ftrace: fix module loading without patchable function entries
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37922
    - book3s64/radix : Align section vmemmap start address to PAGE_SIZE
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37923
    - tracing: Fix oob write in trace_seq_to_buffer()
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37899
    - ksmbd: fix use-after-free in session logoff
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37924
    - ksmbd: fix use-after-free in kerberos authentication
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37926
    - ksmbd: fix use-after-free in ksmbd_session_rpc_open
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37900
    - iommu: Fix two issues in iommu_copy_struct_from_user()
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37927
    - iommu/amd: Fix potential buffer overflow in parse_ivrs_acpihid
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37928
    - dm-bufio: don't schedule in atomic context
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37990
    - wifi: brcm80211: fmac: Add error handling for brcmf_usb_dl_writeimage()
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37901
    - irqchip/qcom-mpm: Prevent crash when trying to handle non-wake GPIOs
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37936
    - perf/x86/intel: KVM: Mask PEBS_ENABLE loaded for guest with vCPU's
      value.
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37991
    - parisc: Fix double SIGFPE crash
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37929
    - arm64: errata: Add missing sentinels to Spectre-BHB MIDR arrays
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37930
    - drm/nouveau: Fix WARN_ON in nouveau_fence_context_kill()
  * Plucky update: v6.14.6 upstream stable release (LP: #2113881) //
    CVE-2025-37931
    - btrfs: adjust subpage bit start based on sectorsize
  * Support Sony IMX471 camera sensor for Intel IPU7 platforms (LP: #2107320)
    - SAUCE: media: ipu-bridge: Support imx471 sensor
  * deadlock on cpu_hotplug_lock in __accept_page() (LP: #2109543)
    - mm/page_alloc: fix deadlock on cpu_hotplug_lock in __accept_page()
  * Plucky fails to boot on (older) Macs (LP: #2105402)
    - SAUCE: hack: efi/libstub: enable t14s boot failure hack only on arm64
  * CVE-2025-37798
    - sch_htb: make htb_qlen_notify() idempotent
    - sch_htb: make htb_deactivate() idempotent
    - sch_drr: make drr_qlen_notify() idempotent
    - sch_hfsc: make hfsc_qlen_notify() idempotent
    - sch_qfq: make qfq_qlen_notify() idempotent
    - sch_ets: make est_qlen_notify() idempotent
    - selftests/tc-testing: Add a test case for FQ_CODEL with HTB parent
    - selftests/tc-testing: Add a test case for FQ_CODEL with QFQ parent
    - selftests/tc-testing: Add a test case for FQ_CODEL with HFSC parent
    - selftests/tc-testing: Add a test case for FQ_CODEL with DRR parent
    - selftests/tc-testing: Add a test case for FQ_CODEL with ETS parent
  * CVE-2025-37997
    - netfilter: ipset: fix region locking in hash types
  * CVE-2025-37890
    - net_sched: hfsc: Fix a UAF vulnerability in class with netem as child
      qdisc
    - sch_hfsc: Fix qlen accounting bug when using peek in hfsc_enqueue()
    - net_sched: hfsc: Address reentrant enqueue adding class to eltree twice

 -- Manuel Diewald <manuel.diewald@canonical.com>  Mon, 23 Jun 2025 15:58:56 +0200

linux-raspi (6.14.0-1008.8) plucky; urgency=medium

  * plucky/linux-raspi: 6.14.0-1008.8 -proposed tracker (LP: #2114270)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

  [ Ubuntu: 6.14.0-23.23 ]

  * plucky/linux: 6.14.0-23.23 -proposed tracker (LP: #2114279)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] update annotations scripts
  * CVE-2025-37798
    - sch_htb: make htb_qlen_notify() idempotent
    - sch_htb: make htb_deactivate() idempotent
    - sch_drr: make drr_qlen_notify() idempotent
    - sch_hfsc: make hfsc_qlen_notify() idempotent
    - sch_qfq: make qfq_qlen_notify() idempotent
    - sch_ets: make est_qlen_notify() idempotent
    - selftests/tc-testing: Add a test case for FQ_CODEL with HTB parent
    - selftests/tc-testing: Add a test case for FQ_CODEL with QFQ parent
    - selftests/tc-testing: Add a test case for FQ_CODEL with HFSC parent
    - selftests/tc-testing: Add a test case for FQ_CODEL with DRR parent
    - selftests/tc-testing: Add a test case for FQ_CODEL with ETS parent
  * CVE-2025-37997
    - netfilter: ipset: fix region locking in hash types
  * CVE-2025-37890
    - net_sched: hfsc: Fix a UAF vulnerability in class with netem as child
      qdisc
    - sch_hfsc: Fix qlen accounting bug when using peek in hfsc_enqueue()
    - net_sched: hfsc: Address reentrant enqueue adding class to eltree twice

 -- Manuel Diewald <manuel.diewald@canonical.com>  Tue, 17 Jun 2025 20:18:14 +0200

# For older changelog entries, run 'apt-get changelog linux-raspi-headers-6.17.0-1003'
